﻿sep=,
<#-- Attachments list CSV BPR main template file -->
<#-- Include utilities for the list of attachment identifiers -->
<#-- Import common macros and functions -->
<#include "attachments_mixtures_csv_bpr_utilities.ftl" />
<#import "../../application/docbook+xml/macros_common_general.ftl" as com>
<#assign locale = "en" />
<#assign csv = false />
<#assign substance = com.getReportSubject(rootDocument) />
<#assign mixture = com.getReportSubject(rootDocument) />
 <#-- Print the headears for each column -->
Annex II and Annex III requirements,Section number,Section name,Document name,Document UUID,Name of biocidal product or component,Function of component,Attachment filename,Attachment remarks,Attachment media type,Attachment size
<#compress>
<#assign mixtureList = checkMixtureRoot(mixture) />
<#if mixtureList?has_content>

<#-- Biocidal Product attachments -->
<#assign document = mixture />
<#assign nameOfComponent = document.MixtureName />

<#list mixtureAttachmentMetaDataListPart1 as attachmentIdentifier>					
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>
	<#if document?has_content>
		<#list document.attachments as attachments>	
		<@tableRowForAttachments checkMixtureRoot mixture document attachments attachmentIdentifier document.name document.documentKey.uuid "No Function" nameOfComponent /><#if attachments_has_next>,</#if>
		</#list>
	</#if>
	</#list>
</#list>
<#if document?has_content>
	<#list document.attachments as attachments>
	<#if attachments?has_content>
	<@tableRowForAttachments checkMixtureRoot mixture document attachments mixtureAttachmentMetaDataListPart2 document.name document.documentKey.uuid "No Function" nameOfComponent /><#if attachments_has_next>,</#if>						
	</#if>
	</#list>
</#if>		
<#list mixtureAttachmentMetaDataListPart3 as attachmentIdentifier>					
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>
		<#list document.attachments as attachments>
		<#if attachments?has_content>
		<@tableRowForAttachments checkMixtureRoot mixture document attachments attachmentIdentifier document.name document.documentKey.uuid "No Function" nameOfComponent />
		</#if><#if attachments_has_next>,</#if>	
		</#list>
	</#list>
</#list>
<#-- Full study -->
<#list mixtureAttachedFullStudyReportList as attachmentIdentifier>	
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>	
		<#if document?has_content>
		<#if isFullStudyAttachmentPresent(document, attachmentIdentifier)>
		<@tableRowForAttachedStudy checkMixtureRoot mixture document attachmentIdentifier document.name document.documentKey.uuid "No Function" nameOfComponent />,
		</#if>
		</#if>
	</#list>
</#list>

<#-- Sanitised documents -->
<#list mixtureSanitisedDocumentsList as attachmentIdentifier>	
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>	
		<#if document?has_content>
		<#if isFullStudyAttachmentPresent(document, attachmentIdentifier)>
		<@tableRowForAttachedStudy checkMixtureRoot mixture document attachmentIdentifier document.name document.documentKey.uuid "No Function" nameOfComponent />,
		</#if>
		</#if>
	</#list>
</#list>

<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "Suppliers") />					
<#list documentList as document>
	<#if isAssignmentSupplierAttachment(document, mixtureSuppliersAssignmentID)>
	<@tableRowForAssignedSuppliers checkMixtureRoot mixture document mixtureSuppliersAssignmentID document.name document.documentKey.uuid "No Function" nameOfComponent />,
	</#if>
</#list>
<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "Suppliers") />					
<#list documentList as document>	
	<#list document.OnlyRepresentationInfo.ImporterEntries as otherImportersItem>
		<#if isImportEntriesProvided(document, otherImportersItem)>
		<#if otherImportersItem?has_content>
		<@tableRowForSuppliersOtherImporters checkMixtureRoot mixture document otherImportersItem mixtureSuppliersAgreementID document.name document.documentKey.uuid "No Function" nameOfComponent />,
		</#if>
		</#if>
	</#list>
</#list>	
<#list mixtureImageList as attachmentIdentifier>
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>
		<#if document?has_content>
		<#if isImageAttachmentPresent(document, attachmentIdentifier)>
		<@tableRowForImages checkMixtureRoot mixture document attachmentIdentifier document.name document.documentKey.uuid "No Function" nameOfComponent />,
		</#if>
		</#if>
	</#list>
</#list>
<#list mixtureBackgroundMaterialList as attachmentIdentifier>
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>	
		<#if document?has_content>
		<#list document.OverallRemarksAttachments.AttachedBackgroundMaterial as backgroundJustificationItem>
		<#if backgroundJustificationItem?has_content>
		<@tableRowForBackgroundMaterial checkMixtureRoot mixture document backgroundJustificationItem attachmentIdentifier document.name document.documentKey.uuid "No Function" nameOfComponent />,
		</#if>
		</#list>
		</#if>
	</#list>
</#list>
<#list mixtureJustificationForDataWaivingList as attachmentIdentifier>	
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>
		<#if document?has_content>
		<#list document.AdministrativeData.AttachedJustification as attachedJustificationItem>
		<#if attachedJustificationItem?has_content>
		<@tableRowForAttachedJustification checkMixtureRoot mixture document attachedJustificationItem attachmentIdentifier document.name document.documentKey.uuid "No Function" nameOfComponent />,
		</#if>
		</#list>
		</#if>
	</#list>
</#list>
<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "BioPackaging") />					
<#list documentList as document>
	<#if document?has_content>
	<#list document.Packaging.PackagingRelatedAttachments as packagingRelatedAttachmentItem>
	<#if packagingRelatedAttachmentItem?has_content>
		<@tableRowForBioPackaging checkMixtureRoot mixture document packagingRelatedAttachmentItem attachmentPackagingID document.name document.documentKey.uuid "No Function" nameOfComponent />,
	</#if>
	</#list>
	</#if>
</#list>

<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "LiteratureSearch") />					
<#list documentList as document>
	<#if document?has_content>
	<#list document.AdditionalInformation.BackgroundMaterial as backgrounMaterialLiteratureItem>
	<#if backgrounMaterialLiteratureItem?has_content>
		<@tableRowForBackgroundMaterial checkMixtureRoot mixture document backgrounMaterialLiteratureItem literatureID document.name document.documentKey.uuid "No Function" nameOfComponent />,
	</#if>
	</#list>
	</#if>
</#list>

<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "IntermediateEffects") />					
<#list documentList as document>
	<#if document?has_content>
	<#list document.MaterialsAndMethods.MethodUsed.AttachedBackgroundMaterial as backgrounMaterialLiteratureItem>
	<#if backgrounMaterialLiteratureItem?has_content>
		<@tableRowForBackgroundMaterial checkMixtureRoot mixture document backgrounMaterialLiteratureItem intermediateEffectsID document.name document.documentKey.uuid "No Function" nameOfComponent />,
	</#if>
	</#list>
	</#if>
</#list>

<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "IntermediateEffects") />					
<#list documentList as document>
	<#if document?has_content && document.ResultsAndDiscussion.TestResults.TestResults?has_content>
		<#list document.ResultsAndDiscussion.TestResults.TestResults as testResults>
			<#if testResults?has_content>
			<#list testResults.AttachedMaterial as attachedMaterialItem>
			<#if attachedMaterialItem?has_content>
				<@tableRowForAttachedMaterial checkMixtureRoot mixture document attachedMaterialItem intermediateEffectsID document.name document.documentKey.uuid "No Function" nameOfComponent />,
			</#if>
			</#list>
			</#if>
		</#list>
	</#if>
</#list>

<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_SUMMARY", "BioSummaryEvaluation") />					
<#list documentList as document>
	<#list document.ReportsAndAdministrativeInformation.SummaryAndEvaluation.PackagingRelatedAttachments as summaryEvaluationAttachmentItem>
	<#if summaryEvaluationAttachmentItem?has_content>
		<@tableRowForSummaryEvaluationAttachment checkMixtureRoot mixture document summaryEvaluationAttachmentItem summaryAndEvaluationID document.name document.documentKey.uuid "No Function" nameOfComponent />,
	</#if>
	</#list>
</#list>

<#list backgroundMaterialSummaryList as attachmentIdentifier>
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>	
		<#if document?has_content>
		<#list document.Discussion.AttachedBackgroundMaterial as backgroundSummaryItem>
		<#if backgroundSummaryItem?has_content>
		<@tableRowForBackgroundMaterial checkMixtureRoot mixture document backgroundSummaryItem attachmentIdentifier document.name document.documentKey.uuid "No Function" nameOfComponent />,
		</#if>
		</#list>
		</#if>
	</#list>
</#list>

<#list backgroundMaterialSummaryList as attachmentIdentifier>
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>	
		<#if document?has_content>
		<#list document.Discussion.AttachedSanitisedDocsForPublication as backgroundSummaryItem>
		<#if backgroundSummaryItem?has_content>
		<@tableRowForAttachments checkMixtureRoot mixture document backgroundSummaryItem attachmentIdentifier document.name document.documentKey.uuid "No Function" nameOfComponent />,
		</#if>
		</#list>
		</#if>
	</#list>
</#list>

</#if>
</#compress>
<#compress>
<#-- Attachments (mixture components) -->

<#assign mixtureList = checkMixtureRoot(mixture) />
<#if mixtureList?has_content>

<#assign compositionOfMixture = getMixtureComposition(mixture) />
,<#list compositionOfMixture as composition>

<#assign componentsOfMixture = getMixtureComponents(composition) />
<#if componentsOfMixture?has_content>
<#list componentsOfMixture as componentsList>

<#assign substanceList = getAllComponents(componentsList) />
<#if substanceList?has_content>
<#list substanceList as substance>

<#assign entityId = substance />
<#if (entityId.documentType=="SUBSTANCE")>
<#assign nameOfComponent = entityId.ChemicalName />
<#elseif (entityId.documentType=="MIXTURE")>
<#assign nameOfComponent = entityId.MixtureName />
</#if>

<#list substanceMetaDataAttachmentListPart1 as attachmentIdentifier>					
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>								
		<#list document.attachments as attachments>	
		<#if attachments?has_content>
		<@tableRowForAttachments checkMixtureRoot entityId document attachments attachmentIdentifier document.name document.documentKey.uuid componentsList nameOfComponent />
		</#if><#if attachments_has_next>,</#if>	
		</#list>		
	</#list>
</#list>

<#list substanceMetaDataAttachmentListPart2 as attachmentIdentifier>
<#assign document = substance />						
	<#list document.attachments as attachments>
	<#if attachments?has_content>
	<@tableRowForAttachments checkMixtureRoot entityId document attachments attachmentIdentifier document.name document.documentKey.uuid componentsList nameOfComponent  />
	</#if><#if attachments_has_next>,</#if>						
	</#list>
</#list>

<#list substanceMetaDataAttachmentListPart3 as attachmentIdentifier>
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>
		<#list document.attachments as attachments>
		<#if attachments?has_content>
		<@tableRowForAttachments checkMixtureRoot entityId document attachments attachmentIdentifier document.name document.documentKey.uuid componentsList nameOfComponent  />
		</#if><#if attachments_has_next>,</#if>	
		</#list>
	</#list>
</#list>
<#-- Active substance attachments in documents -->
<#list activeSubstanceBackgroundMaterialList as attachmentIdentifier>			
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>						
		<#list document.OverallRemarksAttachments.AttachedBackgroundMaterial as backgroundJustificationItem>
		<#if backgroundJustificationItem?has_content>
		<@tableRowForBackgroundMaterial checkMixtureRoot entityId document backgroundJustificationItem attachmentIdentifier document.name document.documentKey.uuid componentsList nameOfComponent  />,
		</#if>
		</#list>
	</#list>
</#list>

<#list activeSubstanceAttachedFullStudyReportList as attachmentIdentifier>					
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>
		<#if document?has_content>
		<#if isFullStudyAttachmentPresent(document, attachmentIdentifier)>
		<@tableRowForAttachedStudy checkMixtureRoot entityId document attachmentIdentifier document.name document.documentKey.uuid componentsList nameOfComponent  />,
		</#if>
		</#if>
	</#list>
</#list>

<#-- Sanitised documents -->
<#list activeSubstanceSanitisedDocumentsList as attachmentIdentifier>	
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>	
		<#if document?has_content>
		<#if isFullStudyAttachmentPresent(document, attachmentIdentifier)>
		<@tableRowForAttachedStudy checkMixtureRoot mixture document attachmentIdentifier document.name document.documentKey.uuid "No Function" nameOfComponent />,
		</#if>
		</#if>
	</#list>
</#list>

<#list activeSubstanceImageList as attachmentIdentifier>					
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>	
		<#if document?has_content>
		<#if isImageAttachmentPresent(document, attachmentIdentifier)>
		<@tableRowForImages checkMixtureRoot entityId document attachmentIdentifier document.name document.documentKey.uuid componentsList nameOfComponent />,
		</#if>
		</#if>
	</#list>
</#list>
<#list activeSubstanceJustificationForDataWaivingList as attachmentIdentifier>					
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>
		<#list document.AdministrativeData.AttachedJustification as attachedJustificationItem>
		<#if attachedJustificationItem?has_content>
		<@tableRowForAttachedJustification checkMixtureRoot entityId document attachedJustificationItem attachmentIdentifier document.name document.documentKey.uuid componentsList nameOfComponent />,
		</#if>
		</#list>
	</#list>
</#list>
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "SubstanceComposition") />					
<#list documentList as document>
	<#list document.GeneralInformation.AttachedDescription as attachedDescriptionItem>
		<#if attachedDescriptionItem?has_content>
		<@tableRowForSubstanceComposition checkMixtureRoot entityId document attachedDescriptionItem substanceCompositionID document.name document.documentKey.uuid componentsList nameOfComponent />,
		</#if>
	</#list>
</#list>
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "AnalyticalInformation") />					
<#list documentList as document>
	<#list document.AnalyticalInformation.MethodsAndResultsOfAnalysis.AnalyticalDetermination as attachedAnalyticalDeterminationItem>
		<#if attachedAnalyticalDeterminationItem.AttachedMethodsResults?has_content>
		<@tableRowForAnalyticalDetermination checkMixtureRoot entityId document attachedAnalyticalDeterminationItem analyticalDeterminationID document.name document.documentKey.uuid componentsList nameOfComponent />,
		</#if>
	</#list>
</#list>
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "Suppliers") />					
<#list documentList as document>
	<#if document?has_content>
		<#if isAssignmentSupplierAttachment(document, mixtureSuppliersAssignmentID)>
			<@tableRowForAssignedSuppliers checkMixtureRoot entityId document mixtureSuppliersAssignmentID document.name document.documentKey.uuid componentsList nameOfComponent />,
		</#if>
	</#if>
</#list>						
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "Suppliers") />					
<#list documentList as document>
	<#list document.OnlyRepresentationInfo.ImporterEntries as otherImportersItem>
		<#if isImportEntriesProvided(document, otherImportersItem)>
			<#if otherImportersItem?has_content>
				<@tableRowForSuppliersOtherImporters checkMixtureRoot entityId document otherImportersItem mixtureSuppliersAgreementID document.name document.documentKey.uuid componentsList nameOfComponent />,
			</#if>
		</#if>
	</#list>
</#list>
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_SUMMARY", "BioSummaryEvaluation") />					
<#list documentList as document>
	<#list document.ReportsAndAdministrativeInformation.SummaryAndEvaluation.PackagingRelatedAttachments as typeOfReportIdentifierItem>
		<#if typeOfReportIdentifierItem?has_content>							
			<@tableRowForSummaryEvaluationTypeOfReport checkMixtureRoot entityId document typeOfReportIdentifierItem activeSubstanceSummaryTypeOfReportID document.name document.documentKey.uuid componentsList nameOfComponent />,
		</#if>
	</#list>
</#list>

<#list backgroundMaterialSummaryList as attachmentIdentifier>
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>	
		<#if document?has_content>
		<#list document.Discussion.AttachedBackgroundMaterial as backgroundSummaryItem>
		<#if backgroundSummaryItem?has_content>
		<@tableRowForBackgroundMaterial checkMixtureRoot mixture document backgroundSummaryItem attachmentIdentifier document.name document.documentKey.uuid "No Function" nameOfComponent />,
		</#if>
		</#list>
		</#if>
	</#list>
</#list>

<#list backgroundMaterialSummaryList as attachmentIdentifier>
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>	
		<#if document?has_content>
		<#list document.Discussion.AttachedSanitisedDocsForPublication as backgroundSummaryItem>
		<#if backgroundSummaryItem?has_content>
		<@tableRowForAttachments checkMixtureRoot mixture document backgroundSummaryItem attachmentIdentifier document.name document.documentKey.uuid "No Function" nameOfComponent />,
		</#if>
		</#list>
		</#if>
	</#list>
</#list>

<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "LiteratureSearch") />					
<#list documentList as document>
	<#if document?has_content>
	<#list document.AdditionalInformation.BackgroundMaterial as backgrounMaterialLiteratureItem>
	<#if backgrounMaterialLiteratureItem?has_content>
		<@tableRowForBackgroundMaterial checkMixtureRoot mixture document backgrounMaterialLiteratureItem literatureID document.name document.documentKey.uuid "No Function" nameOfComponent />,
	</#if>
	</#list>
	</#if>
</#list>

<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "IntermediateEffects") />					
<#list documentList as document>
	<#if document?has_content>
	<#list document.MaterialsAndMethods.MethodUsed.AttachedBackgroundMaterial as backgrounMaterialLiteratureItem>
	<#if backgrounMaterialLiteratureItem?has_content>
		<@tableRowForBackgroundMaterial checkMixtureRoot mixture document backgrounMaterialLiteratureItem intermediateEffectsID document.name document.documentKey.uuid "No Function" nameOfComponent />,
	</#if>
	</#list>
	</#if>
</#list>

<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "IntermediateEffects") />					
<#list documentList as document>
	<#if document?has_content && document.ResultsAndDiscussion.TestResults.TestResults?has_content>
		<#list document.ResultsAndDiscussion.TestResults.TestResults as testResults>
			<#if testResults?has_content>
			<#list testResults.AttachedMaterial as attachedMaterialItem>
			<#if attachedMaterialItem?has_content>
				<@tableRowForAttachedMaterial checkMixtureRoot mixture document attachedMaterialItem intermediateEffectsID document.name document.documentKey.uuid "No Function" nameOfComponent />,
			</#if>
			</#list>
			</#if>
		</#list>
	</#if>
</#list>

</#list>
</#if>
</#list>
</#if>
</#list>
</#if>
</#compress>
<#-- Macros and functions -->
<#-- table for attachments in metadata -->
<#macro tableRowForAttachments checkMixtureRoot entityId document attachments attachmentIdentifier documentName="" documentUUID="" componentsList="" nameOfComponent="">
<#compress>
<#assign docUrl=iuclid.webUrl.documentView(document.documentKey) />
<#if attachments?has_content && attachmentIdentifier?has_content>
<@com.text attachmentIdentifier.annexRequirement />,<@com.text attachmentIdentifier.sectionNr />,${attachmentIdentifier.sectionName?replace(",","")},<#if documentName?has_content>${document.name?replace(",","")}</#if>,<@compress single_line=true><#if documentUUID?has_content><#if docUrl?has_content>"=HYPERLINK(""${docUrl}"", ""<@com.text documentUUID />"")"<#else>${documentUUID?replace(",","")}</#if><#else><@com.text document.documentKey.uuid /></#if></@compress>,"${nameOfComponent?replace(",","")}",<#if !checkMixtureRoot?has_content && componentsList?has_content && (entityId.documentType=="SUBSTANCE")><@com.picklist componentsList.Function /><#else>Biocidal Product</#if>,<@attachmentName attachments />,<@remarksForAttachment attachments />,<@attachmentMediaType attachments />,<@attachmentSize attachments />
</#if>
</#compress>
</#macro>
<#-- table for images -->					
<#macro tableRowForImages checkMixtureRoot entityId document attachmentIdentifier documentName="" documentUUID="" componentsList="" nameOfComponent="">
<#assign docUrl=iuclid.webUrl.documentView(document.documentKey) />
<#compress>
<#if document?has_content && attachmentIdentifier?has_content>
<#local attachmentPath = "document." + attachmentIdentifier.attachmentNamePath />
<#local attachment = attachmentPath?eval />
<#if attachment?has_content>
<@com.text attachmentIdentifier.annexRequirement />,<@com.text attachmentIdentifier.sectionNr />,${attachmentIdentifier.sectionName?replace(",","")},<#if documentName?has_content>${documentName?replace(",","")}</#if>,<@compress single_line=true><#if documentUUID?has_content><#if docUrl?has_content>"=HYPERLINK(""${docUrl}"", ""<@com.text documentUUID />"")"<#else>${documentUUID?replace(",","")}</#if><#else><@com.text document.documentKey.uuid /></#if></@compress>,"${nameOfComponent?replace(",","")}",<#if !checkMixtureRoot?has_content && componentsList?has_content && (entityId.documentType=="SUBSTANCE")><@com.picklist componentsList.Function /><#else>Biocidal Product</#if>,<@compress single_line=true><@attachmentName attachment /></@compress>,<@remarksForAttachment attachment />,<@attachmentMediaType attachment />,<@attachmentSize attachment />
</#if>
</#if>
</#compress>
</#macro>

<#-- table for attached background material -->
<#macro tableRowForBackgroundMaterial checkMixtureRoot entityId document backgroundJustificationItem attachmentIdentifier documentName="" documentUUID="" componentsList="" nameOfComponent="">
<#assign docUrl=iuclid.webUrl.documentView(document.documentKey) />
<#compress>

<#local docDefId = document.documentType +"."+ document.documentSubType />
<#if docDefId=="FLEXIBLE_RECORD.LiteratureSearch">
<#local attachment = backgroundJustificationItem.Attachment />
<#elseif docDefId=="FLEXIBLE_RECORD.IntermediateEffects">
<#local attachment = backgroundJustificationItem.AttachedDocuments />
<#else>
<#local attachment = backgroundJustificationItem.AttachedDocument />
</#if>

<#if backgroundJustificationItem?has_content && attachmentIdentifier?has_content>

<#local attachmentRemarks =  backgroundJustificationItem.Remarks />
<#if attachment?has_content>
<@com.text attachmentIdentifier.annexRequirement />,<@com.text attachmentIdentifier.sectionNr />,${attachmentIdentifier.sectionName?replace(",","")},<#if documentName?has_content>${document.name?replace(",","")}</#if>,<@compress single_line=true><#if documentUUID?has_content><#if docUrl?has_content>"=HYPERLINK(""${docUrl}"", ""<@com.text documentUUID />"")"<#else>${documentUUID?replace(",","")}</#if><#else><@com.text document.documentKey.uuid /></#if></@compress>,"${nameOfComponent?replace(",","")}",<#if !checkMixtureRoot?has_content && componentsList?has_content && (entityId.documentType=="SUBSTANCE")><@com.picklist componentsList.Function /><#else>Biocidal Product</#if>,<@compress single_line=true><@attachmentName attachment /></@compress>,<@remarksForAttachment attachment /><#if attachmentRemarks?has_content> Other remarks: ${attachmentRemarks?replace(",","")}</#if>,<@attachmentMediaType attachment />,<@attachmentSize attachment />
</#if>
</#if>
</#compress>
</#macro>

<#-- table for attachments in Intermediate effects - attached material -->
<#macro tableRowForAttachedMaterial checkMixtureRoot entityId document attachedMaterialItem attachmentIdentifier documentName="" documentUUID="" componentsList="" nameOfComponent="">
<#assign docUrl=iuclid.webUrl.documentView(document.documentKey) />
<#compress>

<#if attachedMaterialItem?has_content && attachmentIdentifier?has_content>
<#local attachment = attachedMaterialItem.Attachment />
<#local typeOfAttachment = attachedMaterialItem.AttachmentType />
<#local type><@com.picklistMultiple typeOfAttachment /></#local>
<#if attachment?has_content>
<@com.text attachmentIdentifier.annexRequirement />,<@com.text attachmentIdentifier.sectionNr />,${attachmentIdentifier.sectionName?replace(",","")},<#if documentName?has_content>${document.name?replace(",","")}</#if>,<@compress single_line=true><#if documentUUID?has_content><#if docUrl?has_content>"=HYPERLINK(""${docUrl}"", ""<@com.text documentUUID />"")"<#else>${documentUUID?replace(",","")}</#if><#else><@com.text document.documentKey.uuid /></#if></@compress>,"${nameOfComponent?replace(",","")}",<#if !checkMixtureRoot?has_content && componentsList?has_content && (entityId.documentType=="SUBSTANCE")><@com.picklist componentsList.Function /><#else>Biocidal Product</#if>,<@compress single_line=true><@attachmentName attachment /></@compress>,<@compress single_line=true><@remarksForAttachment attachment /><#if type?has_content> Type of attachment: ${type?replace(",","")}</#if></@compress>,<@attachmentMediaType attachment />,<@attachmentSize attachment />
</#if>
</#if>
</#compress>
</#macro>



<#-- table for attached study reports -->					
<#macro tableRowForAttachedStudy checkMixtureRoot entityId document attachmentIdentifier documentName="" documentUUID="" componentsList="" nameOfComponent="">
<#assign docUrl=iuclid.webUrl.documentView(document.documentKey) />
<#compress>
<#if document?has_content && attachmentIdentifier?has_content>
<#local attachmentPath = "document." + attachmentIdentifier.attachmentNamePath />
<#local attachment = attachmentPath?eval />	
<#if attachment?has_content>
<#list attachment as attachments>
<@com.text attachmentIdentifier.annexRequirement />,<@com.text attachmentIdentifier.sectionNr />,${attachmentIdentifier.sectionName?replace(",","")},<#if documentName?has_content>${document.name?replace(",","")}</#if>,<@compress single_line=true><#if documentUUID?has_content><#if docUrl?has_content>"=HYPERLINK(""${docUrl}"", ""<@com.text documentUUID />"")"<#else>${documentUUID?replace(",","")}</#if><#else><@com.text document.documentKey.uuid /></#if></@compress>,"${nameOfComponent?replace(",","")}",<#if !checkMixtureRoot?has_content && componentsList?has_content && (entityId.documentType=="SUBSTANCE")><@com.picklist componentsList.Function /><#else>Biocidal Product</#if>,<@attachmentName attachments />,<@remarksForAttachment attachments />,<@attachmentMediaType attachments />,<@attachmentSize attachments />
</#list>
</#if>
</#if>
</#compress>
</#macro>
<#-- data waiving justification table -->
<#macro tableRowForAttachedJustification checkMixtureRoot entityId document attachedJustificationItem attachmentIdentifier documentName="" documentUUID="" componentsList="" nameOfComponent="">
<#assign docUrl=iuclid.webUrl.documentView(document.documentKey) />
<#compress>
<#if attachedJustificationItem?has_content>
<#local attachment = attachedJustificationItem.AttachedJustification />
<#local attachmentRemarks =  attachedJustificationItem.ReasonPurpose />
<#if attachment?has_content>
<@com.text attachmentIdentifier.annexRequirement />,<@com.text attachmentIdentifier.sectionNr />,${attachmentIdentifier.sectionName?replace(",","")},<#if documentName?has_content>${document.name?replace(",","")}</#if>,<@compress single_line=true><#if documentUUID?has_content><#if docUrl?has_content>"=HYPERLINK(""${docUrl}"", ""<@com.text documentUUID />"")"<#else>${documentUUID?replace(",","")}</#if><#else><@com.text document.documentKey.uuid /></#if></@compress>,"${nameOfComponent?replace(",","")}",<#if !checkMixtureRoot?has_content && componentsList?has_content && (entityId.documentType=="SUBSTANCE")><@com.picklist componentsList.Function /><#else>Biocidal Product</#if>,<@compress single_line=true><@attachmentName attachment /></@compress>,<@remarksForAttachment attachment />,<@attachmentMediaType attachment />,<@attachmentSize attachment />
</#if>
</#if>
</#compress>
</#macro>
<#-- assigned suppliers table -->
<#macro tableRowForAssignedSuppliers checkMixtureRoot entityId document attachmentIdentifier documentName="" documentUUID="" componentsList="" nameOfComponent="">
<#assign docUrl=iuclid.webUrl.documentView(document.documentKey) />
<#compress>
<#if document?has_content>
<#local attachmentPath = "document." + "OnlyRepresentationInfo.NonEUManufacturerAssignment" />
<#local attachment = attachmentPath?eval />
<#if attachment?has_content>
<@compress single_line=true>
"${attachmentIdentifier.annexRequirement?replace(",","")}","${attachmentIdentifier.sectionNr?replace(",","")}","${attachmentIdentifier.sectionName?replace(",","")}",<#if documentName?has_content>${document.name?replace(",","")}</#if>,<@compress single_line=true><#if documentUUID?has_content><#if docUrl?has_content>"=HYPERLINK(""${docUrl}"", ""<@com.text documentUUID />"")"<#else>${documentUUID?replace(",","")}</#if><#else><@com.text document.documentKey.uuid /></#if></@compress>,"${nameOfComponent?replace(",","")}",<#if !checkMixtureRoot?has_content && componentsList?has_content && (entityId.documentType=="SUBSTANCE")><@com.picklist componentsList.Function /><#else>Biocidal Product</#if>,<@compress single_line=true><@attachmentName attachment /></@compress>,<@remarksForAttachment attachment />,<@attachmentMediaType attachment />,<@attachmentSize attachment />
</@compress>
</#if>
</#if>
</#compress>
</#macro>
<#-- other importers table -->
<#macro tableRowForSuppliersOtherImporters checkMixtureRoot entityId document otherImportersItem mixtureSuppliersAgreementID documentName="" documentUUID="" componentsList="" nameOfComponent="">
<#assign docUrl=iuclid.webUrl.documentView(document.documentKey) />
<#if otherImportersItem?has_content>
<#local attachment = otherImportersItem.Agreement />
<#if attachment?has_content>
<@compress single_line=true>
<@com.text mixtureSuppliersAgreementID.annexRequirement />,<@com.text mixtureSuppliersAgreementID.sectionNr />,<@com.text mixtureSuppliersAgreementID.sectionName />,<#if documentName?has_content>${document.name?replace(",","")}</#if>,<@compress single_line=true><#if documentUUID?has_content><#if docUrl?has_content>"=HYPERLINK(""${docUrl}"", ""<@com.text documentUUID />"")"<#else>${documentUUID?replace(",","")}</#if><#else><@com.text document.documentKey.uuid /></#if></@compress>,"${nameOfComponent?replace(",","")}",<#if !checkMixtureRoot?has_content && componentsList?has_content && (entityId.documentType=="SUBSTANCE")><@com.picklist componentsList.Function /><#else>Biocidal Product</#if>,<@compress single_line=true><@attachmentName attachment /></@compress>,<@remarksForAttachment attachment />,<@attachmentMediaType attachment />,<@attachmentSize attachment />
</@compress>
</#if>
</#if>
</#macro>
<#-- related packaging attachment table -->
<#macro tableRowForBioPackaging checkMixtureRoot entityId document packagingRelatedAttachmentItem packagingAttachmentID documentName="" documentUUID="" componentsList="" nameOfComponent="">
<#assign docUrl=iuclid.webUrl.documentView(document.documentKey) />
<#compress>
<#if packagingRelatedAttachmentItem?has_content>
<#local attachment = packagingRelatedAttachmentItem />
<#if attachment.AttachedDocument?has_content>
<@com.text packagingAttachmentID.annexRequirement />,<@com.text packagingAttachmentID.sectionNr />,<@com.text packagingAttachmentID.sectionName />,<#if documentName?has_content>${document.name?replace(",","")}</#if>,<@compress single_line=true><#if documentUUID?has_content><#if docUrl?has_content>"=HYPERLINK(""${docUrl}"", ""<@com.text documentUUID />"")"<#else>${documentUUID?replace(",","")}</#if><#else><@com.text document.documentKey.uuid /></#if></@compress>,"${nameOfComponent?replace(",","")}",<#if !checkMixtureRoot?has_content && componentsList?has_content && (entityId.documentType=="SUBSTANCE")><@com.picklist componentsList.Function /><#else>Biocidal Product</#if>,<@attachmentName attachment.AttachedDocument />,<@remarksForAttachment attachment.AttachedDocument />,<@attachmentMediaType attachment.AttachedDocument />,<@attachmentSize attachment.AttachedDocument />
</#if>
</#if>
</#compress>
</#macro>
<#-- summary and evaluation attachment  -->
<#macro tableRowForSummaryEvaluationAttachment checkMixtureRoot entityId document summaryEvaluationAttachmentItem summaryAndEvaluationID documentName="" documentUUID="" componentsList="" nameOfComponent="">
<#assign docUrl=iuclid.webUrl.documentView(document.documentKey) />
<#compress>
<#if summaryEvaluationAttachmentItem?has_content>
<#local attachment = summaryEvaluationAttachmentItem />
<#if attachment.Attachments?has_content>
<@com.text summaryAndEvaluationID.annexRequirement />,<@com.text summaryAndEvaluationID.sectionNr />,<@com.text summaryAndEvaluationID.sectionName />,<#if documentName?has_content>${document.name?replace(",","")}</#if>,<@compress single_line=true><#if documentUUID?has_content><#if docUrl?has_content>"=HYPERLINK(""${docUrl}"", ""<@com.text documentUUID />"")"<#else>${documentUUID?replace(",","")}</#if><#else><@com.text document.documentKey.uuid /></#if></@compress>,"${nameOfComponent?replace(",","")}",<#if !checkMixtureRoot?has_content && componentsList?has_content && (entityId.documentType=="SUBSTANCE")><@com.picklist componentsList.Function /><#else>Biocidal Product</#if>,<@attachmentName attachment.Attachments />,<@remarksForAttachment attachment.Attachments />,<@attachmentMediaType attachment.Attachments />,<@attachmentSize attachment.Attachments />
</#if>
</#if>
</#compress>
</#macro>
<#-- substance composition attachment  -->
<#macro tableRowForSubstanceComposition checkMixtureRoot entityId document attachedDescriptionItem substanceCompositionID documentName="" documentUUID="" componentsList="" nameOfComponent="">
<#assign docUrl=iuclid.webUrl.documentView(document.documentKey) />
<#compress>
<#if attachedDescriptionItem?has_content>
<#local attachment = attachedDescriptionItem.AttachedDocument />
<#if attachment?has_content>
<@com.text substanceCompositionID.annexRequirement />,<@com.text substanceCompositionID.sectionNr />,<@com.text substanceCompositionID.sectionName />,<#if documentName?has_content>${document.name?replace(",","")}</#if>,<@compress single_line=true><#if documentUUID?has_content><#if docUrl?has_content>"=HYPERLINK(""${docUrl}"", ""<@com.text documentUUID />"")"<#else>${documentUUID?replace(",","")}</#if><#else><@com.text document.documentKey.uuid /></#if></@compress>,"${nameOfComponent?replace(",","")}",<#if !checkMixtureRoot?has_content && componentsList?has_content && (entityId.documentType=="SUBSTANCE")><@com.picklist componentsList.Function /><#else>Biocidal Product</#if>,<@compress single_line=true><@attachmentName attachment /></@compress>,<@remarksForAttachment attachment />,<@attachmentMediaType attachment />,<@attachmentSize attachment />
</#if>
</#if>
</#compress>
</#macro>
<#-- analytical determination attachment  -->
<#macro tableRowForAnalyticalDetermination checkMixtureRoot entityId document attachedAnalyticalDeterminationItem analyticalDeterminationID documentName="" documentUUID="" componentsList="" nameOfComponent="">
<#assign docUrl=iuclid.webUrl.documentView(document.documentKey) />
<#compress>
<#if attachedAnalyticalDeterminationItem?has_content>
<#local attachment = attachedAnalyticalDeterminationItem.AttachedMethodsResults />
<#if attachment?has_content>
<@com.text analyticalDeterminationID.annexRequirement />,<@com.text analyticalDeterminationID.sectionNr />,<@com.text analyticalDeterminationID.sectionName />,<#if documentName?has_content>${document.name?replace(",","")}</#if>,<@compress single_line=true><#if documentUUID?has_content><#if docUrl?has_content>"=HYPERLINK(""${docUrl}"", ""<@com.text documentUUID />"")"<#else>${documentUUID?replace(",","")}</#if><#else><@com.text document.documentKey.uuid /></#if></@compress>,"${nameOfComponent?replace(",","")}",<#if !checkMixtureRoot?has_content && componentsList?has_content && (entityId.documentType=="SUBSTANCE")><@com.picklist componentsList.Function /><#else>Biocidal Product</#if>,<@compress single_line=true><@attachmentName attachment /></@compress>,<@remarksForAttachment attachment />,<@attachmentMediaType attachment />,<@attachmentSize attachment />
</#if>
</#if>
</#compress>
</#macro>
<#macro tableRowForSummaryEvaluationTypeOfReport checkMixtureRoot entityId document typeOfReportIdentifierItem activeSubstanceSummaryTypeOfReportID documentName="" documentUUID="" componentsList="" nameOfComponent="">
<#assign docUrl=iuclid.webUrl.documentView(document.documentKey) />
<#compress>
<#if typeOfReportIdentifierItem?has_content>
<#local attachmentPath = "typeOfReportIdentifierItem." + "Attachments" />
<#local attachment = attachmentPath?eval />
<@com.text activeSubstanceSummaryTypeOfReportID.annexRequirement />,<@com.text activeSubstanceSummaryTypeOfReportID.sectionNr />,<@com.text activeSubstanceSummaryTypeOfReportID.sectionName />,<#if documentName?has_content>${document.name?replace(",","")}</#if>,<@compress single_line=true><#if documentUUID?has_content><#if docUrl?has_content>"=HYPERLINK(""${docUrl}"", ""<@com.text documentUUID />"")"<#else>${documentUUID?replace(",","")}</#if><#else><@com.text document.documentKey.uuid /></#if></@compress>,"${nameOfComponent?replace(",","")}",<#if !checkMixtureRoot?has_content && componentsList?has_content && (entityId.documentType=="SUBSTANCE")><@com.picklist componentsList.Function /><#else>Biocidal Product</#if>,<@compress single_line=true><@attachmentName attachment /></@compress>,<@remarksForAttachment attachment />,<@attachmentMediaType attachment />,<@attachmentSize attachment />
</#if>
</#compress>
</#macro>
<#compress>
<#-- Functions to check root of report - substance or mixture -->
<#function checkSubstanceRoot substance>
	<#local substances = []/>
	<#if !(com.getReportSubject(rootDocument).documentType=="SUBSTANCE")>
		<#return [] />
	</#if>	
	<#if com.getReportSubject(rootDocument).documentType=="SUBSTANCE">
		<#return true>
	</#if>	
	<#return substances />
</#function>
<#function checkMixtureRoot mixture>
	<#local mixtures = []/>
	<#if !(com.getReportSubject(rootDocument).documentType=="MIXTURE")>
		<#return [] />
	</#if>	
	<#if com.getReportSubject(rootDocument).documentType=="MIXTURE">
		<#return true>
	</#if>
	<#return mixtures />
</#function>
<#-- Macros for attachments -->
<#macro attachmentName attachments>
<@compress single_line=true>
	<#assign attachmentData = iuclid.getMetadataForAttachment(attachments) />
	<#if attachmentData?has_content>
	<#local attachName><@com.text attachmentData.filename/></#local>
		<@compress single_line=true>"${attachName?replace(",","")?replace("^\\s+|\\s+$|\\n|\\r", "", "rm")}"</@compress><#if otherImportersItem_has_next??></#if><#t>
	</#if>
</@compress>
</#macro>
<#macro remarksForAttachment attachments>
<@compress single_line=true>
	<#assign attachmentData = iuclid.getMetadataForAttachment(attachments) />
	<#if attachmentData?has_content>
	<#local attachRemarks><@com.text attachmentData.remarks/></#local>
		<@compress single_line=true>"${attachRemarks?replace(",","")?replace("^\\s+|\\s+$|\\n|\\r", "", "rm")}"</@compress><#if otherImportersItem_has_next??></#if><#t>
	</#if>
</@compress>
</#macro>
<#macro attachmentSize attachments>
<@compress single_line=true>
	<#assign attachmentData = iuclid.getMetadataForAttachment(attachments) />
	<#if attachmentData?has_content>
	<#local attachSize><@com.text attachmentData.size/></#local>
		<@compress single_line=true>"${attachSize?replace(",","")?replace("^\\s+|\\s+$|\\n|\\r", "", "rm")}"</@compress><#if otherImportersItem_has_next??></#if><#t>
	</#if>
</@compress>
</#macro>
<#macro attachmentMediaType attachments>
<@compress single_line=true>
	<#assign attachmentData = iuclid.getMetadataForAttachment(attachments) />
	<#if attachmentData?has_content>
	<#local attachMedia><@com.text attachmentData.mediaType/></#local>
		<@compress single_line=true>"${attachMedia?replace(",","")?replace("^\\s+|\\s+$|\\n|\\r", "", "rm")}"</@compress><#if otherImportersItem_has_next??> </#if><#t>
	</#if>
</@compress>
</#macro>

<#function getMixtureComposition mixture>

	<#local compositionList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "MixtureComposition") />

		<#if compositionList?has_content>
			<#return compositionList />
		</#if>

	<#return compositionList />
</#function>

<#function getMixtureComponents compositionOfMixture>

	<#local componentsList = compositionOfMixture.Components.Components/>

		<#if componentsList?has_content>
			<#return componentsList />
		</#if>

	<#return componentsList />
</#function>

<#function getAllComponents componentsList>
	<#local substanceList = []/>

	<#if componentsList?has_content>
	<#local components = iuclid.getDocumentForKey(componentsList.Reference)/>
		<#if components?has_content && (components.documentType=="SUBSTANCE" || components.documentType=="MIXTURE")>
			<#local substanceList = com.addDocumentToSequenceAsUnique(components, substanceList)/>
		</#if>
	</#if>
	
	<#return substanceList />
</#function>

<#function getNameOfComponent componentsList>
	<#local componentNamesList = []/>
	<#local components = iuclid.getDocumentForKey(componentsList.Reference) />

		<#if components?has_content && (components.documentType=="SUBSTANCE")>
			<#local componentNamesList = com.addDocumentToSequenceAsUnique(components, componentNamesList)/>
		</#if>

		<#return componentNamesList />
</#function>

<#function isImageAttachmentPresent document attachmentIdentifier>

		<#assign attachmentPath = "document." + attachmentIdentifier.attachmentNamePath />
		<#assign attachmentPathImage = attachmentPath?eval />
				
		<#if attachmentPathImage?has_content>
		<#return true />
		<#else/>
		<#return false />
		</#if>
</#function>
<#function isFullStudyAttachmentPresent document attachmentIdentifier>

		<#assign attachmentPath = "document." + attachmentIdentifier.attachmentNamePath />
		<#assign attachmentPathFullStudy = attachmentPath?eval />
				
		<#if attachmentPathFullStudy?has_content>
		<#return true />
		<#else/>
		<#return false />
		</#if>
</#function>

<#function isAttachedDescriptionPresent attachedDescriptionItem>

		<#if attachedDescriptionItem?has_content>
		<#return true />
		<#else/>
		<#return false />
		</#if>
</#function>
<#function isAssignmentSupplierAttachment document mixtureSuppliersAssignmentID>

		<#assign attachmentPath = "document." + "OnlyRepresentationInfo.NonEUManufacturerAssignment" />
		<#assign attachmentPathSupplier = attachmentPath?eval />
				
		<#if attachmentPathSupplier?has_content>
		<#return true />
		<#else/>
		<#return false />
		</#if>
</#function>
<#function isImportEntriesProvided document otherImportersItem>
		
		<#if otherImportersItem.Agreement?has_content>
		<#return true />
		<#else/>
		<#return false />
		</#if>
</#function>
<#function isSubstancesWithDocuments substance>

	<#list substanceMetaDataAttachmentListPart1 as attachmentIdentifier>
		<#local documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
		<#list documentList as document>
			<#list document.attachments as attachments>
			<#if attachments?has_content>
				<#return true>
			</#if>
			</#list>
		</#list>
	</#list>

	<#list substanceMetaDataAttachmentListPart2 as attachmentIdentifier>
	<#local document = substance />
		<#list document.attachments as attachments>
		<#if attachments?has_content>
			<#return true>
		</#if>
		</#list>
	</#list>

	<#list substanceMetaDataAttachmentListPart3 as attachmentIdentifier>
		<#local documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
		<#list documentList as document>
			<#list document.attachments as attachments>
			<#if attachments?has_content>
				<#return true>
			</#if>
			</#list>
		</#list>
	</#list>
	<#-- Active substance attachments in documents -->
	<#list activeSubstanceBackgroundMaterialList as attachmentIdentifier>
		<#local documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
		<#list documentList as document>
			<#list document.OverallRemarksAttachments.AttachedBackgroundMaterial as backgroundJustificationItem>
			<#if backgroundJustificationItem?has_content>
				<#return true>
			</#if>
			</#list>
		</#list>
	</#list>
	<#list activeSubstanceAttachedFullStudyReportList as attachmentIdentifier>
		<#local documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
		<#list documentList as document>
			<#if document?has_content>
			<#if isFullStudyAttachmentPresent(document, attachmentIdentifier)>
				<#return true>
			</#if>
			</#if>
		</#list>
	</#list>
	<#list activeSubstanceImageList as attachmentIdentifier>
	<#local documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
		<#list documentList as document>
			<#if document?has_content>
			<#if isImageAttachmentPresent(document, attachmentIdentifier)>
				<#return true>
			</#if>
			</#if>
		</#list>
	</#list>
	<#list activeSubstanceJustificationForDataWaivingList as attachmentIdentifier>
		<#local documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
		<#list documentList as document>
			<#list document.AdministrativeData.AttachedJustification as attachedJustificationItem>
			<#if attachedJustificationItem?has_content>
				<#return true>
			</#if>
			</#list>
		</#list>
	</#list>
	<#local documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "SubstanceComposition") />
	<#list documentList as document>
		<#list document.GeneralInformation.AttachedDescription as attachedDescriptionItem>
			<#if attachedDescriptionItem?has_content>
				<#return true>
			</#if>
		</#list>
	</#list>
	<#local documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "AnalyticalInformation") />
	<#list documentList as document>
		<#list document.AnalyticalInformation.MethodsAndResultsOfAnalysis.AnalyticalDetermination as attachedAnalyticalDeterminationItem>
			<#if attachedAnalyticalDeterminationItem.AttachedMethodsResults?has_content>
				<#return true>
			</#if>
		</#list>
	</#list>
	<#local documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "Suppliers") />
	<#list documentList as document>
		<#if document?has_content>
			<#if isAssignmentSupplierAttachment(document, mixtureSuppliersAssignmentID)>
				<#return true>
			</#if>
		</#if>
	</#list>
	<#local documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "Suppliers") />
	<#list documentList as document>
		<#list document.OnlyRepresentationInfo.ImporterEntries as otherImportersItem>
			<#if isImportEntriesProvided(document, otherImportersItem)>
				<#if otherImportersItem?has_content>
					<#return true>
				</#if>
			</#if>
		</#list>
	</#list>
	<#local documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_SUMMARY", "BioSummaryEvaluation") />
	<#list documentList as document>
		<#list document.ReportsAndAdministrativeInformation.SummaryAndEvaluation.PackagingRelatedAttachments as typeOfReportIdentifierItem>
			<#if typeOfReportIdentifierItem?has_content>
				<#return true>
			</#if>
		</#list>
	</#list>


		<#return false>

</#function>
</#compress>
