﻿<?xml version="1.0" encoding="UTF-8" standalone="yes"?>

<#-- Include utility maps for mapping phrase codes to SPC XML attribute values -->
<#include "spc_utilities.ftl" />

<#-- Import common macros and functions -->
<#import "../docbook+xml/macros_common.ftl" as com>

<!-- SPC main template file -->
<ns4:SPC xmlns:ns2="http://www.w3.org/2000/09/xmldsig#" xmlns:ns3="http://www.w3.org/1999/xhtml" xmlns:ns4="http://echa.europa.eu/schema/spc/1.0/" xml:lang="en">
    
	<#assign mixture = com.getReportSubject(rootDocument) />
	
	<ns4:lang>
        <representation>en</representation>
    </ns4:lang>
						
	<#assign firstComposition = getFirstComposition(mixture) />
	<#-- Stop if there is no composition -->
	<#if !(firstComposition?has_content)>
		<#stop "SPC XML template expects a mixture with at least one composition provided. No composition record was found!" />
	</#if>
	
	
	<!-- ProductInfo -->
	<ns4:ProductInfo>			
		<@formulationTypeTag firstComposition.GeneralInformation.FormulationType/>
		
		<ns4:Composition xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="ns4:ProductCompositionType">
			<#assign componentList = getActiveSubstanceComponents(firstComposition) />
			<#if componentList?has_content>	
				<#list componentList as component>				
					<ns4:ActiveSubstance>
						<@compositionComponentAttributes component/>
					</ns4:ActiveSubstance>	
				</#list>
			</#if>
			
			<#assign componentList = getSubstanceOfConcernComponents(firstComposition) />
			<#if componentList?has_content>	
				<#list componentList as component>				
					<ns4:SubstanceOfConcern>
						<@compositionComponentAttributes component/>
					</ns4:SubstanceOfConcern>	
				</#list>
			</#if>
			
			<#assign componentList = getOtherSubstanceComponents(firstComposition) />
			<#if componentList?has_content>
				<#list componentList as component>				
					<ns4:OtherSubstance>
						<@compositionComponentAttributes component/>
					</ns4:OtherSubstance>
				</#list>
			</#if>
		</ns4:Composition>				
	</ns4:ProductInfo>
	
	
	<!-- CNLInfo -->
	<ns4:CNLInfo>
		<#assign ghsRecordList = getGhsRecordsLinkedToComposition(mixture, firstComposition) />
		
		<#if ghsRecordList?has_content>
			<#assign ghsRecord = ghsRecordList[0] />
			
			<!-- Classification -->
			<ns4:Classification>
				<@GHSEntryTag ghsRecord.Classification.PhysicalHazards.Explosives/>
				<@GHSEntryTag ghsRecord.Classification.PhysicalHazards.FlammableGases/>
				<@GHSEntryTag ghsRecord.Classification.PhysicalHazards.FlammableAerosols/>
				<@GHSEntryTag ghsRecord.Classification.PhysicalHazards.OxidisingGases/>
				<@GHSEntryTag ghsRecord.Classification.PhysicalHazards.GasesPres/>
				<@GHSEntryTag ghsRecord.Classification.PhysicalHazards.FlammableLiquids/>
				<@GHSEntryTag ghsRecord.Classification.PhysicalHazards.FlammableSolids/>
				<@GHSEntryTag ghsRecord.Classification.PhysicalHazards.SelfReactiveSubstMixt/>
				<@GHSEntryTag ghsRecord.Classification.PhysicalHazards.PyrophoricLiquids/>
				<@GHSEntryTag ghsRecord.Classification.PhysicalHazards.PyrophoricSolids/>
				<@GHSEntryTag ghsRecord.Classification.PhysicalHazards.SelfHeatSubstMixt/>
				<@GHSEntryTag ghsRecord.Classification.PhysicalHazards.SubstMixtWater/>
				<@GHSEntryTag ghsRecord.Classification.PhysicalHazards.OxidisingLiquids/>
				<@GHSEntryTag ghsRecord.Classification.PhysicalHazards.OxidisingSolids/>
				<@GHSEntryTag ghsRecord.Classification.PhysicalHazards.OrganicPeroxides/>
				<@GHSEntryTag ghsRecord.Classification.PhysicalHazards.CorMetals/>
				<@GHSEntryTag ghsRecord.Classification.PhysicalHazards.DesensitizedExplosives/>
				<@GHSEntryTag ghsRecord.Classification.HealthHazards.AcuteToxicityOral/>
				<@GHSEntryTag ghsRecord.Classification.HealthHazards.AcuteToxicityDermal/>
				<@GHSEntryTag ghsRecord.Classification.HealthHazards.AcuteToxicityInhalation/>
				<@GHSEntryTag ghsRecord.Classification.HealthHazards.Irritation/>
				<@GHSEntryTag ghsRecord.Classification.HealthHazards.EyeIrritation/>
				<@GHSEntryTag ghsRecord.Classification.HealthHazards.RespiratorySensitisation/>
				<@GHSEntryTag ghsRecord.Classification.HealthHazards.SkinSensitisation/>
				<@GHSEntryTag ghsRecord.Classification.HealthHazards.AspirationHazard/>
				<@GHSEntryTag ghsRecord.Classification.HealthHazards.ReproductiveToxicity.ReproductiveToxicity/>
				<@GHSEntryTag ghsRecord.Classification.HealthHazards.GermCell.GermCell/>
				<@GHSEntryTag ghsRecord.Classification.HealthHazards.Carcinogenicity.Carcinogenicity/>
				
				<#assign ghsList = ghsRecord.Classification.HealthHazards.ToxicitySingle.Toxicity />	
				<#if ghsList?has_content>					
					<#list ghsList as ghs>						
						<@GHSEntryTag ghs.Toxicity/>
					</#list>
				</#if>
					
				<#assign ghsList = ghsRecord.Classification.HealthHazards.ToxicityRepeated.Toxicity />	
				<#if ghsList?has_content>					
					<#list ghsList as ghs>
						<@GHSEntryTag ghs.Toxicity/>
					</#list>
				</#if>
				
				<@GHSEntryTag ghsRecord.Classification.EnvironmentalHazards.AquaticEnvironment.AcuteShortTerm/>
				<@GHSEntryTag ghsRecord.Classification.EnvironmentalHazards.AquaticEnvironment.LongTerm/>
				<@GHSEntryTag ghsRecord.Classification.EnvironmentalHazards.OzoneLayer.HazardousOzone/>
			</ns4:Classification>
			
			<!-- Labelling -->
			<ns4:Labelling>
				<@signalWordTag ghsRecord.Labelling.SignalWord/>	
				
				
				<#assign pictogramList = ghsRecord.Labelling.HazardPictogramBlock.HazardPictogram />	
				<#if pictogramList?has_content>
					<ns4:Pictograms>
						<#list pictogramList as pictogram>
							<@pictogramTag pictogram.Code/>
						</#list>
					</ns4:Pictograms>
				</#if>
				
				<#assign hazardStatementList = ghsRecord.Labelling.HazardStatementsBlock.HazardStatements />	
				<#if hazardStatementList?has_content>
					<ns4:HazardStatements>
						<#list hazardStatementList as hazard>							
							<@hazardStatementTag hazard.HazardStatement/>								
						</#list>
					</ns4:HazardStatements>
				</#if>			
				
				<#assign precautionaryStatementList = ghsRecord.Labelling.PrecautionaryStatementsBlock.PrecautionaryStatements />	
				<#if precautionaryStatementList?has_content>
					<ns4:PrecautionaryStatements>
						<#list precautionaryStatementList as precautionary>							
							<@precautionaryStatementTag precautionary.PrecautionaryStatement/>							
						</#list>
					</ns4:PrecautionaryStatements>
				</#if>
			</ns4:Labelling>
		</#if>
	</ns4:CNLInfo>	
	
	
	<!-- AuthorisedUses -->
	<ns4:AuthorisedUses>
		
		<#assign useRecordList = getUseRecordsLinkedToComposition(mixture, firstComposition) />
		
		<#if useRecordList?has_content>
			<#list useRecordList as useRecord>
				<#assign usePattern = useRecord.IntendedUsesAndExposure />
				<#if usePattern?has_content>			
						<ns4:AuthorisedUse>
							<ns4:Name><@com.number usePattern.UseNumber/> - <@com.text usePattern.UseName/></ns4:Name>
							<@productTypeTag useRecord.IntendedUsesAndExposure.ProductType/>
							<ns4:Description><@com.richText useRecord.IntendedUsesAndExposure.DetailedDescription/></ns4:Description>
							<@fieldsTag usePattern.FieldOfUse/>
							<@userCategoriesTag usePattern.User/>
							
							<!-- TargetOrganisms -->
							<#-- TODO: link to use record could be done via Product Type field from EffectivenessAgainstTargetOrganisms -->
							<#assign recordList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "ENDPOINT_STUDY_RECORD", "EffectivenessAgainstTargetOrganisms") />	
							<#if recordList?has_content>			
								<#list recordList as record>
								<ns4:TargetOrganisms>
									<#assign targetList = record.GeneralInformation.PestTargetOrganismsToBeControlled.TargetOrganisms />	
									<#if targetList?has_content>					
										<#list targetList as target>
											<ns4:TargetOrganism>
												<#if target.ScientificName?has_content>
													<ns4:ScientificName code="${target.ScientificName.code}"><@com.picklist target.ScientificName/></ns4:ScientificName>
												</#if>
												<#if target.CommonName?has_content>
													<ns4:CommonName code="${target.CommonName.code}"><@com.picklist target.CommonName/></ns4:CommonName>
												</#if>
												<#if target.DevelopmentalStage?has_content>
													<ns4:DevelopmentStage code="${target.DevelopmentalStage.code}"><@com.picklist target.DevelopmentalStage/></ns4:DevelopmentStage>
												</#if>
											</ns4:TargetOrganism>
										</#list>					
									</#if>
								</ns4:TargetOrganisms>
								</#list>
							</#if>
							
							<!-- ApplicationMethods -->
							<#assign dirForUseRecordList = getDirForUseRecordsLinkedToUse(mixture, useRecord) />
							
							<#if dirForUseRecordList?has_content>
								<ns4:ApplicationMethods>								
									<#list dirForUseRecordList as record>
										<ns4:ApplicationMethod>
											<@methodTag record.DirectionsForUse.MethodOfApplication/>
											<ns4:Description><@com.text record.DirectionsForUse.DetailedDescriptionOfMethod/></ns4:Description>
											<ns4:Timing><@com.richText record.DirectionsForUse.NumberAndTimingOfApplications/></ns4:Timing>
										</ns4:ApplicationMethod>	
									</#list>								
								</ns4:ApplicationMethods>
							</#if>
							
							<!-- Packagings -->
							<#assign recordList = getPackagingRecordsLinkedToComposition(mixture, firstComposition) />
							<#if recordList?has_content>
								<ns4:Packagings>
									<#list recordList as record>
										<ns4:Packaging>
											<ns4:Specifications>
												<ns4:Specification>											
													<@typePackagingTag record.Packaging.TypeOfPackaging/>
													<ns4:Material><@com.picklist record.Packaging.MaterialOfPackaging/></ns4:Material>
													<ns4:Size><@com.range record.Packaging.SizeOfPackaging/></ns4:Size>											
												</ns4:Specification>
											</ns4:Specifications>
											<ns4:Description><@com.text record.Packaging.FurtherDescription/></ns4:Description>
											<ns4:Safety><@com.text record.Packaging.SafetyFeaturesOfThePackaging/></ns4:Safety>
										</ns4:Packaging>
									</#list>								
								</ns4:Packagings>
							</#if>
							<#--TODO: materialPacakging needs to print the OTHER: information -->	
							
							<!-- UseInfo -->
							<#if dirForUseRecordList?has_content>
								<ns4:UseInfo>				
									<#list dirForUseRecordList as record>
										<ns4:Use>					
											<@com.richText record.DirectionsForUse.ProposedInstructionForUse/>
											<#--TODO: this may need changing based on changes in JIRA 9342 -->
										</ns4:Use>	
									</#list>				
								</ns4:UseInfo>				
							</#if>
						</ns4:AuthorisedUse>	
				</#if>				
			</#list>
		</#if>	
				
	</ns4:AuthorisedUses>
	
	
	<!-- UseInfo -->
	<ns4:UseInfo>
		<#assign recordList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "ProtectionMeasures") />	
		<#if recordList?has_content>
			<#assign firstRecord = recordList[0] />
			<ns4:LikelyEffects>
				<@com.text firstRecord.MeasuresToProtect.ParticularsOfLikelyDirect/>
				<@com.text firstRecord.MeasuresToProtect.FirstAidInstructionsAntidotes/>
				<@com.text firstRecord.MeasuresToProtect.EmergencyMeasuresToProtectEnvironmentInCaseOfAccident/>
			</ns4:LikelyEffects>
			<ns4:Disposal>
				<@com.text firstRecord.ProceduresForWasteManagement.InstructionsForSafeDisposal/>
			</ns4:Disposal>
			<ns4:Storage>
				<@com.text firstRecord.MeasuresToProtect.RecommendedMethodsAndPrecautionsConcerningStorage/>
			</ns4:Storage>
		</#if>	
	</ns4:UseInfo>
	
	
	<!-- AdminInfo -->
	<ns4:AdminInfo>
		
		<!-- TradeNames -->
		<#assign otherNamesList = mixture.OtherNames />
		<#if otherNamesList?has_content>
			<ns4:TradeNames>
			
				<#list otherNamesList as item>
					<ns4:TradeName>
						<@countryTag item.Country/>
						<ns4:Text><@com.text item.Name/></ns4:Text>
					</ns4:TradeName>
				</#list>
				
			</ns4:TradeNames>
		</#if>
		
		<!-- ProductManufacturers -->
		<#assign recordList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "Suppliers") />
		<#if recordList?has_content>
			<ns4:ProductManufacturers>				
				<#list recordList as record>
					<ns4:ProductManufacturer>
						<#assign legalEntity = iuclid.getDocumentForKey(record.ManufacturerImportForm.LegalEntity)/>
						<@legalEntityAddressDetails legalEntity/>
					</ns4:ProductManufacturer>
				</#list>				
			</ns4:ProductManufacturers>
		</#if>
		
		<!-- SubstanceManufacturers -->
		<#assign legalEntityList = getDifferentLegalEntitiesOfActiveSubstances(firstComposition) />
		<#if legalEntityList?has_content>
			<ns4:SubstanceManufacturers>
				<#list legalEntityList as legalEntity>
					<ns4:SubstanceManufacturer>
						<@legalEntityAddressDetails legalEntity/>
					</ns4:SubstanceManufacturer>
				</#list>
			</ns4:SubstanceManufacturers>
		</#if>
		
	</ns4:AdminInfo>
	
	
	<!-- Otherinfo -->
	<ns4:OtherInfo>
		<#assign summaryList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_SUMMARY", "BioSummaryEvaluation") />	
		<#if summaryList?has_content>	
			<#assign firstSummary = summaryList[0] />
			<@com.richText firstSummary.ReportsAndAdministrativeInformation.Discussion.DiscussionText/>
			<@com.richText firstSummary.ReportsAndAdministrativeInformation.BiocidalProductRelatedInformation.OtherInformation/>
		</#if>
	</ns4:OtherInfo>
	
</ns4:SPC>


<!-- Macros -->
<#macro formulationTypeTag formulationTypeList>
<#compress>
	<#if formulationTypeList?has_content>
		<#local firstFormType = formulationTypeList[0] />
		<ns4:FormulationType code="${firstFormType.code}">
			<@picklistValue firstFormType />
		</ns4:FormulationType>
	</#if>
</#compress>
</#macro>


<#macro compositionComponentAttributes component>
<#compress>
	<#if component?has_content>
		<#local substance = iuclid.getDocumentForKey(component.Reference)/>
		
		<#if substance?has_content && substance.documentType=="SUBSTANCE">
			<#local refSubst = iuclid.getDocumentForKey(substance.ReferenceSubstance.ReferenceSubstance)/>
			<#if refSubst?has_content>
				<ns4:CommonName><@com.text refSubst.ReferenceSubstanceName/></ns4:CommonName>
				<ns4:CAS><@com.text refSubst.Inventory.CASNumber/></ns4:CAS>
				<ns4:IUPACName><@com.text refSubst.IupacName/></ns4:IUPACName>
				<ns4:EC><@inventoryECNumber refSubst.Inventory.InventoryEntry/></ns4:EC>
			</#if>
		</#if>
		
		<#local concentration = component.TypicalConcentration />
		<#if concentration.lower.value?has_content>
			<ns4:Concentration>
				<ns4:Value><@com.number concentration.lower.value/></ns4:Value>
			</ns4:Concentration>
		</#if>
		
		<#local function = component.Function />
		<#if function?has_content && functionPhraseToCodeMap[function.code]?has_content>
			<#local functionCode = functionPhraseToCodeMap[function.code] />
			<ns4:Function code="${functionCode}">${functionCode}</ns4:Function>
		</#if>
	</#if>
</#compress>
</#macro>

<#macro inventoryECNumber inventoryBlock>
<#compress>
	<#if inventoryBlock?has_content>
		<#list inventoryBlock as item>
			<#if item.inventoryCode == 'EC'>
				<@com.text item.numberInInventory/>
				<#break>
			</#if>
		</#list>
	</#if>
</#compress>
</#macro>



<#macro GHSEntryTag hazardBlock>
<#compress>
	<#if hazardBlock.HazardCategory?has_content>
		<ns4:GHSEntry>
			<ns4:Category code="${hazardBlock.HazardCategory.code}">
				<@com.picklist hazardBlock.HazardCategory />
			</ns4:Category>
			<ns4:HazardCodes/>
			<ns4:PrecautionaryCodes/>
		</ns4:GHSEntry>
	</#if>
</#compress>
</#macro>

<#macro signalWordTag signalPicklistValue>
<#compress>
	<#if signalPicklistValue?has_content>
		 <ns4:SignalWord>
			<@picklistValue signalPicklistValue/>
		</ns4:SignalWord>
	</#if> 
</#compress>
</#macro>

<#macro pictogramTag pictogramPicklistValue>
<#compress>
	<#if pictogramPicklistValue?has_content>
		<#local pictogramText><@picklistValue pictogramPicklistValue/></#local>
		<#local pictogramCode = getCodeFromTextByColon(pictogramText)/>
		 <ns4:Pictogram code="${pictogramCode}" >
			<ns3:img alt="${pictogramCode}" src="https://r4bp.echa.europa.eu/spc/assets/${pictogramCode}.gif" title="${pictogramText}"/>
		</ns4:Pictogram>
	</#if> 
</#compress>
</#macro>

<#macro hazardStatementTag hazardStatement>
<#compress>
	<#if hazardStatement?has_content && hazardPhraseToCodeMap[hazardStatement.code]?has_content>
		<#local hazardStatementCode = hazardPhraseToCodeMap[hazardStatement.code] />
		<ns4:HazardStatement code="${hazardStatementCode}">
			<@picklistValue hazardStatement />
		</ns4:HazardStatement>
	</#if>
</#compress>
</#macro>

<#macro precautionaryStatementTag precautionaryStatement>
<#compress>
	<#if precautionaryStatement?has_content && precautionaryPhraseToCodeMap[precautionaryStatement.code]?has_content>
		<#local precautionaryStatementCode = precautionaryPhraseToCodeMap[precautionaryStatement.code] />
		<ns4:PrecautionaryStatement code="${precautionaryStatementCode}">
			<@picklistValue precautionaryStatement />
		</ns4:PrecautionaryStatement>
	</#if>
</#compress>
</#macro>


<#macro productTypeTag productTypeList>
<#compress>
	<#if productTypeList?has_content>
		<#local productType = productTypeList[0] />
		<#local ptCode = productTypePhraseToCodeMap[productType.code] />
		<ns4:ProductType code="${ptCode}">
			<@picklistValue productType />
		</ns4:ProductType>
	</#if>
</#compress>
</#macro>


<#macro fieldsTag fieldOfUseList>
<#compress>
	<#if fieldOfUseList?has_content>
		<ns4:Fields>
			<#list fieldOfUseList as fieldOfUse>
				<#local fieldCode = fieldOfUsePhraseToCodeMap[fieldOfUse.code] />
				<#if fieldCode?has_content>
					<ns4:Field code="${fieldCode}">
						<@picklistValue fieldOfUse/>
					</ns4:Field>
					<#if fieldCode == "other">
						<#local otherFieldOfUse = fieldOfUse/>
					</#if>
				</#if>
			</#list>
		</ns4:Fields>
		<#if otherFieldOfUse?has_content>
			<ns4:FieldsDescription>${otherFieldOfUse.otherText}</ns4:FieldsDescription>
		</#if>
	</#if>
</#compress>
</#macro>


<#macro userCategoriesTag userList>
<#compress>
	<#if userList?has_content>
		<ns4:UserCategories>
			<#list userList as userCategoryCode>
				<#local userCode = userPhraseToCodeMap[userCategoryCode.code] />
				<ns4:UserCategory code="${userCode}">
					<@picklistValue userCategoryCode />
				</ns4:UserCategory>
			</#list>
		</ns4:UserCategories>
	</#if>
</#compress>
</#macro>


<#macro methodTag methodMultiPicklistValue>
<#compress>
	<#if methodMultiPicklistValue?has_content>
		<#local firstMethod = methodMultiPicklistValue[0] />
		<ns4:Method code="${firstMethod.code}">
			<@picklistValue firstMethod/>
		</ns4:Method>
	</#if>
</#compress>
</#macro>


<#macro typePackagingTag typeOfPackagingPicklistValue>
<#compress>
	<#if typeOfPackagingPicklistValue?has_content>
		<ns4:Type code="${typeOfPackagingPicklistValue.code}" >
			<@picklistValue typeOfPackagingPicklistValue/>
		</ns4:Type>
	</#if> 
</#compress>
</#macro>


<#macro countryTag countryPicklistValue>
<#compress>
	<#if countryPicklistValue?has_content>
		<#local countryCode><@picklistValueDescription countryPicklistValue/></#local>
		<ns4:Country <#if countryCode?has_content>code="${countryCode}"</#if> >
			<@picklistValue countryPicklistValue/>
		</ns4:Country>
	</#if> 
</#compress>
</#macro>


<#macro picklistValue picklistValue locale="en">
<#compress>
	<#if picklistValue?has_content>
		<#escape x as x?html>
			<#local localizedPhrase = iuclid.localizedPhraseDefinitionFor(picklistValue.code, locale) />
			<#if localizedPhrase?has_content>
				${localizedPhrase.text}
			</#if>
			<#if localizedPhrase.open && picklistValue.otherText?has_content>
				${picklistValue.otherText}<#t>
			</#if>
		</#escape>
	</#if> 
</#compress>
</#macro>

<#macro picklistValueDescription picklistValue locale="en">
<#compress>
	<#if picklistValue?has_content>
		<#escape x as x?html>
			<#local localizedPhrase = iuclid.localizedPhraseDefinitionFor(picklistValue.code, locale) />
			<#if localizedPhrase?has_content && localizedPhrase.description?has_content>
				${localizedPhrase.description}
			</#if>
		</#escape>
	</#if> 
</#compress>
</#macro>

<#macro legalEntityAddressDetails legalEntity>
<#compress>
	<#if legalEntity?has_content>
		<ns4:Name><@com.text legalEntity.GeneralInfo.LegalEntityName/></ns4:Name>
		<ns4:Address>
			<ns4:Street><@com.text legalEntity.GeneralInfo.ContactAddress.Address1/></ns4:Street>
			<ns4:PostalCode><@com.text legalEntity.GeneralInfo.ContactAddress.Postal/></ns4:PostalCode>
			<ns4:City><@com.text legalEntity.GeneralInfo.ContactAddress.Town/></ns4:City>
			<@countryTag legalEntity.GeneralInfo.ContactAddress.Country/>
		</ns4:Address>
		<#assign contactPersonsList = legalEntity.ContactInfo.ContactPersons />
		<#if contactPersonsList?has_content>
			<ns4:Sites>
				<#list contactPersonsList as item>
					<#assign contact = iuclid.getDocumentForKey(item.ContactPerson)/>
					<#if contact?has_content>
						<ns4:Site>
							<ns4:Street><@com.text contact.GeneralInfo.Address1/></ns4:Street>
							<ns4:PostalCode><@com.text contact.GeneralInfo.Postal/></ns4:PostalCode>
							<ns4:City><@com.text contact.GeneralInfo.Town/></ns4:City>
							<@countryTag contact.GeneralInfo.Country/>
						</ns4:Site>
					</#if>
				</#list>
			</ns4:Sites>
		</#if>
	</#if>
</#compress>
</#macro>

<#macro endpointSummary summary printName=false>
	<#if printName>
		<para><emphasis role="bold"><@com.text summary.name/></emphasis></para>
	</#if>
</#macro>


<!-- Functions -->

<#function getFirstComposition mixture>
	<#local recordList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "MixtureComposition") />
	<#if recordList?has_content>
		<#return recordList[0] />
	</#if>
	<#return [] />	
</#function>

<#function getActiveSubstanceComponents composition>
	<#local components = []/>
	
	<#if !(composition?has_content)>
		<#return [] />
	</#if>
	
	<#local componentList = composition.Components.Components/>
	<#if !(componentList?has_content)>
		<#return [] />
	</#if>	
	
	<#list componentList as component>
		<#if isComponentActiveSubstance(component)>
			<#local components = components + [component]/>
		</#if>				
	</#list>
	
	<#return components />	
</#function>

<#function isComponentActiveSubstance component>
	<#return component.Function?has_content && com.picklistValueMatchesPhrases(component.Function, ["active substance"]) />
</#function>


<#function getSubstanceOfConcernComponents composition>
	<#local components = []/>
	
	<#if !(composition?has_content)>
		<#return [] />
	</#if>
	
	<#local componentList = composition.Components.Components/>
	<#if !(componentList?has_content)>
		<#return [] />
	</#if>	
	
	<#list componentList as component>
		<#if isComponentSubstanceOfConcern(component)>
			<#local components = components + [component]/>
		</#if>				
	</#list>
	
	<#return components />
</#function>

<#function isComponentSubstanceOfConcern component>
	<#local isSubstanceOfConcern = component.SubstanceOfConcern />
	<#local isActiveSubstance = isComponentActiveSubstance(component) />
	<#return isSubstanceOfConcern && !isActiveSubstance />
</#function>


<#function getOtherSubstanceComponents composition>
	<#local components = []/>
	
	<#if !(composition?has_content)>
		<#return [] />
	</#if>
	
	<#local componentList = composition.Components.Components/>
	<#if !(componentList?has_content)>
		<#return [] />
	</#if>	
	
	<#list componentList as component>
		<#if isComponentOtherSubstance(component)>
			<#local components = components + [component]/>
		</#if>
	</#list>
	
	<#return components />
</#function>

<#function isComponentOtherSubstance component>
	<#local isSubstanceOfConcern = isComponentSubstanceOfConcern(component) />
	<#local isActiveSubstance = isComponentActiveSubstance(component) />
	<#return !isActiveSubstance && !isSubstanceOfConcern />
</#function>



<#function getGhsRecordsLinkedToComposition mixture composition>
	<#local records = []/>

	<#local recordList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "Ghs") />	
	<#if recordList?has_content>
		<#list recordList as record>
			<#if isGhsRecordLinkedToComposition(record, composition)>
				<#local records = records + [record] />
			</#if>
		</#list>
	</#if>
	
	<#return records />
</#function>
		
<#function isGhsRecordLinkedToComposition record composition>
	<#local linkedCompositionList = record.GeneralInformation.RelatedCompositions.Composition />
	
	<#if !(linkedCompositionList?has_content)>		
		<#return false />
	</#if>
	
	<#list linkedCompositionList as linkedCompositionKey>
		<#if composition.documentKey == linkedCompositionKey>
			<#return true>
		</#if>
	</#list>
	
	<#return false />
</#function>



<#function getUseRecordsLinkedToComposition mixture composition>
	<#local records = []/>

	<#local recordList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "BioIntendedUsesExposure") />	
	<#if recordList?has_content>
		<#list recordList as record>
			<#if isUseRecordLinkedToComposition(record, composition)>
				<#local records = records + [record] />
			</#if>
		</#list>
	</#if>
	
	<#return records />
</#function>
		
<#function isUseRecordLinkedToComposition record composition>
	<#local linkedCompositionList = record.IntendedUsesAndExposure.ReferenceToComposition />
	
	<#if !(linkedCompositionList?has_content)>		
		<#return false />
	</#if>
	
	<#list linkedCompositionList as linkedCompositionKey>
		<#if composition.documentKey == linkedCompositionKey>
			<#return true>
		</#if>
	</#list>
	
	<#return false />
</#function>


<#function getPackagingRecordsLinkedToComposition mixture composition>
	<#local records = []/>

	<#local recordList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "BioPackaging") />	
	<#if recordList?has_content>
		<#list recordList as record>
			<#if isPackagingRecordLinkedToComposition(record, composition)>
				<#local records = records + [record] />
			</#if>
		</#list>
	</#if>
	
	<#return records />
</#function>
		
<#function isPackagingRecordLinkedToComposition record composition>
	<#local linkedCompositionList = record.Packaging.Composition />
	
	<#if !(linkedCompositionList?has_content)>		
		<#return false />
	</#if>
	
	<#list linkedCompositionList as linkedCompositionKey>
		<#if composition.documentKey == linkedCompositionKey>
			<#return true>
		</#if>
	</#list>
	
	<#return false />
</#function>


<#function getDirForUseRecordsLinkedToUse mixture useRecord>
	<#local records = []/>

	<#local recordList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "DirectionsForUse") />	
	<#if recordList?has_content>
		<#list recordList as record>
			<#if isDirForUseRecordLinkedToUse(record, useRecord)>
				<#local records = records + [record] />
			</#if>
		</#list>
	</#if>
	
	<#return records />
</#function>
		
<#function isDirForUseRecordLinkedToUse record useRecord>
      
<#local linkedDirForUseRecordList = useRecord.IntendedUsesAndExposure.ApplicationMethods />
      
      <#if !(linkedDirForUseRecordList?has_content)>           
            <#return false />
      </#if>
      
      <#list linkedDirForUseRecordList as linkedRecordKey>
            <#if record.documentKey == linkedRecordKey>
                  <#return true>
            </#if>
      </#list>
      
      <#return false />
</#function>

<#function getCodeFromTextByColon text>
	<#local code = ""/>
	<#if text?has_content>
		<#-- the code is the text before ':' -->
		<#local codeEndIdx = text?index_of(":") />
		<#if codeEndIdx gt 0>
			<#local code = text?substring(0, codeEndIdx) />
		</#if>
	</#if>
	
	<#return code />
</#function>


<#function getDifferentLegalEntitiesOfActiveSubstances composition>
	<#local legalEntities = []/>
	
	<#local componentList = getActiveSubstanceComponents(composition)/>
	<#if !(componentList?has_content)>
		<#return [] />
	</#if>
	
	<#list componentList as component>
		<#if component.Reference?has_content>
			<#local substance = iuclid.getDocumentForKey(component.Reference)/>
			
			<#if substance?has_content && substance.documentType=="SUBSTANCE" && substance.OwnerLegalEntity?has_content>
				<#local legalEntity = iuclid.getDocumentForKey(substance.OwnerLegalEntity)/>
				<#local legalEntities = com.addDocumentToSequenceAsUnique(legalEntity, legalEntities)/>
			</#if>
		</#if>
	</#list>
	
	<#return legalEntities />	    
</#function>

