<#-- Utilities for Annotations main template file -->

<#assign annexForAnnotationInformation = [] />
<#macro annexForAnnotations annotations>
<#compress>
	<#if annotations?has_content>	
		<#assign annexForAnnotationInformation = annexForAnnotationInformation + [annotations] />
		<command linkend="annotations">More annotation information available in the <phrase role="blue">annex</phrase></command>
	</#if>
</#compress>
</#macro>

<#-- Variable that contains mixture documents -->
<#assign mixtureAttachmentMetaDataListPart1 = [
	{'annexRequirement': 'Biocidal product manufacturer', 'sectionNr': '1.3', 'sectionName': 'Biocidal product manufacturer', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Suppliers'},
	{'annexRequirement': 'Location of manufacturing plants', 'sectionNr': '1.3.1', 'sectionName': 'Location of manufacturing plants', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Sites'}
	] />	
	
<#-- Variable that contains mixture documents  -->
<#assign mixtureAttachmentMetaDataListPart2 =
	{'annexRequirement': 'Trade name or proposed trade name', 'sectionNr': '2.1', 'sectionName': 'Trade name or proposed trade name', 'docType': 'FIXED_RECORD', 'docSubType': 'MIXTURE'}
	/>

<#compress>
<#-- Variable that contains mixture documents -->
<#assign mixtureAttachmentMetaDataListPart3 = [
	{'annexRequirement': 'Manufacturer\'s development code and number of the biocidal product, if appropriate', 'sectionNr': '2.2', 'sectionName': 'Manufacturer\'s development code and number of the biocidal product', 'docType': 'FIXED_RECORD', 'docSubType': 'Identifiers'},
	{'annexRequirement': 'Biocidal product composition', 'sectionNr': '2.3', 'sectionName': 'Biocidal product composition', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'MixtureComposition'},
	{'annexRequirement': 'Biocidal product composition', 'sectionNr': '2.3', 'sectionName': 'Biocidal product composition', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'BioProductComposition'},
	{'annexRequirement': 'PHYSICAL, CHEMICAL AND TECHNICAL PROPERTIES', 'sectionNr': '3', 'sectionName': 'Physical, chemical and technical properties', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'PhysicalChemicalProperties'},
	{'annexRequirement': 'Appearance (at 20°C and 101.3 kPa)', 'sectionNr': '3.1', 'sectionName': 'Appearance (at 20°C and 101.3 kPa)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneralInformation'},
	{'annexRequirement': 'Appearance (at 20°C and 101.3 kPa)', 'sectionNr': '3.1', 'sectionName': 'Appearance (at 20°C and 101.3 kPa)', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'GeneralInformation'},
	{'annexRequirement': 'Acidity, alkalinity', 'sectionNr': '3.2', 'sectionName': 'Acidity, alkalinity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Ph'},
	{'annexRequirement': 'Acidity, alkalinity', 'sectionNr': '3.2', 'sectionName': 'Acidity, alkalinity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Ph'},
	{'annexRequirement': 'Relative density (liquids) and bulk, tap density (solids)', 'sectionNr': '3.3', 'sectionName': 'Relative density (liquids) and bulk, tap density (solids)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Density'},
	{'annexRequirement': 'Relative density (liquids) and bulk, tap density (solids)', 'sectionNr': '3.3', 'sectionName': 'Relative density (liquids) and bulk, tap density (solids)', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'PcDensity'},
	{'annexRequirement': 'Storage stability tests', 'sectionNr': '3.4.1', 'sectionName': 'Storage stability tests', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StorageStability'},
	{'annexRequirement': 'Storage stability tests', 'sectionNr': '3.4.1', 'sectionName': 'Storage stability tests', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'StorageStability'},
	{'annexRequirement': 'Light', 'sectionNr': '3.4.2.1', 'sectionName': 'Light', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StabilityThermal'},
	{'annexRequirement': 'Light', 'sectionNr': '3.4.2.1', 'sectionName': 'Light', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'StabilityThermal'},
	{'annexRequirement': 'Technical characteristics of the biocidal product', 'sectionNr': '3.5', 'sectionName': 'Technical characteristics of the biocidal product', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'TechnicalCharacteristics'},
	{'annexRequirement': 'Physical and chemical compatibility with other products', 'sectionNr': '3.6', 'sectionName': 'Physical and chemical compatibility with other products', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhysicalChemicalCompatibility'},
	{'annexRequirement': 'Degree of dissolution and dilution stability', 'sectionNr': '3.7', 'sectionName': 'Degree of dissolution and dilution stability', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DegreeOfDissolutionAndDilutionStability'},
	{'annexRequirement': 'Surface tension', 'sectionNr': '3.8', 'sectionName': 'Surface tension', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SurfaceTension'},
	{'annexRequirement': 'Surface tension', 'sectionNr': '3.8', 'sectionName': 'Surface tension', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'SurfaceTension'},
	{'annexRequirement': 'Viscosity', 'sectionNr': '3.9', 'sectionName': 'Viscosity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Viscosity'},
	{'annexRequirement': 'Viscosity', 'sectionNr': '3.9', 'sectionName': 'Viscosity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Viscosity'},
	{'annexRequirement': 'Explosives', 'sectionNr': '4.1', 'sectionName': 'Explosiveness', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Explosiveness'},
	{'annexRequirement': 'Explosives', 'sectionNr': '4.1', 'sectionName': 'Explosiveness', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Explosiveness'},
	{'annexRequirement': 'Flammability', 'sectionNr': '4.2', 'sectionName': 'Flammability', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Flammability'},
	{'annexRequirement': 'Flammability', 'sectionNr': '4.2', 'sectionName': 'Flammability', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Flammability'},
	{'annexRequirement': 'Oxidising properties', 'sectionNr': '4.4', 'sectionName': 'Oxidising properties', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OxidisingProperties'},
	{'annexRequirement': 'Oxidising properties', 'sectionNr': '4.4', 'sectionName': 'Oxidising properties', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'OxidisingProperties'},
	{'annexRequirement': 'Gases under pressure                         ', 'sectionNr': '4.5', 'sectionName': 'Gases under pressure', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GasesUnderPressure'},
	{'annexRequirement': 'Gases under pressure                         ', 'sectionNr': '4.5', 'sectionName': 'Gases under pressure', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'GasesUnderPressure'},
	{'annexRequirement': 'Flammable liquids                          ', 'sectionNr': '4.6', 'sectionName': 'Flammable liquids', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'FlashPoint'},
	{'annexRequirement': 'Flammable liquids                          ', 'sectionNr': '4.6', 'sectionName': 'Flammable liquids', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'FlashPoint'},
	{'annexRequirement': 'Self-reactive substances and mixtures                        ', 'sectionNr': '4.8', 'sectionName': 'Self-reactive substances and mixtures', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SelfReactiveSubstances'},
	{'annexRequirement': 'Self-reactive substances and mixtures                        ', 'sectionNr': '4.8', 'sectionName': 'Self-reactive substances and mixtures', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'SelfReactiveSubstances'},
	{'annexRequirement': 'Organic peroxides                          ', 'sectionNr': '4.15', 'sectionName': 'Organic peroxides', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OrganicPeroxide'},
	{'annexRequirement': 'Organic peroxides                          ', 'sectionNr': '4.15', 'sectionName': 'Organic peroxides', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'OrganicPeroxide'},
	{'annexRequirement': 'Corrosive to metals                         ', 'sectionNr': '4.16', 'sectionName': 'Corrosive to metals', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CorrosiveToMetals'},
	{'annexRequirement': 'Corrosive to metals                         ', 'sectionNr': '4.16', 'sectionName': 'Corrosive to metals', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'CorrosiveToMetals'},
	{'annexRequirement': 'Additional physical indicators for hazards                       ', 'sectionNr': '4.17', 'sectionName': 'Additional physical indicators for hazards', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalPhysicoChemical'},
	{'annexRequirement': 'Additional physical indicators for hazards                       ', 'sectionNr': '4.17', 'sectionName': 'Additional physical indicators for hazards', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AdditionalPhysicoChemical'},
	{'annexRequirement': 'Auto-ignition temperature (liquids and gases)                       ', 'sectionNr': '4.17.1', 'sectionName': 'Auto-ignition temperature (liquids and gases)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AutoFlammability'},
	{'annexRequirement': 'Auto-ignition temperature (liquids and gases)                       ', 'sectionNr': '4.17.1', 'sectionName': 'Auto-ignition temperature (liquids and gases)', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AutoFlammability'},
	{'annexRequirement': 'METHODS OF DETECTION AND IDENTIFICATION', 'sectionNr': '5', 'sectionName': 'Methods of detection and identification', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AnalyticalMethods'},
	{'annexRequirement': 'METHODS OF DETECTION AND IDENTIFICATION', 'sectionNr': '5', 'sectionName': 'Methods of detection and identification', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AnalyticalMethods'},
	{'annexRequirement': 'EFFECTIVENESS AGAINST TARGET ORGANISMS ', 'sectionNr': '6', 'sectionName': 'Effectiveness against target organisms', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'EffectivenessAgainstTargetOrganisms'},
	{'annexRequirement': 'Function, e.g. fungicide, rodenticide, insecticide, bactericide  and mode of control e.g. attracting, killing, inhibiting', 'sectionNr': '6.1', 'sectionName': 'Function and mode of control', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EffectivenessAgainstTargetOrganisms'},
	{'annexRequirement': 'Efficacy data to support these claims, including any available standard protocols, laboratory tests or field trials used including performance standards where appropriate and relevant', 'sectionNr': '6.7', 'sectionName': 'Efficacy data to support these claims', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EfficacyData'},
	{'annexRequirement': 'Field(s) of use envisaged for biocidal products and, where appropriate, treated articles', 'sectionNr': '7.1', 'sectionName': 'Field(s) of use envisaged for biocidal products and treated articles', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'BioIntendedUsesExposure'},
	{'annexRequirement': 'Likely tonnage to be placed on the market per year and, where relevant, for different use categories', 'sectionNr': '7.5', 'sectionName': 'Likely tonnage to be placed on the market', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'LikelyTonnage'},
	{'annexRequirement': 'Method of application and a description of this method', 'sectionNr': '7.6', 'sectionName': 'Method of application and a description of this method', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'DirectionsForUse'},
	{'annexRequirement': 'Toxicological profile for humans and animals', 'sectionNr': '8', 'sectionName': 'Toxicological profile for humans and animals', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'ToxicologicalProfile'},
	{'annexRequirement': 'Other test(s) related to the exposure to humans ', 'sectionNr': '8.1', 'sectionName': 'Irritation / corrosion', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'IrritationCorrosion'},
	{'annexRequirement': 'Skin irritation / corrosion', 'sectionNr': '8.1.1', 'sectionName': 'Skin irritation / corrosion', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BioaccumulationTerrestrial'},
	{'annexRequirement': 'Eye irritation', 'sectionNr': '8.1.2', 'sectionName': 'Eye irritation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OtherDistributionData'},
	{'annexRequirement': 'Skin sensitisation', 'sectionNr': '8.3', 'sectionName': 'Sensitisation', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Sensitisation'},
	{'annexRequirement': 'Skin sensitisation', 'sectionNr': '8.3.1', 'sectionName': 'Skin sensitisation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SkinSensitisation'},
	{'annexRequirement': 'Respiratory sensitisation', 'sectionNr': '8.3.2', 'sectionName': 'Respiratory sensitisation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RespiratorySensitisation'},
	{'annexRequirement': 'Acute toxicity', 'sectionNr': '8.5', 'sectionName': 'Acute Toxicity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AcuteToxicity'},
	{'annexRequirement': 'Acute toxicity: oral', 'sectionNr': '8.5.1', 'sectionName': 'Acute toxicity: oral', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityOral'},
	{'annexRequirement': 'Acute toxicity: inhalation', 'sectionNr': '8.5.2', 'sectionName': 'Acute toxicity: inhalation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityInhalation'},
	{'annexRequirement': 'Acute toxicity: dermal', 'sectionNr': '8.5.3', 'sectionName': 'Acute toxicity: dermal', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityDermal'},
	{'annexRequirement': 'Acute toxicity: product combinations', 'sectionNr': '8.5.4', 'sectionName': 'Acute toxicity: product combinations', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityOtherRoutes'},
	{'annexRequirement': 'Dermal absorption', 'sectionNr': '8.6', 'sectionName': 'Dermal absorption', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DermalAbsorption'},
	{'annexRequirement': 'other endpoints', 'sectionNr': '8.7.1', 'sectionName': 'other endpoints', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalToxicologicalInformation'},
	{'annexRequirement': 'Food and feedingstuffs studies', 'sectionNr': '8.8', 'sectionName': 'Food and feedingstuffs studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MetabolismInLivestock'},
	{'annexRequirement': 'Effects of industrial processing and/or domestic preparation on the nature and magnitude of residues of the biocidal product', 'sectionNr': '8.9', 'sectionName': 'Effects of industrial processing and / or domestic preparation on the nature and magnitude of residues of the biocidal product', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalInfoOnResiduesInFood'},
	{'annexRequirement': 'Other test(s) related to the exposure to humans ', 'sectionNr': '8.1', 'sectionName': 'Other test(s) related to the exposure to humans', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ExpectedExposureAndProposedAcceptableResidues'},
	{'annexRequirement': 'ECOTOXICOLOGICAL STUDIES', 'sectionNr': '9', 'sectionName': 'Ecotoxicological studies', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'EcotoxicologicalInformation'},
	{'annexRequirement': 'Further ecotoxicological studies', 'sectionNr': '9.2', 'sectionName': 'Further ecotoxicological studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalEcotoxicologicalInformation'},
	{'annexRequirement': 'Further ecotoxicological studies', 'sectionNr': '9.2', 'sectionName': 'Further ecotoxicological studies', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AdditionalEcotoxicologicalInformation'},
	{'annexRequirement': 'Short-term toxicity testing on fish ', 'sectionNr': '9.2.1.1', 'sectionName': 'Short-term toxicity testing on fish', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ShortTermToxicityToFish'},
	{'annexRequirement': 'Short-term toxicity testing on fish ', 'sectionNr': '9.2.1.1', 'sectionName': 'Short-term toxicity testing on fish', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ShortTermToxicityToFish'},
	{'annexRequirement': 'Short-term toxicity to aquatic invertebrates', 'sectionNr': '9.2.1.2', 'sectionName': 'Short-term toxicity testing on aquatic invertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ShortTermToxicityToAquaticInvertebrates'},
	{'annexRequirement': 'Short-term toxicity to aquatic invertebrates', 'sectionNr': '9.2.1.2', 'sectionName': 'Short-term toxicity testing on aquatic invertebrates', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ShortTermToxicityToAquaticInvertebrates'},
	{'annexRequirement': 'Growth inhibition study on algae', 'sectionNr': '9.2.1.3', 'sectionName': 'Growth inhibition study on algae', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToAquaticAlgae'},
	{'annexRequirement': 'Growth inhibition study on algae', 'sectionNr': '9.2.1.3', 'sectionName': 'Growth inhibition study on algae', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToAquaticAlgae'},
	{'annexRequirement': 'Inhibition of microbial activity', 'sectionNr': '9.2.1.5', 'sectionName': 'Inhibition of microbial activity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToMicroorganisms'},
	{'annexRequirement': 'Inhibition of microbial activity', 'sectionNr': '9.2.1.5', 'sectionName': 'Inhibition of microbial activity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityMicroorganisms'},
	{'annexRequirement': 'Further toxicity studies on aquatic organisms', 'sectionNr': '9.2.1.6', 'sectionName': 'Further toxicity studies on aquatic organisms', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AquaticToxicity'},
	{'annexRequirement': 'Long term toxicity testing on fish ', 'sectionNr': '9.2.1.6.1', 'sectionName': 'Long-term toxicity testing on fish', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'LongTermToxToFish'},
	{'annexRequirement': 'Long term toxicity testing on fish ', 'sectionNr': '9.2.1.6.1', 'sectionName': 'Long-term toxicity testing on fish', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'LongTermToxicityToFish'},
	{'annexRequirement': 'Long term toxicity testing on invertebrates ', 'sectionNr': '9.2.1.6.2', 'sectionName': 'Long-term toxicity testing on invertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'LongTermToxicityToAquaticInvertebrates'},
	{'annexRequirement': 'Long term toxicity testing on invertebrates ', 'sectionNr': '9.2.1.6.2', 'sectionName': 'Long-term toxicity testing on invertebrates', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'LongTermToxicityToAquaticInvertebrates'},
	{'annexRequirement': 'Bioaccumulation in an appropriate aquatic species', 'sectionNr': '9.2.1.7', 'sectionName': 'Bioaccumulation in an appropriate aquatic species', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BioaccumulationAquaticSediment'},
	{'annexRequirement': 'Bioaccumulation in an appropriate aquatic species', 'sectionNr': '9.2.1.7', 'sectionName': 'Bioaccumulation in an appropriate aquatic species', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'BioaccumulationAquaticSediment'},
	{'annexRequirement': 'Effects on any other specific, non-target organisms (flora and fauna) believed to be at risk', 'sectionNr': '9.2.1.8', 'sectionName': 'Effects on any other specific, non-target organisms (flora and fauna) believed to be at risk', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToOtherAqua'},
	{'annexRequirement': 'Effects on any other specific, non-target organisms (flora and fauna) believed to be at risk', 'sectionNr': '9.2.1.8', 'sectionName': 'Effects on any other specific, non-target organisms (flora and fauna) believed to be at risk', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityOtherAquaOrganisms'},
	{'annexRequirement': 'Studies on sediment dwelling organisms', 'sectionNr': '9.2.1.9', 'sectionName': 'Studies on sediment dwelling organisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SedimentToxicity'},
	{'annexRequirement': 'Studies on sediment dwelling organisms', 'sectionNr': '9.2.1.9', 'sectionName': 'Studies on sediment dwelling organisms', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'SedimentToxicity'},
	{'annexRequirement': 'Effects on aquatic macrophytes', 'sectionNr': '9.2.1.10', 'sectionName': 'Effects on aquatic macrophytes', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToAquaticPlant'},
	{'annexRequirement': 'Effects on aquatic macrophytes', 'sectionNr': '9.2.1.10', 'sectionName': 'Effects on aquatic macrophytes', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToAquaticPlant'},
	{'annexRequirement': 'Terrestrial toxicity, initial tests', 'sectionNr': '9.2.2', 'sectionName': 'Terrestrial toxicity, initial tests', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'TerrestrialToxicity'},
	{'annexRequirement': 'Effects on soil microorganisms', 'sectionNr': '9.2.2.1', 'sectionName': 'Effects on soil microorganisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToSoilMicroorganisms'},
	{'annexRequirement': 'Effects on soil microorganisms', 'sectionNr': '9.2.2.1', 'sectionName': 'Effects on soil microorganisms', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToSoilMicroorganisms'},
	{'annexRequirement': 'Effects on earthworms or other soil-dwelling non-target invertebrates', 'sectionNr': '9.2.2.2', 'sectionName': 'Effects on earthworms or other soil-dwelling non-target invertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToSoilMacroorganismsExceptArthropods'},
	{'annexRequirement': 'Effects on earthworms or other soil-dwelling non-target invertebrates', 'sectionNr': '9.2.2.2', 'sectionName': 'Effects on earthworms or other soil-dwelling non-target invertebrates', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToSoilMacroorganismsExceptArthropods'},
	{'annexRequirement': 'Acute toxicity to plants', 'sectionNr': '9.2.2.3', 'sectionName': 'Acute toxicity to plants', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToTerrestrialPlants'},
	{'annexRequirement': 'Acute toxicity to plants', 'sectionNr': '9.2.2.3', 'sectionName': 'Acute toxicity to plants', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToTerrestrialPlants'},
	{'annexRequirement': 'Effects on birds', 'sectionNr': '9.2.4', 'sectionName': 'Effects on birds', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToBirds.AdministrativeData'},
	{'annexRequirement': 'Effects on birds', 'sectionNr': '9.2.4', 'sectionName': 'Effects on birds', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToBirds.AdministrativeData'},
	{'annexRequirement': 'Effects on arthropods', 'sectionNr': '9.2.5', 'sectionName': 'Effects on arthropods', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToTerrestrialArthropods'},
	{'annexRequirement': 'Effects on arthropods', 'sectionNr': '9.2.5', 'sectionName': 'Effects on arthropods', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToTerrestrialArthropods'},
	{'annexRequirement': 'Bioconcentration terrestrial', 'sectionNr': '9.2.6', 'sectionName': 'Bioconcentration terrestrial', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BioaccumulationTerrestrial'},
	{'annexRequirement': 'Bioconcentration terrestrial', 'sectionNr': '9.2.6', 'sectionName': 'Bioconcentration terrestrial', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'BioaccumulationTerrestrial'},
	{'annexRequirement': 'Effects on other non-target, non-aquatic organisms', 'sectionNr': '9.2.8', 'sectionName': 'Effects on other non-target, non-aquatic organisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToOtherAboveGroundOrganisms'},
	{'annexRequirement': 'Effects on other non-target, non-aquatic organisms', 'sectionNr': '9.2.8', 'sectionName': 'Effects on other non-target, non-aquatic organisms', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToOtherAboveGroundOrganisms'},
	{'annexRequirement': 'ENVIRONMENTAL FATE AND BEHAVIOUR', 'sectionNr': '10', 'sectionName': 'Environmental fate and behaviour', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'EnvironmentalFateAndPathways'},
	{'annexRequirement': 'Foreseeable routes of entry into the environment on the basis of the use envisaged', 'sectionNr': '10.1', 'sectionName': 'Foreseeable routes of entry into the environment on the basis of the use envisaged', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DistributionModelling'},
	{'annexRequirement': 'Foreseeable routes of entry into the environment on the basis of the use envisaged', 'sectionNr': '10.1', 'sectionName': 'Foreseeable routes of entry into the environment on the basis of the use envisaged', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'DistributionModelling'},
	{'annexRequirement': 'Further studies on fate and behaviour in the environment', 'sectionNr': '10.2', 'sectionName': 'Further studies on fate and behaviour in the environment', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalInformationOnEnvironmentalFateAndBehaviour'},
	{'annexRequirement': 'Further studies on fate and behaviour in the environment', 'sectionNr': '10.2', 'sectionName': 'Further studies on fate and behaviour in the environment', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AdditionalInformationOnEnvironmentalFateAndBehaviour'},
	{'annexRequirement': 'Leaching behaviour', 'sectionNr': '10.3', 'sectionName': 'Leaching behaviour', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EmissionsFromPreservativeTreatedWood'},
	{'annexRequirement': 'Testing for distribution and dissipation', 'sectionNr': '10.4', 'sectionName': 'Testing for distribution and dissipation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OtherDistributionData'},
	{'annexRequirement': 'Testing for distribution and dissipation', 'sectionNr': '10.4', 'sectionName': 'Testing for distribution and dissipation', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'OtherDistributionData'},
	{'annexRequirement': 'Measures to protect humans, animals and the environment', 'sectionNr': '11', 'sectionName': 'Measures to protect humans, animals and the environment', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ProtectionMeasures'},
	{'annexRequirement': 'GHS', 'sectionNr': '12.1', 'sectionName': 'GHS', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Ghs'},
	{'annexRequirement': 'DSD - DPD', 'sectionNr': '12.2', 'sectionName': 'DSD - DPD', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'DsdDpd'},
	{'annexRequirement': 'Packaging (12.7 in Annex III of BPR) (type, materials, size, etc ), compatibility of the product with proposed packaging materials to be included', 'sectionNr': '12.3', 'sectionName': 'Packaging (12.7 in Annex III of BPR)', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'BioPackaging'},
	{'annexRequirement': 'SUMMARY AND EVALUATION', 'sectionNr': '13', 'sectionName': 'Summary and evaluation', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'BioSummaryEvaluation'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Commercial Evaluation Authorisation', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'CommercialEvaluationAuthorisation'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'PBT Assessment - AU', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'PBTAssessment_AU'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Pre-Introduction Report', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Pre-IntroductionReport'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (1.2)', 'sectionName': 'Product summary composition', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'ProductSummaryComposition'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (1.2)', 'sectionName': 'Composition', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'SubstanceComposition'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (1.3)', 'sectionName': 'Identifiers', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Identifiers'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (1.4)', 'sectionName': 'Analytical information', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'AnalyticalInformation'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (1.5)', 'sectionName': 'Joint submission', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'JointSubmission'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (1.6)', 'sectionName': 'Sponsor', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Sponsor'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (1.8)', 'sectionName': 'Recipients', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Recipients'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (1.9)', 'sectionName': 'Product and process orientated research and development', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ProductResearchDevelopment'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (1.10)', 'sectionName': 'Assessment approach', 'docType': 'FIXED_RECORD', 'docSubType': 'AssessmentApproach'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (1.10)', 'sectionName': 'Registered substance as such', 'docType': 'ASSESSMENT_ENTITY', 'docSubType': 'RegisteredSubstanceAsSuch'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (1.10)', 'sectionName': 'Specific composition / form of the registered substance', 'docType': 'ASSESSMENT_ENTITY', 'docSubType': 'SpecificCompositionOfTheRegisteredSubstance'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (1.10)', 'sectionName': '(group of) constituent in the registered substance', 'docType': 'ASSESSMENT_ENTITY', 'docSubType': 'GroupOfConstituentInTheRegisteredSubstance'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (1.10)', 'sectionName': 'Transformation of the registered substance', 'docType': 'ASSESSMENT_ENTITY', 'docSubType': 'TransformationProductOfTheRegisteredSubstance'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (2.3)', 'sectionName': 'PBT assessment', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'PbtAssessment'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (2.3)', 'sectionName': 'PBT assessment', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'PbtAssessment'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (2.4)', 'sectionName': 'Packaging', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Packaging'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (3.2)', 'sectionName': 'Estimated quantities', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'EstimatedQuantities'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (3.4)', 'sectionName': 'Information on mixtures', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'InformationOfMixtures'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (3.5.0)', 'sectionName': 'Use and exposure information relevant for all uses', 'docType': 'FIXED_RECORD', 'docSubType': 'NoIdentifiedUses'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (3.5.1)', 'sectionName': 'Manufacture', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Manufacturer'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (3.5.2)', 'sectionName': 'Formulation or re-packing', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Formulation'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (3.5.3)', 'sectionName': 'Uses at industrial sites', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'UseAtIndustrialSites'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (3.5.4)', 'sectionName': 'Widespread uses by professional workers', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ProfessionalWorkers'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (3.5.5)', 'sectionName': 'Consumer uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ConsumerUses'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (3.5.6)', 'sectionName': 'Service life', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ArticleServiceLife'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (3.6.1)', 'sectionName': 'Formulation or re-packing advised against', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'FormulationUsesAdvisedAgainst'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (3.6.2)', 'sectionName': 'Uses at industrial sites advised against', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'UseAtIndustrialSitesAdvisedAgainst'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (3.6.3)', 'sectionName': 'Widespread uses by professional workers advised against', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ProfessionalWorkersAdvisedAgainst'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (3.6.4)', 'sectionName': 'Consumer uses advised against', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ConsumerUsesAdvisedAgainst'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (3.6.5)', 'sectionName': 'Service life advised against', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ArticleServiceLifeAdvisedAgainst'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (3.7)', 'sectionName': 'Environmental assessment from aggregated sources', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'EnvironmentalAssessment'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.2)', 'sectionName': 'Melting point / freezing point', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Melting'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.3)', 'sectionName': 'Boiling point', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'BoilingPoint'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.5)', 'sectionName': 'Particle size distribution (Granulometry)', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ParticleSize'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.6)', 'sectionName': 'Vapour pressure', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Vapour'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.7)', 'sectionName': 'Partition coefficient', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'PartitionCoefficient'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.8)', 'sectionName': 'Water solubility', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'WaterSolubility'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.9)', 'sectionName': 'Solubility in organic solvents / fat solubility', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'SolubilityOrganic'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.16)', 'sectionName': 'Oxidation reduction potential', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'OxidReduction'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.17)', 'sectionName': 'Stability in organic solvents and identity of relevant degradation products', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'StabilityOrganic'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.21)', 'sectionName': 'Dissociation constant', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Dissociation'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.28.1)', 'sectionName': 'Nanomaterial agglomeration / aggregation', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AgglomerationAggregation'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.28.2)', 'sectionName': 'Nanomaterial crystalline phase', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'CrystallinePhase'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.28.3)', 'sectionName': 'Nanomaterial crystallite and grain size', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'CrystalliteGrainSize'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.28.4)', 'sectionName': 'Nanomaterial aspect ratio / shape', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AspectRatioShape'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.28.5)', 'sectionName': 'Nanomaterial specific surface area', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'SpecificSurfaceArea'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.28.6)', 'sectionName': 'Nanomaterial Zeta potential', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ZetaPotential'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.28.7)', 'sectionName': 'Nanomaterial surface chemistry', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'SurfaceChemistry'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.28.8)', 'sectionName': 'Nanomaterial dustiness', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Dustiness'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.28.9)', 'sectionName': 'Nanomaterial porosity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Porosity'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.28.10)', 'sectionName': 'Nanomaterial pour density', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'PourDensity'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.28.11)', 'sectionName': 'Nanomaterial photocatalytic activity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'PhotocatalyticActivity'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.28.12)', 'sectionName': 'Nanomaterial radical formation potential', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'RadicalFormationPotential'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (4.28.13)', 'sectionName': 'Nanomaterial catalytic activity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'CatalyticActivity'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (5.1)', 'sectionName': 'Stability', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Stability'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (5.1.1)', 'sectionName': 'Phototransformation in air', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'PhototransformationInAir'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (5.1.2)', 'sectionName': 'Hydrolysis', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Hydrolysis'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (5.1.3)', 'sectionName': 'Phototransformation in water', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'PhototransformationInWater'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (5.1.4)', 'sectionName': 'Phototransformation in soil', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'PhototransformationInSoil'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (5.2)', 'sectionName': 'Biodegradation', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Biodegradation'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (5.2.1)', 'sectionName': 'Biodegradation in water: screening tests', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'BiodegradationInWaterScreeningTests'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (5.2.2)', 'sectionName': 'Biodegradation in water and sediment: simulation tests', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'BiodegradationInWaterAndSedimentSimulationTests'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (5.2.3)', 'sectionName': 'Biodegradation in soil', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'BiodegradationInSoil'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (5.2.4)', 'sectionName': 'Mode of degradation in actual use', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ModeOfDegradationInActualUse'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (5.3)', 'sectionName': 'Bioaccumulation', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Bioaccumulation'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (5.4)', 'sectionName': 'Transport and distribution', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'TransportAndDistribution'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (5.4.1)', 'sectionName': 'Adsorption / desorption', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AdsorptionDesorption'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (5.4.2)', 'sectionName': 'Henry\'s Law constant', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'HenrysLawConstant'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (5.5)', 'sectionName': 'Environmental data', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'EnvironmentalData'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (5.5.1)', 'sectionName': 'Monitoring data', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'MonitoringData'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (5.5.2)', 'sectionName': 'Field studies', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'FieldStudies'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (5.7)', 'sectionName': 'Dispersion stability of nanomaterials', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'DispStabilityNanomaterials'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (6.1.6)', 'sectionName': 'Toxicity to aquatic plants other than algae', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityPlants'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (6.3.5)', 'sectionName': 'Toxicity to birds', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToBirds'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (6.4)', 'sectionName': 'Biological effects monitoring', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'BiologicalEffectsMonitoring'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (6.5)', 'sectionName': 'Biotransformation and kinetics', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'BiotransformationAndKinetics'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (7)', 'sectionName': 'Toxicological information', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'DataTox'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (7.1)', 'sectionName': 'Toxicokinetics, metabolism and distribution', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Toxicokinetics'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (7.2.1)', 'sectionName': 'Phototoxicity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Phototoxicity'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (7.5)', 'sectionName': 'Repeated dose toxicity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'RepeatedDoseToxicity'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (7.6)', 'sectionName': 'Genetic toxicity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'GeneticToxicity'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (7.7)', 'sectionName': 'Carcinogenicity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Carcinogenicity'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (7.8)', 'sectionName': 'Toxicity to reproduction', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToReproduction'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (7.9.1)', 'sectionName': 'Neurotoxicity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Neurotoxicity'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (7.9.2)', 'sectionName': 'Immunotoxicity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Immunotoxicity'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (7.9.4)', 'sectionName': 'Specific investigations: other studies', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'SpecificInvestigationsOtherStudies'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (7.10)', 'sectionName': 'Exposure related observations in humans', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ExposureRelatedObservationsHumans'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (7.11)', 'sectionName': 'Toxic effects on livestock and pets', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicEffectsLivestockPets'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (7.12)', 'sectionName': 'Additional toxicological information', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AdditionalToxicologicalInformation'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (9)', 'sectionName': 'Residues in food and feedingstuffs', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ResiduesInFoodAndFeedingstuffs'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (9.1)', 'sectionName': 'Metabolism in livestock', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'MetabolismInLivestock'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (9.2)', 'sectionName': 'Residues in livestock and crops', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ResiduesInLivestockAndCrop'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (9.3)', 'sectionName': 'Migration of residues into and their behaviour on food or feedingstuffs', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'MigrationOfResiduesIntoAndTheirBehaviourOnFoodOrFeedingstuffs'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (9.4)', 'sectionName': 'Expected exposure and proposed acceptable residues', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ExpectedExposureAndProposedAcceptableResidues'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (9.5)', 'sectionName': 'Additional information on residue chemistry', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AdditionalInformationOnResiduesInFoodAndFeedingstuffs'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (11)', 'sectionName': 'Guidance on safe use', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'GuidanceOnSafeUse'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (12)', 'sectionName': 'Literature search', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'LiteratureSearch'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (13)', 'sectionName': 'Assessment reports', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'AssessmentReports'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Biological properties of the microorganism', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'BioPropertiesMicro'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Directions for use', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'DirectionsForUse'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Intended uses and exposure', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'BioIntendedUsesExposure'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'SDS information (mixtures)', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'SDSInfoMixtures'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Product information', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ProductInfo'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Aged sorption', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AgedSorption'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Aquatic toxicity - RAC reporting', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'AquaticToxicityRacReporting'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Assessment from other authorities', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'AssessmentOtherAuthorities'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Assessment of Endocrine Disrupting Properties of pesticides according to the ECHA/EFSA guidance', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'EndocrineDisruptingPropertiesAssessmentPest'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (5.3.1)', 'sectionName': 'Bioaccumulation: aquatic / sediment', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'BioaccumulationAquaticSediment_EU_PPP'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Definition of the residue (fate)', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'DefinitionResidueFate'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Definition of the residue for food of plant and animal origin', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ResidueFood'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Ecotoxicological risk assessment of pesticides', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'EcotoxRiskAssessmentPesticides'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Dermal absorption', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'DermalAbsorption'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Effects on biological methods for sewage treatment', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'EffectsBioMethodSewageTreatment'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Estimation of concentrations in ground water', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'EstConcGroundwater'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Estimation of concentrations in soil', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'EstConcSoil'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Estimation of concentrations in surface water and sediment', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'EstConcWaterSed'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Expected exposure', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'ExpectedExposure'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Good Agricultural Practices (GAP)', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'GAP'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (6.1.4)', 'sectionName': 'Long-term toxicity to aquatic invertebrates', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'LongTermToxicityToAquaticInvertebrates_EU_PPP'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (6.1.2)', 'sectionName': 'Long-term toxicity to fish', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'LongTermToxicityToFish_EU_PPP'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Magnitude of residues in plants', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'MagnitudeResiduesPlants'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Magnitude of residues in processed commodities (including pollen and bee products)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ResiduesProcessedCommodities'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Manufacturer', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Manufacturer_EU_PPP'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Maximum Residue Limit proposal', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'MRLProposal'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Metabolism in plants', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'MetabolismPlants'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Metabolites', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'Metabolites'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Nature and Magnitude of residues in processed commodities', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'NatureMagnitudeResiduesProcessedCommodities'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (6.1.1)', 'sectionName': 'Short-term Toxicity to fish', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Short-termToxicityToFish_EU_PPP'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Stability of residues in stored commodities', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'StabilityResiduesCommodities'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Supplementary studies', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'SupplementaryStudies'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (6.1.5)', 'sectionName': 'Toxicity to aquatic algae and cyanobacteria', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToAquaticAlgae_EU_PPP'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Toxicity to other above-ground organisms (wild mammals)', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToOtherAboveGroundOrganisms_EU_PPP'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Toxicity to plants', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityPlants_EU_PPP'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (6.3.1)', 'sectionName': 'Toxicity to soil macroorganisms except arthropods', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicitySoilMacroorganisms_EU_PPP'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (6.3.2)', 'sectionName': 'Toxicity to terrestrial arthropods', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityTerrestrialArthropods_EU_PPP'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'CORE numbering (6.3.3)', 'sectionName': 'Toxicity to terrestrial plants', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToTerrestrialPlants_EU_PPP'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Toxicological reference values', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'ToxRefValues'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Transport via air', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'TransportViaAir'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Efficacy', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Efficacy'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Estimation of concentrations from other routes of exposure', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'EstConcOtherRoutes'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Annex III criteria', 'docType': 'FIXED_RECORD', 'docSubType': 'AnnexIIICriteria'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Application for authorisation of uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'AuthorisationOfUses'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Chemical Safety Report (CSR)', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ChemicalSafetyReport'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Downstream user report', 'docType': 'FIXED_RECORD', 'docSubType': 'DownstreamUserReport'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Inquiry', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Inquiry'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Opt-out information for REACH registration', 'docType': 'FIXED_RECORD', 'docSubType': 'Optout'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Regulatory history', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'RegulatoryHistory'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'HSNO Classification', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'HSNOClassification'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'HSNO controls', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'HazardousSubstanceControls'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'HSW requirements', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'HSWRequirements'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Intended general uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'IntendedGeneralUses'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Intended pesticide uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'IntendedPesticideUses'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Intended veterinary uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'IntendedVetMedUses'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Intended exclusive economic zone uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'IntendedEEZUses'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Human health risk assessment', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'HumanHealthRiskAssessment'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Environmental risk assessment', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'EnvironmentalRiskAssessment'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (2)', 'sectionName': 'Melting point / freezing point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Melting'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (3)', 'sectionName': 'Boiling point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BoilingPoint'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (5)', 'sectionName': 'Particle size distribution (Granulometry)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Granulometry'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (6)', 'sectionName': 'Vapour pressure', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Vapour'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (7)', 'sectionName': 'Partition coefficient', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Partition'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (8)', 'sectionName': 'Water solubility', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'WaterSolubility'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (9)', 'sectionName': 'Solubility in organic solvents / fat solubility', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SolubilityOrganic'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (16)', 'sectionName': 'Oxidation reduction potential', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OxidationReduction'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (17)', 'sectionName': 'Stability in organic solvents and identity of relevant degradation products', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StabilityOrganic'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (21)', 'sectionName': 'Dissociation constant', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DissociationConstant'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (24)', 'sectionName': 'Phototransformation in air', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhototransformationInAir'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (25)', 'sectionName': 'Hydrolysis', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Hydrolysis'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (26)', 'sectionName': 'Phototransformation in water', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Phototransformation'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (27)', 'sectionName': 'Phototransformation in soil', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhotoTransformationInSoil'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (28)', 'sectionName': 'Biodegradation in water: screening tests', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInWaterScreeningTests'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (29)', 'sectionName': 'Biodegradation in water and sediment: simulation tests', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInWaterAndSedimentSimulationTests'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (30)', 'sectionName': 'Biodegradation in soil', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInSoil'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (31)', 'sectionName': 'Mode of degradation in actual use', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ModeOfDegradationInActualUse'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (34)', 'sectionName': 'Adsorption / desorption', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdsorptionDesorption'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (35)', 'sectionName': 'Henry\'s Law constant', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'HenrysLawConstant'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (38)', 'sectionName': 'Monitoring data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MonitoringData'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (39)', 'sectionName': 'Field studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'FieldStudies'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (Other)', 'sectionName': 'Dispersion stability of nanomaterials', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DispStabilityNanomaterials'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (43)', 'sectionName': 'Short-term toxicity to aquatic invertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ShortTermToxicityToAquaInv'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (44)', 'sectionName': 'Long-term toxicity to aquatic invertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'LongTermToxicityToAquaInv'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (48-2)', 'sectionName': 'Endocrine disrupter testing in aquatic vertebrates – in vivo', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EndocrineDisrupterTestingInAqua'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (53)', 'sectionName': 'Toxicity to birds', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToBirds'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (55)', 'sectionName': 'Biological effects monitoring', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiologicalEffectsMonitoring'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (56)', 'sectionName': 'Biotransformation and kinetics', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiotransformationAndKinetics'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (58)', 'sectionName': 'Basic toxicokinetics', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BasicToxicokinetics'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (66-3)', 'sectionName': 'Phototoxicity in vitro', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhototoxicityVitro'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (67)', 'sectionName': 'Repeated dose toxicity: oral', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityOral'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (68)', 'sectionName': 'Repeated dose toxicity: inhalation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityInhalation'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (69-1)', 'sectionName': 'Repeated dose toxicity: dermal', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityDermal'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (69-2)', 'sectionName': 'Repeated dose toxicity: other routes', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityOther'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (70)', 'sectionName': 'Genetic toxicity in vitro', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneticToxicityVitro'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (71)', 'sectionName': 'Genetic toxicity in vivo', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneticToxicityVivo'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (72)', 'sectionName': 'Carcinogenicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Carcinogenicity'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (73)', 'sectionName': 'Toxicity to reproduction', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityReproduction'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (74)', 'sectionName': 'Developmental toxicity / teratogenicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DevelopmentalToxicityTeratogenicity'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (75)', 'sectionName': 'Toxicity to reproduction: other studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityReproductionOther'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (75-3)', 'sectionName': 'Endocrine disrupter mammalian screening – in vivo (level 3)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EndocrineDisrupterMammalianScreening'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (76)', 'sectionName': 'Neurotoxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Neurotoxicity'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (77)', 'sectionName': 'Immunotoxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Immunotoxicity'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (78)', 'sectionName': 'Specific investigations: other studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SpecificInvestigations'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (79)', 'sectionName': 'Health surveillance data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'HealthSurveillanceData'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (80)', 'sectionName': 'Epidemiological data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EpidemiologicalData'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (81)', 'sectionName': 'Direct observations: clinical cases, poisoning incidents and other', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DirectObservationsClinicalCases'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (82)', 'sectionName': 'Sensitisation data (humans)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SensitisationData'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (83)', 'sectionName': 'Exposure related observations in humans: other data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ExposureRelatedObservationsOther'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (84)', 'sectionName': 'Toxic effects on livestock and pets', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicEffectsLivestock'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (85-1)', 'sectionName': 'Migration of residues into and their behaviour on food or feedingstuffs', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MigrationOfResidues'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (85-3)', 'sectionName': 'Metabolism of residues in crops and in rotational crops', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MetabolismInCrops'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (85-4)', 'sectionName': 'Residues in livestock', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ResiduesInLivestock'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (85-5)', 'sectionName': 'Residues in crops (field trials) and in rotational crops (limited field studies)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ResiduesInRotationalCrops'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (85-8)', 'sectionName': 'Nature of residues in processed commodities', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'NatureResiduesInProcessedCommod'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (85-9)', 'sectionName': 'Magnitude of residues in processed commodities', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MagnitudeResidInProcessedComm'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (85-10)', 'sectionName': 'Stability of residues in stored commodities', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StabilityOfResiduesInStoredCommod'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (201)', 'sectionName': 'Intermediate effects', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'IntermediateEffects'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (63)', 'sectionName': 'Acute toxicity: other routes', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityOtherRoutes'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (90)', 'sectionName': 'Emissions from preservative-treated wood', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EmissionsFromPreservativeTreatedWood'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (37)', 'sectionName': 'Other distribution data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OtherDistributionData'}
	] />
</#compress>
	
	<#assign substanceMetaDataAttachmentListPart1 = [
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': '1.3', 'sectionName': 'Active substance manufacturer', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Suppliers'}
	] />
	
	<#assign substanceMetaDataAttachmentListPart2 = [
	{'annexRequirement': 'Active substance manufacturer (name, address and location of manufacturing plant(s))', 'sectionNr': '2.1', 'sectionName': 'Common name and synonyms', 'docType': 'FIXED_RECORD', 'docSubType': 'Substance_section'}
	] />
	
<#compress>
	<#assign substanceMetaDataAttachmentListPart3 = [
	{'annexRequirement': 'Appearance', 'sectionNr': '3.1', 'sectionName': 'Appearance', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneralInformation'},
	{'annexRequirement': 'Melting/freezing point', 'sectionNr': '3.2', 'sectionName': 'Melting point / freezing point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Melting'},
	{'annexRequirement': 'Acidity, alkalinity', 'sectionNr': '3.3', 'sectionName': 'Acidity, alkalinity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Ph'},
	{'annexRequirement': 'Boiling point', 'sectionNr': '3.4', 'sectionName': 'Boiling point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BoilingPoint'},
	{'annexRequirement': 'Relative density', 'sectionNr': '3.5', 'sectionName': 'Relative density', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Density'},
	{'annexRequirement': 'Vapour pressure', 'sectionNr': '3.7.1', 'sectionName': 'Vapour pressure', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Vapour'},
	{'annexRequirement': 'Henry\'s law constant', 'sectionNr': '3.7.2', 'sectionName': 'Henry\'s law constant', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'HenrysLawConstant'},
	{'annexRequirement': 'Surface tension', 'sectionNr': '3.8', 'sectionName': 'Surface tension', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SurfaceTension'},
	{'annexRequirement': 'Water solubility', 'sectionNr': '3.9', 'sectionName': 'Water solubility', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'WaterSolubility'},
	{'annexRequirement': 'Partition coefficient (n-octanol/water) and its pH dependency', 'sectionNr': '3.1', 'sectionName': 'Partition coefficient (n-octanol/water) and its pH dependency', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Partition'},
	{'annexRequirement': 'Thermal stability, identity of breakdown products', 'sectionNr': '3.11', 'sectionName': 'Thermal stability, identity of breakdown products', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StabilityThermal'},
	{'annexRequirement': 'Reactivity towards container material', 'sectionNr': '3.12', 'sectionName': 'Reactivity towards container material', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StorageStability'},
	{'annexRequirement': 'Dissociation constant', 'sectionNr': '3.13', 'sectionName': 'Dissociation constant', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DissociationConstant'},
	{'annexRequirement': 'Granulometry', 'sectionNr': '3.14', 'sectionName': 'Granulometry', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Granulometry'},
	{'annexRequirement': 'Viscosity', 'sectionNr': '3.15', 'sectionName': 'Viscosity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Viscosity'},
	{'annexRequirement': 'Solubility in organic solvents, including effect of temperature on solubility', 'sectionNr': '3.16', 'sectionName': 'Solubility in organic solvents, including effect of temperature on solubility', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SolubilityOrganic'},
	{'annexRequirement': 'Stability in organic solvents used in biocidal products and identity of relevant breakdown products', 'sectionNr': '3.17', 'sectionName': 'Stability in organic solvents used in Biocidal products and identity of relevant breakdown products', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StabilityOrganic'},
	{'annexRequirement': 'Nanomaterial agglomeration / aggregation', 'sectionNr': '3.18.1', 'sectionName': 'Nanomaterial agglomeration / aggregation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AgglomerationAggregation'},
	{'annexRequirement': 'Nanomaterial crystalline phase', 'sectionNr': '3.18.2', 'sectionName': 'Nanomaterial crystalline phase', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CrystallinePhase'},
	{'annexRequirement': 'Nanomaterial crystallite and grain size', 'sectionNr': '3.18.3', 'sectionName': 'Nanomaterial crystallite and grain size', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CrystalliteGrainSize'},
	{'annexRequirement': 'Nanomaterial aspect ratio / shape', 'sectionNr': '3.18.4', 'sectionName': 'Nanomaterial aspect ratio / shape', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AspectRatioShape'},
	{'annexRequirement': 'Nanomaterial specific surface area', 'sectionNr': '3.18.5', 'sectionName': 'Nanomaterial specific surface area', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SpecificSurfaceArea'},
	{'annexRequirement': 'Nanomaterial Zeta potential', 'sectionNr': '3.18.6', 'sectionName': 'Nanomaterial Zeta potential', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ZetaPotential'},
	{'annexRequirement': 'Nanomaterial surface chemistry', 'sectionNr': '3.18.7', 'sectionName': 'Nanomaterial surface chemistry', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SurfaceChemistry'},
	{'annexRequirement': 'Nanomaterial dustiness', 'sectionNr': '3.18.8', 'sectionName': 'Nanomaterial dustiness', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Dustiness'},
	{'annexRequirement': 'Nanomaterial porosity', 'sectionNr': '3.18.9', 'sectionName': 'Nanomaterial porosity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Porosity'},
	{'annexRequirement': 'Nanomaterial pour density', 'sectionNr': '3.18.10', 'sectionName': 'Nanomaterial pour density', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PourDensity'},
	{'annexRequirement': 'Nanomaterial photocatalytic activity', 'sectionNr': '3.18.11', 'sectionName': 'Nanomaterial photocatalytic activity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhotocatalyticActivity'},
	{'annexRequirement': 'Nanomaterial radical formation potential', 'sectionNr': '3.18.12', 'sectionName': 'Nanomaterial radical formation potential', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RadicalFormationPotential'},
	{'annexRequirement': 'Nanomaterial catalytic activity', 'sectionNr': '3.18.13', 'sectionName': 'Nanomaterial catalytic activity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CatalyticActivity'},
	{'annexRequirement': 'Explosives', 'sectionNr': '4.1', 'sectionName': 'Explosiveness', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Explosiveness'},
	{'annexRequirement': 'Flammable gases, Flammable aerosols', 'sectionNr': '4.2', 'sectionName': 'Flammability', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Flammability'},
	{'annexRequirement': 'Oxidising gases', 'sectionNr': '4.4', 'sectionName': 'Oxidising properties', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OxidisingProperties'},
	{'annexRequirement': 'Gases under pressure', 'sectionNr': '4.5', 'sectionName': 'Gases under pressure', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GasesUnderPressure'},
	{'annexRequirement': 'Flammable liquids   ', 'sectionNr': '4.6', 'sectionName': 'Flash point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'FlashPoint'},
	{'annexRequirement': 'Self-reactive substances and mixtures', 'sectionNr': '4.8', 'sectionName': 'Self reactive substances', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SelfReactiveSubstances'},
	{'annexRequirement': 'Organic peroxides    ', 'sectionNr': '4.15', 'sectionName': 'Organic peroxides', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OrganicPeroxide'},
	{'annexRequirement': 'Corrosive to metals    ', 'sectionNr': '4.16', 'sectionName': 'Corrosive to metal', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CorrosiveToMetals'},
	{'annexRequirement': 'Additional physical indicators for hazards        ', 'sectionNr': '4.17', 'sectionName': 'Additional physico-chemical information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalPhysicoChemical'},
	{'annexRequirement': 'Auto-ignition temperature (liquids and gases)                       ', 'sectionNr': '4.17.1', 'sectionName': 'Auto flammability', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AutoFlammability'},
	{'annexRequirement': 'METHODS OF DETECTION AND IDENTIFICATION', 'sectionNr': '5', 'sectionName': 'Methods of detection and identification', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AnalyticalMethods'},
	{'annexRequirement': 'Function, e.g. fungicide, rodenticide, insecticide, bactericide and mode of control e.g. attracting, killing, inhibiting', 'sectionNr': '6.1', 'sectionName': 'Function and mode of control', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EffectivenessAgainstTargetOrganisms'},
	{'annexRequirement': 'Efficacy data to support these claims on biocidal products and, where label claims are made, on treated articles, including any available standard protocols, laboratory tests or field trials used including performance standards where appropriate', 'sectionNr': '6.6', 'sectionName': 'Efficacy data to support these claims on biocidal products and on treated articles', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EfficacyData'},
	{'annexRequirement': 'Skin irritation / corrosion', 'sectionNr': '8.1.1', 'sectionName': 'Skin irritation / corrosion', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SkinIrritationCorrosion'},
	{'annexRequirement': 'Eye irritation', 'sectionNr': '8.1.2', 'sectionName': 'Eye irritation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EyeIrritation'},
	{'annexRequirement': 'Skin sensitisation', 'sectionNr': '8.3.1', 'sectionName': 'Skin sensitisation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SkinSensitisation'},
	{'annexRequirement': 'Respiratory sensitisation', 'sectionNr': '8.3.2', 'sectionName': 'Respiratory sensitisation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RespiratorySensitisation'},
	{'annexRequirement': 'Genetic toxicity in vitro', 'sectionNr': '8.5.4', 'sectionName': 'Genetic toxicity in vitro', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneticToxicityVitro'},
	{'annexRequirement': 'Genetic toxicity in vivo', 'sectionNr': '8.5.5', 'sectionName': 'Genetic toxicity in vivo', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneticToxicityVivo'},
	{'annexRequirement': 'Acute toxicity: oral', 'sectionNr': '8.7.1', 'sectionName': 'Acute toxicity: oral', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityOral'},
	{'annexRequirement': 'Acute toxicity: inhalation', 'sectionNr': '8.7.2', 'sectionName': 'Acute toxicity: inhalation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityInhalation'},
	{'annexRequirement': 'Acute toxicity: dermal', 'sectionNr': '8.7.3', 'sectionName': 'Acute toxicity: dermal', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityDermal'},
	{'annexRequirement': 'Further toxicokinetic and metabolism studies in mammals', 'sectionNr': '8.8.1', 'sectionName': 'Basic toxicokinetics', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BasicToxicokinetics'},
	{'annexRequirement': 'Dermal absorption', 'sectionNr': '8.8.2', 'sectionName': 'Dermal absporption', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DermalAbsorption'},
	{'annexRequirement': 'Further repeated dose studies', 'sectionNr': '8.9.4', 'sectionName': 'Repeated dose toxicity: other routes', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityOther'},
	{'annexRequirement': 'Repeated dose toxicity: oral', 'sectionNr': '8.9.5.1', 'sectionName': 'Repeated dose toxicity: oral', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityOral'},
	{'annexRequirement': 'Repeated dose toxicity: inhalation', 'sectionNr': '8.9.5.2', 'sectionName': 'Repeated dose toxicity: inhalation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityInhalation'},
	{'annexRequirement': 'Repeated dose toxicity: dermal', 'sectionNr': '8.9.5.3', 'sectionName': 'Repeated dose toxicity: dermal', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityDermal'},
	{'annexRequirement': 'Pre-natal developmental toxicity study', 'sectionNr': '8.10.1', 'sectionName': 'Developmental toxicity / teratogenicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DevelopmentalToxicityTeratogenicity'},
	{'annexRequirement': 'Two-generation reproductive toxicity study', 'sectionNr': '8.10.2', 'sectionName': 'Toxicity to reproduction', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityReproduction'},
	{'annexRequirement': 'Carcinogenicity', 'sectionNr': '8.11', 'sectionName': 'Carcinogenicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Carcinogenicity'},
	{'annexRequirement': 'Medical surveillance data on manufacturing plant personnel', 'sectionNr': '8.12.1', 'sectionName': 'Medical surveillance data on manufacturing plant personnel', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'HealthSurveillanceData'},
	{'annexRequirement': 'Direct observations: clinical cases, poisoning incidents and other', 'sectionNr': '18.12.2', 'sectionName': 'Direct observations: clinical cases, poisoning incidents and other', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DirectObservationsClinicalCases'},
	{'annexRequirement': 'Epidemiological data', 'sectionNr': '18.12.4', 'sectionName': 'Epidemiological data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EpidemiologicalData'},
	{'annexRequirement': 'Sensitisation data (humans)', 'sectionNr': '8.12.6', 'sectionName': 'Sensitisation data (humans)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SensitisationData'},
	{'annexRequirement': 'Neurotoxicity', 'sectionNr': '8.13.2', 'sectionName': 'Neurotoxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Neurotoxicity'},
	{'annexRequirement': 'Endocrine disruption', 'sectionNr': '8.13.3', 'sectionName': 'Endocrine disrupter mammalian screening – in vivo (level 3)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EndocrineDisrupterMammalianScreening'},
	{'annexRequirement': 'Immunotoxicity', 'sectionNr': '8.13.4', 'sectionName': 'Immunotoxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Immunotoxicity'},
	{'annexRequirement': 'Specific investigations', 'sectionNr': '8.13.6', 'sectionName': 'Specific investigations: other studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SpecificInvestigations'},
	{'annexRequirement': 'Studies related to the exposure of humans to the active substance', 'sectionNr': '8.14', 'sectionName': 'Studies related to the exposure of humans to the active substance', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ExposureRelatedObservationsOther'},
	{'annexRequirement': 'Toxic effects on livestock and pets', 'sectionNr': '8.15', 'sectionName': 'Toxic effects on livestock and pets', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicEffectsLivestockPets'},
	{'annexRequirement': 'Proposed acceptable residue levels i.e. maximum residue limits (MRL) and the justification of their acceptability', 'sectionNr': '8.16.1', 'sectionName': 'Residues in livestock', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ResiduesInLivestock'},
	{'annexRequirement': 'Behaviour of the residue of the active substance on the treated or contaminated food or feeding stuffs including the kinetics of disappearance', 'sectionNr': '8.16.2', 'sectionName': 'Migration of residues into and their behaviour on food or feedingstuffs', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MigrationOfResidues'},
	{'annexRequirement': 'Estimation of potential or actual exposure of humans to the active substance and residues through diet and other means', 'sectionNr': '8.16.4', 'sectionName': 'Expected exposure and proposed acceptable residues', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ExpectedExposureAndProposedAcceptableResidues'},
	{'annexRequirement': 'If residues of the active substance occur in or on feeding stuffs for a significant period of time or also residues found in food of animal origin after treatment on or around food- producing animals (e.g. direct treatment on animals or indirect treatment of animal houses or surroundings) then Feeding and metabolism studies in livestock shall be required to permit evaluation of residues in food of animal origin', 'sectionNr': '8.16.5', 'sectionName': 'Metabolism of residues in livestock', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MetabolismInLivestock'},
	{'annexRequirement': 'Effects of industrial processing and/or domestic preparation on the nature and magnitude of residues of the active substance', 'sectionNr': '8.16.6', 'sectionName': 'Additional information on residues in food and feedingstuffs', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalInfoOnResiduesInFood'},
	{'annexRequirement': 'Short-term toxicity testing on fish ', 'sectionNr': '9.1.1', 'sectionName': 'Short-term toxicity to fish', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ShortTermToxicityToFish'},
	{'annexRequirement': 'Short-term toxicity testing on aquatic invertebrates', 'sectionNr': '9.1.2', 'sectionName': 'Short-term toxicity to aquatic invertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ShortTermToxicityToAquaInv'},
	{'annexRequirement': 'Growth inhibition study on algae', 'sectionNr': '9.1.3', 'sectionName': 'Toxicity to aquatic algae and cyanobacteria', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToAquaticAlgae'},
	{'annexRequirement': 'Inhibition of microbial activity', 'sectionNr': '9.1.5', 'sectionName': 'Toxicity to microorganisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToMicroorganisms'},
	{'annexRequirement': 'Long term toxicity testing on fish ', 'sectionNr': '9.1.6.1', 'sectionName': 'Long-term toxicity to fish', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'LongTermToxToFish'},
	{'annexRequirement': 'Long term toxicity testing on invertebrates ', 'sectionNr': '9.1.6.2', 'sectionName': 'Long-term toxicity to aquatic invertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'LongTermToxicityToAquaInv'},
	{'annexRequirement': 'Bioaccumulation in an appropriate aquatic species', 'sectionNr': '9.1.7', 'sectionName': 'Bioaccumulation: aquatic / sediment', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BioaccumulationAquaticSediment'},
	{'annexRequirement': 'Effects on any other specific, non-target organisms (flora and fauna) believed to be at risk', 'sectionNr': '9.1.8', 'sectionName': 'Toxicity to other aquatic organisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToOtherAqua'},
	{'annexRequirement': 'Studies on sediment dwelling organisms', 'sectionNr': '9.1.9', 'sectionName': 'Sediment toxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SedimentToxicity'},
	{'annexRequirement': 'Effects on aquatic macrophytes', 'sectionNr': '9.1.10', 'sectionName': 'Toxicity to aquatic plants other than algae', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToAquaticPlant'},
	{'annexRequirement': 'Effects on soil microorganisms', 'sectionNr': '9.2.1', 'sectionName': 'Toxicity to soil microorganisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToSoilMicroorganisms'},
	{'annexRequirement': 'Effects on earthworms or other soil-dwelling non-target invertebrates', 'sectionNr': '9.2.2', 'sectionName': 'Toxicity to soil macroorganisms except arthropods', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToSoilMacroorganismsExceptArthropods'},
	{'annexRequirement': 'Acute toxicity to plants', 'sectionNr': '9.2.3', 'sectionName': 'Toxicity to terrestrial plants', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToTerrestrialPlants'},
	{'annexRequirement': 'Effects on birds', 'sectionNr': '9.4', 'sectionName': 'Toxicity to birds', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToBirds'},
	{'annexRequirement': 'Effects on arthropods', 'sectionNr': '9.5', 'sectionName': 'Toxicity to terrestrial arthropods', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToTerrestrialArthropods'},
	{'annexRequirement': 'Bioconcentration terrestrial', 'sectionNr': '9.6', 'sectionName': 'Bioaccumulation: terrestrial', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BioaccumulationTerrestrial'},
	{'annexRequirement': 'Effects on other non-target, non-aquatic organisms', 'sectionNr': '9.8', 'sectionName': 'Toxicity to other above-ground organisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToOtherAboveGroundOrganisms'},
	{'annexRequirement': 'Endocrine disrupter testing in aquatic vertebrates – in vivo', 'sectionNr': '9.10.1', 'sectionName': 'Endocrine disrupter testing in aquatic vertebrates – in vivo', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EndocrineDisrupterTestingInAqua'},
	{'annexRequirement': 'Identification of endocrine activity', 'sectionNr': '9.10.2', 'sectionName': 'Identification of endocrine activity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalEcotoxicologicalInformation'},
	{'annexRequirement': 'Abiotic: Hydrolysis as a function of pH and identification of breakdown products', 'sectionNr': '10.1.1.1.a', 'sectionName': 'Abiotic: Hydrolysis as a function of pH and identification of breakdown products', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Hydrolysis'},
	{'annexRequirement': 'Abiotic: Phototransformation in water, including identification of transformation products', 'sectionNr': '10.1.1.1.b', 'sectionName': 'Abiotic: Phototransformation in water, including identification of transformation products', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhototransformationInWater'},
	{'annexRequirement': 'Biotic --> Ready / inherent biodegradability', 'sectionNr': '10.1.1.2', 'sectionName': 'Biodegradation in water: screening tests', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInWaterScreeningTests'},
	{'annexRequirement': 'Adsorption / desorption', 'sectionNr': '10.1.2', 'sectionName': 'Adsorption / desorption', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdsorptionDesorption'},
	{'annexRequirement': 'Rate and route of degradation including identification of metabolites and degradation products', 'sectionNr': '10.1.3', 'sectionName': 'Biodegradation in water and sediment: simulation tests', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInWaterAndSedimentSimulationTests'},
	{'annexRequirement': 'Field studies', 'sectionNr': '10.1.5', 'sectionName': 'Field studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'FieldStudies'},
	{'annexRequirement': 'Laboratory study on rate and route of degradation including identification of the processes involved', 'sectionNr': '10.2.1', 'sectionName': 'Laboratory study in rate and route of degradation including identification of the process involved', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInSoil'},
	{'annexRequirement': 'Soil accumulation studies', 'sectionNr': '10.2.3', 'sectionName': 'Distribution modelling', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DistributionModelling'},
	{'annexRequirement': 'Phototransformation in air (estimation method)', 'sectionNr': '10.3.1', 'sectionName': 'Phototransformation in air', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhototransformationInAir'},
	{'annexRequirement': 'Additional information on environmental fate and behaviour', 'sectionNr': '10.4', 'sectionName': 'Additional information on environmental fate and behaviour', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalInformationOnEnvironmentalFateAndBehaviour'},
	{'annexRequirement': 'Monitoring: Identification of all degradation products (>10%) must be included in the studies on degradation in soil, water and sediments', 'sectionNr': '10.6', 'sectionName': 'Monitoring: Identification of all degradation products (>10%) in the studies on degradation in soil, water and sediments', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MonitoringData'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Aged sorption', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AgedSorption'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Magnitude of residues in processed commodities (including pollen and bee products)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ResiduesProcessedCommodities'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'Regulatory specific numbering', 'sectionName': 'Transport via air', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'TransportViaAir'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (5)', 'sectionName': 'Particle size distribution (Granulometry)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Granulometry'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (7)', 'sectionName': 'Partition coefficient', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Partition'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (9)', 'sectionName': 'Solubility in organic solvents / fat solubility', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SolubilityOrganic'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (16)', 'sectionName': 'Oxidation reduction potential', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OxidationReduction'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (17)', 'sectionName': 'Stability in organic solvents and identity of relevant degradation products', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StabilityOrganic'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (25)', 'sectionName': 'Hydrolysis', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Hydrolysis'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (26)', 'sectionName': 'Phototransformation in water', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Phototransformation'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (27)', 'sectionName': 'Phototransformation in soil', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhotoTransformationInSoil'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (30)', 'sectionName': 'Biodegradation in soil', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInSoil'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (31)', 'sectionName': 'Mode of degradation in actual use', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ModeOfDegradationInActualUse'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (38)', 'sectionName': 'Monitoring data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MonitoringData'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (401)', 'sectionName': 'Dispersion stability of nanomaterials', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DispStabilityNanomaterials'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (55)', 'sectionName': 'Biological effects monitoring', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiologicalEffectsMonitoring'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (56)', 'sectionName': 'Biotransformation and kinetics', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiotransformationAndKinetics'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (66-3)', 'sectionName': 'Phototoxicity in vitro', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhototoxicityVitro'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (75)', 'sectionName': 'Toxicity to reproduction: other studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityReproductionOther'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (79)', 'sectionName': 'Health surveillance data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'HealthSurveillanceData'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (83)', 'sectionName': 'Exposure related observations in humans: other data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ExposureRelatedObservationsOther'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (84)', 'sectionName': 'Toxic effects on livestock and pets', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicEffectsLivestock'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (85-3)', 'sectionName': 'Metabolism of residues in crops and in rotational crops', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MetabolismInCrops'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (85-5)', 'sectionName': 'Residues in crops (field trials) and in rotational crops (limited field studies)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ResiduesInRotationalCrops'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (85-8)', 'sectionName': 'Nature of residues in processed commodities', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'NatureResiduesInProcessedCommod'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (85-9)', 'sectionName': 'Magnitude of residues in processed commodities', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MagnitudeResidInProcessedComm'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (85-10)', 'sectionName': 'Stability of residues in stored commodities', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StabilityOfResiduesInStoredCommod'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (63)', 'sectionName': 'Acute toxicity: other routes', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityOtherRoutes'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (90)', 'sectionName': 'Emissions from preservative-treated wood', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EmissionsFromPreservativeTreatedWood'},
	{'annexRequirement': 'No Annex II requirement', 'sectionNr': 'OECD numbering (37)', 'sectionName': 'Other distribution data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OtherDistributionData'}
	] />
</#compress>