<#-- Utilities for attachments substances core main template filel -->

<#-- Varible that contains the list of attached full study reports that can appear in a Substance dataset or dossier 
pesticides 85-1 to 85-10 / dossier documents
-->

<#-- Varible that contains the list of attached full study reports that can appear in a Substance dataset or dossier -->
<#assign substanceStudyReportAttachmentsList = [
	{'sectionNr': '3.9.1', 'sectionName': 'Emissions from preservative-treated wood', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EmissionsFromPreservativeTreatedWood', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.1', 'sectionName': 'Appearance / physical state / colour', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneralInformation', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.2', 'sectionName': 'Melting point / freezing point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Melting', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.3', 'sectionName': 'Boiling point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BoilingPoint', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.4', 'sectionName': 'Density', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Density', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.5', 'sectionName': 'Particle size distribution (Granulometry)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Granulometry', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.6', 'sectionName': 'Vapour pressure', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Vapour', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.7', 'sectionName': 'Partition coefficient', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Partition', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.8', 'sectionName': 'Water solubility', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'WaterSolubility', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.9', 'sectionName': 'Solubility in organic solvents / fat solubility', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SolubilityOrganic', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.10', 'sectionName': 'Surface tension', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SurfaceTension', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.11', 'sectionName': 'Flash point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'FlashPoint', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.12', 'sectionName': 'Auto flammability', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AutoFlammability', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.13', 'sectionName': 'Flammability', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Flammability', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.14', 'sectionName': 'Explosiveness', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Explosiveness', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.15', 'sectionName': 'Oxidising properties', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OxidisingProperties', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.16', 'sectionName': 'Oxidation reduction potential', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OxidationReduction', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.17', 'sectionName': 'Stability in organic solvents and identity of relevant degradation products', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StabilityOrganic', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.18', 'sectionName': 'Storage stability and reactivity towards container material', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StorageStability', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.19', 'sectionName': 'Stability: thermal, sunlight, metals', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StabilityThermal', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.20', 'sectionName': 'pH', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Ph', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.21', 'sectionName': 'Dissociation constant', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DissociationConstant', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.22', 'sectionName': 'Viscosity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Viscosity', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.23', 'sectionName': 'Self-reactive substances', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SelfReactiveSubstances', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.24', 'sectionName': 'Organic peroxides', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OrganicPeroxide', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},	
	{'sectionNr': '4.25', 'sectionName': 'Corrosive to metals', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CorrosiveToMetals', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.26', 'sectionName': 'Gases under pressure', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GasesUnderPressure', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.27', 'sectionName': 'Additional physico-chemical information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalPhysicoChemical', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.28.1', 'sectionName': 'Nanomaterial agglomeration / aggregation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AgglomerationAggregation', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.28.2', 'sectionName': 'Nanomaterial crystalline phase', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CrystallinePhase', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.28.3', 'sectionName': 'Nanomaterial crystallite and grain size', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CrystalliteGrainSize', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.28.4', 'sectionName': 'Nanomaterial aspect ratio / shape', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AspectRatioShape', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.28.5', 'sectionName': 'Nanomaterial specific surface area', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SpecificSurfaceArea', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.28.6', 'sectionName': 'Nanomaterial Zeta potential', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ZetaPotential', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.28.7', 'sectionName': 'Nanomaterial surface chemistry', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SurfaceChemistry', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.28.8', 'sectionName': 'Nanomaterial dustiness', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Dustiness', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.28.9', 'sectionName': 'Nanomaterial porosity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Porosity', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.28.10', 'sectionName': 'Nanomaterial pour density', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PourDensity', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.28.11', 'sectionName': 'Nanomaterial photocatalytic activity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhotocatalyticActivity', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.28.12', 'sectionName': 'Nanomaterial radical formation potential', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RadicalFormationPotential', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '4.28.13', 'sectionName': 'Nanomaterial catalytic activity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CatalyticActivity', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '5.1.1', 'sectionName': 'Phototransformation in air', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhototransformationInAir', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '5.1.2', 'sectionName': 'Hydrolysis', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Hydrolysis', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '5.1.3', 'sectionName': 'Phototransformation in water', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Phototransformation', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '5.1.4', 'sectionName': 'Phototransformation in soil', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhotoTransformationInSoil', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '5.2.1', 'sectionName': 'Biodegradation in water: screening tests', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInWaterScreeningTests', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '5.2.2', 'sectionName': 'Biodegradation in water and sediment: simulation tests', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInWaterAndSedimentSimulationTests', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '5.2.3', 'sectionName': 'Biodegradation in soil', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInSoil', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '5.2.4', 'sectionName': 'Mode of degradation in actual use', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ModeOfDegradationInActualUse', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '5.3.1', 'sectionName': 'Bioaccumulation: aquatic / sediment', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BioaccumulationAquaticSediment', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '5.3.2', 'sectionName': 'Bioaccumulation: terrestrial', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BioaccumulationTerrestrial', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '5.4.1', 'sectionName': 'Adsorption / desorption', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdsorptionDesorption', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '5.4.2', 'sectionName': 'Henry\'s Law constant', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'HenrysLawConstant', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '5.4.3', 'sectionName': 'Distribution modelling', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DistributionModelling', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '5.4.4', 'sectionName': 'Other distribution data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OtherDistributionData', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '5.5.1', 'sectionName': 'Monitoring data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MonitoringData', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '5.5.2', 'sectionName': 'Field studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'FieldStudies', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '5.6', 'sectionName': 'Additional information on environmental fate and behaviour', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalInformationOnEnvironmentalFateAndBehaviour', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '6.1.1', 'sectionName': 'Short-term toxicity to fish', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ShortTermToxicityToFish', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '6.1.2', 'sectionName': 'Long-term toxicity to fish', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'LongTermToxToFish', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '6.1.3', 'sectionName': 'Short-term toxicity to aquatic invertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ShortTermToxicityToAquaInv', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '6.1.4', 'sectionName': 'Long-term toxicity to aquatic invertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'LongTermToxicityToAquaInv', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '6.1.5', 'sectionName': 'Toxicity to aquatic algae and cyanobacteria', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToAquaticAlgae', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '6.1.6', 'sectionName': 'Toxicity to aquatic plants other than algae', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToAquaticPlant', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '6.1.7', 'sectionName': 'Toxicity to microorganisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToMicroorganisms', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '6.1.8', 'sectionName': 'Toxicity to other aquatic vertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToOtherAqua', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '6.2', 'sectionName': 'Sediment toxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SedimentToxicity', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '6.3.1', 'sectionName': 'Toxicity to soil macroorganisms except arthropods', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToSoilMacroorganismsExceptArthropods', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '6.3.2', 'sectionName': 'Toxicity to terrestrial arthropods', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToTerrestrialArthropods', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '6.3.3', 'sectionName': 'Toxicity to terrestrial plants', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToTerrestrialPlants', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '6.3.4', 'sectionName': 'Toxicity to soil microorganisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToSoilMicroorganisms', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '6.3.5', 'sectionName': 'Toxicity to birds', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToBirds', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '6.3.6', 'sectionName': 'Toxicity to other above-ground organisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToOtherAboveGroundOrganisms', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '6.4', 'sectionName': 'Biological effects monitoring', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiologicalEffectsMonitoring', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '6.5', 'sectionName': 'Biotransformation and kinetics', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiotransformationAndKinetics', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '6.6', 'sectionName': 'Additional ecotoxicological information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalEcotoxicologicalInformation', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.1.1', 'sectionName': 'Basic toxicokinetics', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BasicToxicokinetics', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.1.2', 'sectionName': 'Dermal absorption', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DermalAbsorption', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.2.1', 'sectionName': 'Acute toxicity: oral', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityOral', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.2.2', 'sectionName': 'Acute toxicity: inhalation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityInhalation', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.2.3', 'sectionName': 'Acute toxicity: dermal', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityDermal', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.2.4', 'sectionName': 'Acute toxicity: other routes', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityOtherRoutes', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.3.1', 'sectionName': 'Skin irritation / corrosion', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SkinIrritationCorrosion', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.3.2', 'sectionName': 'Eye irritation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EyeIrritation', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.4.1', 'sectionName': 'Skin sensitisation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SkinSensitisation', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.4.2', 'sectionName': 'Respiratory sensitisation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RespiratorySensitisation', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.5.1', 'sectionName': 'Repeated dose toxicity: oral', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityOral', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.5.2', 'sectionName': 'Repeated dose toxicity: inhalation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityInhalation', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.5.3', 'sectionName': 'Repeated dose toxicity: dermal', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityDermal', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.5.4', 'sectionName': 'Repeated dose toxicity: other routes', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityOther', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.6.1', 'sectionName': 'Genetic toxicity in vitro', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneticToxicityVitro', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.6.2', 'sectionName': 'Genetic toxicity in vivo', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneticToxicityVivo', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.7', 'sectionName': 'Carcinogenicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Carcinogenicity', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.8.1', 'sectionName': 'Toxicity to reproduction', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityReproduction', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.8.2', 'sectionName': 'Developmental toxicity / teratogenicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DevelopmentalToxicityTeratogenicity', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.8.3', 'sectionName': 'Toxicity to reproduction: other studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityReproductionOther', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.9.1', 'sectionName': 'Neurotoxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Neurotoxicity', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.9.2', 'sectionName': 'Immunotoxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Immunotoxicity', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.9.3', 'sectionName': 'Specific investigations: other studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SpecificInvestigations', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.10.1', 'sectionName': 'Health surveillance data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'HealthSurveillanceData', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.10.2', 'sectionName': 'Epidemiological data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EpidemiologicalData', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.10.3', 'sectionName': 'Direct observations: clinical cases, poisoning incidents and other', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DirectObservationsClinicalCases', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.10.4', 'sectionName': 'Sensitisation data (humans)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SensitisationData', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.10.5', 'sectionName': 'Exposure related observations in humans: other data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ExposureRelatedObservationsOther', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.11', 'sectionName': 'Toxic effects on livestock and pets', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicEffectsLivestock', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '7.12', 'sectionName': 'Additional toxicological information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalToxicologicalInformation', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '8', 'sectionName': 'Analytical methods', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AnalyticalMethods', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '9.1.1', 'sectionName': 'Metabolism in livestock', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MetabolismInLivestock', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '9.1.2', 'sectionName': 'Metabolism in crops', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MetabolismInCrops', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '9.1.3', 'sectionName': 'Metabolism in rotational crops', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MetabolismInRotationalCrops', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '9.2.1', 'sectionName': 'Residues in livestock', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ResiduesInLivestock', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '9.2.2', 'sectionName': 'Residues in rotational crops', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ResiduesInRotationalCrops', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '9.3', 'sectionName': 'Migration of residues into and their behaviour on food or feedingstuffs', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MigrationOfResidues', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '9.4', 'sectionName': 'Expected exposure and proposed acceptable residues', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ExpectedExposureAndProposedAcceptableResidues', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '9.5', 'sectionName': 'Additional information on residues in food and feedingstuffs', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalInfoOnResiduesInFood', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '10.1', 'sectionName': 'Effectiveness against target organisms and intented uses - general information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EffectivenessAgainstTargetOrganisms', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'},
	{'sectionNr': '10.2', 'sectionName': 'Efficacy data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EfficacyData', 'attachmentNamePath': 'OverallRemarksAttachments.AttachedStudyReport'}
] />

<#-- Varible that contains the list of pbt summaries -->
<#assign pbtAssessmentSummary = [
	{'sectionNr': '2.3', 'sectionName': 'PBT assessment', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'PbtAssessment', 'attachmentNamePath': 'PbtAssessmentOverallResult.AttachedDocuments'}
] />

<#-- Varible that contains the list of attached assessment reports -->
<#assign assessmentReportList = [
	{'sectionNr': '13.1', 'sectionName': 'Chemical Safety Report', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ChemicalSafetyReport', 'attachmentNamePath': 'CSR.CSRDocument'},
	{'sectionNr': '13.1', 'sectionName': 'Chemical Safety Report', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ChemicalSafetyReport', 'attachmentNamePath': 'CSR.ExportFileDocument'},
	{'sectionNr': '13.2', 'sectionName': 'Assessment reports', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'AssessmentReports', 'attachmentNamePath': 'AssessmentReport.Document'}
] />

<#-- Varible that contains the list of attached assessment reports -->
<#assign authorisationOfUses = [
	{'sectionNr': '3.10', 'sectionName': 'Application for authorisation of uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'AuthorisationOfUses', 'attachmentNamePath': 'AnalysisOfTheAlternatives.Document'},
	{'sectionNr': '3.10', 'sectionName': 'Application for authorisation of uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'AuthorisationOfUses', 'attachmentNamePath': 'AnalysisOfTheAlternatives.DocumentConfidential'},
	{'sectionNr': '3.10', 'sectionName': 'Application for authorisation of uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'AuthorisationOfUses', 'attachmentNamePath': 'SocioEconomicAnalysis.Document'},
	{'sectionNr': '3.10', 'sectionName': 'Application for authorisation of uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'AuthorisationOfUses', 'attachmentNamePath': 'SocioEconomicAnalysis.DocumentConfidential'},
	{'sectionNr': '3.10', 'sectionName': 'Application for authorisation of uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'AuthorisationOfUses', 'attachmentNamePath': 'SubstitutionPlan.Document'},
	{'sectionNr': '3.10', 'sectionName': 'Application for authorisation of uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'AuthorisationOfUses', 'attachmentNamePath': 'SubstitutionPlan.DocumentConfidential'},
	{'sectionNr': '3.10', 'sectionName': 'Application for authorisation of uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'AuthorisationOfUses', 'attachmentNamePath': 'Justification.Document'},
	{'sectionNr': '3.10', 'sectionName': 'Application for authorisation of uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'AuthorisationOfUses', 'attachmentNamePath': 'Justification.DocumentConfidential'}
] />


<#-- Varible that contains the list of attached full study reports that can appear in a Substance dataset or dossier -->
<#assign substanceImageList = [
	{'sectionNr': '1.10', 'sectionName': 'Transformation of the registered substance', 'docType': 'ASSESSMENT_ENTITY', 'docSubType': 'TransformationProductOfTheRegisteredSubstance', 'attachmentNamePath': 'ReactionSchema'},
	{'sectionNr': '3.9.1', 'sectionName': 'Emissions from preservative-treated wood', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EmissionsFromPreservativeTreatedWood', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.1', 'sectionName': 'Appearance / physical state / colour', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneralInformation', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.2', 'sectionName': 'Melting point / freezing point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Melting', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.3', 'sectionName': 'Boiling point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BoilingPoint', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.4', 'sectionName': 'Density', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Density', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.5', 'sectionName': 'Particle size distribution (Granulometry)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Granulometry', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.6', 'sectionName': 'Vapour pressure', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Vapour', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.7', 'sectionName': 'Partition coefficient', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Partition', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.8', 'sectionName': 'Water solubility', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'WaterSolubility', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.9', 'sectionName': 'Solubility in organic solvents / fat solubility', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SolubilityOrganic', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.10', 'sectionName': 'Surface tension', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SurfaceTension', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.11', 'sectionName': 'Flash point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'FlashPoint', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.12', 'sectionName': 'Auto flammability', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AutoFlammability', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.13', 'sectionName': 'Flammability', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Flammability', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.14', 'sectionName': 'Explosiveness', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Explosiveness', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.15', 'sectionName': 'Oxidising properties', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OxidisingProperties', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.16', 'sectionName': 'Oxidation reduction potential', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OxidationReduction', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.17', 'sectionName': 'Stability in organic solvents and identity of relevant degradation products', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StabilityOrganic', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.18', 'sectionName': 'Storage stability and reactivity towards container material', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StorageStability', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.19', 'sectionName': 'Stability: thermal, sunlight, metals', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StabilityThermal', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.20', 'sectionName': 'pH', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Ph', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.21', 'sectionName': 'Dissociation constant', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DissociationConstant', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.22', 'sectionName': 'Viscosity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Viscosity', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.23', 'sectionName': 'Self-reactive substances', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SelfReactiveSubstances', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.24', 'sectionName': 'Organic peroxides', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OrganicPeroxide', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},	
	{'sectionNr': '4.25', 'sectionName': 'Corrosive to metals', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CorrosiveToMetals', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.26', 'sectionName': 'Gases under pressure', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GasesUnderPressure', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.27', 'sectionName': 'Additional physico-chemical information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalPhysicoChemical', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.28.1', 'sectionName': 'Nanomaterial agglomeration / aggregation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AgglomerationAggregation', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.28.2', 'sectionName': 'Nanomaterial crystalline phase', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CrystallinePhase', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.28.3', 'sectionName': 'Nanomaterial crystallite and grain size', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CrystalliteGrainSize', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.28.4', 'sectionName': 'Nanomaterial aspect ratio / shape', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AspectRatioShape', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.28.5', 'sectionName': 'Nanomaterial specific surface area', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SpecificSurfaceArea', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.28.6', 'sectionName': 'Nanomaterial Zeta potential', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ZetaPotential', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.28.7', 'sectionName': 'Nanomaterial surface chemistry', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SurfaceChemistry', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.28.8', 'sectionName': 'Nanomaterial dustiness', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Dustiness', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.28.9', 'sectionName': 'Nanomaterial porosity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Porosity', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.28.10', 'sectionName': 'Nanomaterial pour density', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PourDensity', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.28.11', 'sectionName': 'Nanomaterial photocatalytic activity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhotocatalyticActivity', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.28.12', 'sectionName': 'Nanomaterial radical formation potential', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RadicalFormationPotential', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '4.28.13', 'sectionName': 'Nanomaterial catalytic activity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CatalyticActivity', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '5.1.1', 'sectionName': 'Phototransformation in air', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhototransformationInAir', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '5.1.2', 'sectionName': 'Hydrolysis', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Hydrolysis', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '5.1.3', 'sectionName': 'Phototransformation in water', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Phototransformation', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '5.1.4', 'sectionName': 'Phototransformation in soil', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhotoTransformationInSoil', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '5.2.1', 'sectionName': 'Biodegradation in water: screening tests', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInWaterScreeningTests', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '5.2.2', 'sectionName': 'Biodegradation in water and sediment: simulation tests', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInWaterAndSedimentSimulationTests', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '5.2.3', 'sectionName': 'Biodegradation in soil', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInSoil', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '5.2.4', 'sectionName': 'Mode of degradation in actual use', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ModeOfDegradationInActualUse', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '5.3.1', 'sectionName': 'Bioaccumulation: aquatic / sediment', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BioaccumulationAquaticSediment', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '5.3.2', 'sectionName': 'Bioaccumulation: terrestrial', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BioaccumulationTerrestrial', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '5.4.1', 'sectionName': 'Adsorption / desorption', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdsorptionDesorption', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '5.4.2', 'sectionName': 'Henry\'s Law constant', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'HenrysLawConstant', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '5.4.3', 'sectionName': 'Distribution modelling', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DistributionModelling', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '5.4.4', 'sectionName': 'Other distribution data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OtherDistributionData', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '5.5.1', 'sectionName': 'Monitoring data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MonitoringData', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '5.5.2', 'sectionName': 'Field studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'FieldStudies', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '5.6', 'sectionName': 'Additional information on environmental fate and behaviour', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalInformationOnEnvironmentalFateAndBehaviour', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '6.1.1', 'sectionName': 'Short-term toxicity to fish', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ShortTermToxicityToFish', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '6.1.2', 'sectionName': 'Long-term toxicity to fish', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'LongTermToxToFish', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '6.1.3', 'sectionName': 'Short-term toxicity to aquatic invertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ShortTermToxicityToAquaInv', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '6.1.4', 'sectionName': 'Long-term toxicity to aquatic invertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'LongTermToxicityToAquaInv', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '6.1.5', 'sectionName': 'Toxicity to aquatic algae and cyanobacteria', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToAquaticAlgae', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '6.1.6', 'sectionName': 'Toxicity to aquatic plants other than algae', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToAquaticPlant', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '6.1.7', 'sectionName': 'Toxicity to microorganisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToMicroorganisms', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '6.1.8', 'sectionName': 'Toxicity to other aquatic vertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToOtherAqua', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '6.2', 'sectionName': 'Sediment toxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SedimentToxicity', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '6.3.1', 'sectionName': 'Toxicity to soil macroorganisms except arthropods', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToSoilMacroorganismsExceptArthropods', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '6.3.2', 'sectionName': 'Toxicity to terrestrial arthropods', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToTerrestrialArthropods', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '6.3.3', 'sectionName': 'Toxicity to terrestrial plants', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToTerrestrialPlants', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '6.3.4', 'sectionName': 'Toxicity to soil microorganisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToSoilMicroorganisms', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '6.3.5', 'sectionName': 'Toxicity to birds', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToBirds', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '6.3.6', 'sectionName': 'Toxicity to other above-ground organisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToOtherAboveGroundOrganisms', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '6.4', 'sectionName': 'Biological effects monitoring', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiologicalEffectsMonitoring', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '6.5', 'sectionName': 'Biotransformation and kinetics', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiotransformationAndKinetics', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '6.6', 'sectionName': 'Additional ecotoxicological information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalEcotoxicologicalInformation', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.1.1', 'sectionName': 'Basic toxicokinetics', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BasicToxicokinetics', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.1.2', 'sectionName': 'Dermal absorption', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DermalAbsorption', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.2.1', 'sectionName': 'Acute toxicity: oral', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityOral', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.2.2', 'sectionName': 'Acute toxicity: inhalation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityInhalation', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.2.3', 'sectionName': 'Acute toxicity: dermal', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityDermal', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.2.4', 'sectionName': 'Acute toxicity: other routes', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityOtherRoutes', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.3.1', 'sectionName': 'Skin irritation / corrosion', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SkinIrritationCorrosion', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.3.2', 'sectionName': 'Eye irritation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EyeIrritation', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.4.1', 'sectionName': 'Skin sensitisation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SkinSensitisation', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.4.2', 'sectionName': 'Respiratory sensitisation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RespiratorySensitisation', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.5.1', 'sectionName': 'Repeated dose toxicity: oral', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityOral', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.5.2', 'sectionName': 'Repeated dose toxicity: inhalation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityInhalation', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.5.3', 'sectionName': 'Repeated dose toxicity: dermal', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityDermal', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.5.4', 'sectionName': 'Repeated dose toxicity: other routes', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityOther', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.6.1', 'sectionName': 'Genetic toxicity in vitro', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneticToxicityVitro', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.6.2', 'sectionName': 'Genetic toxicity in vivo', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneticToxicityVivo', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.7', 'sectionName': 'Carcinogenicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Carcinogenicity', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.8.1', 'sectionName': 'Toxicity to reproduction', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityReproduction', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.8.2', 'sectionName': 'Developmental toxicity / teratogenicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DevelopmentalToxicityTeratogenicity', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.8.3', 'sectionName': 'Toxicity to reproduction: other studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityReproductionOther', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.9.1', 'sectionName': 'Neurotoxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Neurotoxicity', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.9.2', 'sectionName': 'Immunotoxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Immunotoxicity', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.9.3', 'sectionName': 'Specific investigations: other studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SpecificInvestigations', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.10.1', 'sectionName': 'Health surveillance data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'HealthSurveillanceData', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.10.2', 'sectionName': 'Epidemiological data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EpidemiologicalData', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.10.3', 'sectionName': 'Direct observations: clinical cases, poisoning incidents and other', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DirectObservationsClinicalCases', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.10.4', 'sectionName': 'Sensitisation data (humans)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SensitisationData', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.10.5', 'sectionName': 'Exposure related observations in humans: other data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ExposureRelatedObservationsOther', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.11', 'sectionName': 'Toxic effects on livestock and pets', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicEffectsLivestock', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '7.12', 'sectionName': 'Additional toxicological information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalToxicologicalInformation', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '8', 'sectionName': 'Analytical methods', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AnalyticalMethods', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '9.1.1', 'sectionName': 'Metabolism in livestock', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MetabolismInLivestock', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '9.1.2', 'sectionName': 'Metabolism in crops', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MetabolismInCrops', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '9.1.3', 'sectionName': 'Metabolism in rotational crops', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MetabolismInRotationalCrops', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '9.2.1', 'sectionName': 'Residues in livestock', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ResiduesInLivestock', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '9.2.2', 'sectionName': 'Residues in rotational crops', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ResiduesInRotationalCrops', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '9.3', 'sectionName': 'Migration of residues into and their behaviour on food or feedingstuffs', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MigrationOfResidues', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '9.4', 'sectionName': 'Expected exposure and proposed acceptable residues', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ExpectedExposureAndProposedAcceptableResidues', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '9.5', 'sectionName': 'Additional information on residues in food and feedingstuffs', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalInfoOnResiduesInFood', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '10.1', 'sectionName': 'Effectiveness against target organisms and intented uses - general information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EffectivenessAgainstTargetOrganisms', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'},
	{'sectionNr': '10.2', 'sectionName': 'Efficacy Data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EfficacyData', 'attachmentNamePath': 'OverallRemarksAttachments.IllustrationPicGraph'}
] />

<#-- Variable that contains the substance . reference substance -->
<#assign substanceList = [	
	{'sectionNr': '1.1', 'sectionName': 'Identification', 'docType': 'FIXED_RECORD', 'docSubType': 'Substance_section', 'attachmentNamePath': 'MolecularStructuralInfo.Remarks'}	
] />

<#-- Varible that contains uses at industrial sites, conditions for strict control -->
<#assign additionalInformationOnConditionsForStrictControl = [	
	{'sectionNr': '3.5.3', 'sectionName': 'Uses at industrial sites', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'UseAtIndustrialSites', 'attachmentNamePath': 'UsesAtIndustrialSites.AdditionalInformationOnTheConditionsForStrictControl'}
] />

<#-- Varible that contains the list of minimising conditions attachments -->
<#assign minimisingEmissionsList = [
	{'sectionNr': '3.5.1', 'sectionName': 'Manufacture', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Manufacturer', 'attachmentNamePath': 'ConditionsOfUse.TechCond.AdditionalInformationRelatedToTheTechnologiesMinimisingEmissions'},
	{'sectionNr': '3.5.2', 'sectionName': 'Formulation or re-packing', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Formulation', 'attachmentNamePath': 'ConditionsOfUse.TechCond.AdditionalInformationRelatedToTheTechnologiesMinimisingEmissions'},
	{'sectionNr': '3.5.3', 'sectionName': 'Uses at industrial sites', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'UseAtIndustrialSites', 'attachmentNamePath': 'ConditionsOfUse.TechCond.AdditionalInformationRelatedToTheTechnologiesMinimisingEmissions'},
	{'sectionNr': '3.5.4', 'sectionName': 'Widespread uses by professional workers', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ProfessionalWorkers', 'attachmentNamePath': 'ConditionsOfUse.TechCond.AdditionalInformationRelatedToTheTechnologiesMinimisingEmissions'},
	{'sectionNr': '3.5.6', 'sectionName': 'Service life', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ArticleServiceLife', 'attachmentNamePath': 'ConditionsOfUse.TechCond.AdditionalInformationRelatedToTheTechnologiesMinimisingEmissions'}
] />

<#-- Varible that contains the list of attached section three attachments -->
<#assign predictedExposureToEnvirList = [	
	{'sectionNr': '3.5.1', 'sectionName': 'Manufacture', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Manufacturer', 'attachmentNamePath': 'ExpRiskEnvir.Attachment'},
	{'sectionNr': '3.5.2', 'sectionName': 'Formulation or re-packing', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Formulation', 'attachmentNamePath': 'ExpRiskEnvir.Attachment'},
	{'sectionNr': '3.5.3', 'sectionName': 'Uses at industrial sites', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'UseAtIndustrialSites', 'attachmentNamePath': 'ExpRiskEnvir.Attachment'},
	{'sectionNr': '3.5.4', 'sectionName': 'Widespread uses by professional workers', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ProfessionalWorkers', 'attachmentNamePath': 'ExpRiskEnvir.Attachment'},
	{'sectionNr': '3.5.6', 'sectionName': 'Service life', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ArticleServiceLife', 'attachmentNamePath': 'ExpRiskEnvir.Attachment'}	
] />


<#-- Varible that contains the list of attached section three attachments -->
<#assign containmentAndControlAttachmentList = [	
	{'sectionNr': '3.5.1', 'sectionName': 'Manufacture', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Manufacturer', 'attachmentNamePath': 'ContributingScenarioWorkers.TechCond.AddInfoTechMeansRigorousContainment'},
	{'sectionNr': '3.5.2', 'sectionName': 'Formulation or re-packing', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Formulation', 'attachmentNamePath': 'ContributingScenarioWorkers.TechCond.AddInfoTechMeansRigorousContainment'},
	{'sectionNr': '3.5.3', 'sectionName': 'Uses at industrial sites', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'UseAtIndustrialSites', 'attachmentNamePath': 'ContributingScenarioWorkers.TechCond.AddInfoTechMeansRigorousContainment'},
	{'sectionNr': '3.5.4', 'sectionName': 'Widespread uses by professional workers', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ProfessionalWorkers', 'attachmentNamePath': 'ContributingScenarioWorkers.TechCond.AddInfoTechMeansRigorousContainment'},
	{'sectionNr': '3.5.6', 'sectionName': 'Service Life', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ArticleServiceLife', 'attachmentNamePath': 'ContributingScenarioWorkers.TechCond.AddInfoTechMeansRigorousContainment'}	
] />

<#-- Varible that contains the list of attached section three attachments -->
<#assign exposureEstimationWorkers = [	
	{'sectionNr': '3.5.1', 'sectionName': 'Manufacture', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Manufacturer', 'attachmentNamePath': 'ExpWorkers.Attachment'},
	{'sectionNr': '3.5.2', 'sectionName': 'Formulation or re-packing', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Formulation', 'attachmentNamePath': 'ExpWorkers.Attachment'},
	{'sectionNr': '3.5.3', 'sectionName': 'Uses at industrial sites', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'UseAtIndustrialSites', 'attachmentNamePath': 'ExpWorkers.Attachment'},
	{'sectionNr': '3.5.4', 'sectionName': 'Widespread uses by professional workers', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ProfessionalWorkers', 'attachmentNamePath': 'ExpWorkers.Attachment'},
	{'sectionNr': '3.5.6', 'sectionName': 'Service Life', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ArticleServiceLife', 'attachmentNamePath': 'ExpWorkers.Attachment'}
] />

<#-- Varible that contains the list of attached section three attachments -->
<#assign predictedExposureConcentrationConsumers = [	
	{'sectionNr': '3.5.6', 'sectionName': 'Service Life', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ArticleServiceLife', 'attachmentNamePath': 'ExposureAndRisk.Attachment'},
	{'sectionNr': '3.5.5', 'sectionName': 'Consumer Uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ConsumerUses', 'attachmentNamePath': 'ExposureAndRisk.Attachment'}	
] />

<#-- Varible that contains the list of attached section three attachments -->
<#assign exposureEstimateConcentrationConsumers = [	
	{'sectionNr': '3.5.5', 'sectionName': 'Consumer Uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ConsumerUses', 'attachmentNamePath': 'ExposureAndRisksToConsumers.Attachment'},
	{'sectionNr': '3.5.6', 'sectionName': 'Service Life', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ArticleServiceLife', 'attachmentNamePath': 'ExposureAndRisksToConsumers.Attachment'}	
] />

<#-- Varible that contains the list of attached product/process orientations -->
<#assign productProcessOrientationList = [	
	{'sectionNr': '1.9', 'sectionName': 'Product and process orientated research and development', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ProductResearchDevelopment', 'attachmentNamePath': 'Document'}
] />

<#-- Varible that contains the list of attached justifications -->
<#assign justificationAttachmentList = [
	{'sectionNr': '3.9.1', 'sectionName': 'Emissions from preservative-treated wood', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EmissionsFromPreservativeTreatedWood', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.1', 'sectionName': 'Appearance / physical state / colour', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneralInformation', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.2', 'sectionName': 'Melting point / freezing point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Melting', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.3', 'sectionName': 'Boiling point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BoilingPoint', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.4', 'sectionName': 'Density', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Density', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.5', 'sectionName': 'Particle size distribution (Granulometry)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Granulometry', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.6', 'sectionName': 'Vapour pressure', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Vapour', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.7', 'sectionName': 'Partition coefficient', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Partition', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.8', 'sectionName': 'Water solubility', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'WaterSolubility', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.9', 'sectionName': 'Solubility in organic solvents / fat solubility', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SolubilityOrganic', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.10', 'sectionName': 'Surface tension', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SurfaceTension', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.11', 'sectionName': 'Flash point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'FlashPoint', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.12', 'sectionName': 'Auto flammability', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AutoFlammability', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.13', 'sectionName': 'Flammability', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Flammability', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.14', 'sectionName': 'Explosiveness', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Explosiveness', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.15', 'sectionName': 'Oxidising properties', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OxidisingProperties', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.16', 'sectionName': 'Oxidation reduction potential', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OxidationReduction', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.17', 'sectionName': 'Stability in organic solvents and identity of relevant degradation products', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StabilityOrganic', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.18', 'sectionName': 'Storage stability and reactivity towards container material', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StorageStability', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.19', 'sectionName': 'Stability: thermal, sunlight, metals', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StabilityThermal', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.20', 'sectionName': 'pH', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Ph', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.21', 'sectionName': 'Dissociation constant', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DissociationConstant', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.22', 'sectionName': 'Viscosity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Viscosity', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.23', 'sectionName': 'Self-reactive substances', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SelfReactiveSubstances', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.24', 'sectionName': 'Organic peroxide', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OrganicPeroxide', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.25', 'sectionName': 'Corrosive to metals', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CorrosiveToMetals', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.26', 'sectionName': 'Gases under pressure', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GasesUnderPressure', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.27', 'sectionName': 'Additional physico-chemical information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalPhysicoChemical', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.28.1', 'sectionName': 'Nanomaterial agglomeration / aggregation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AgglomerationAggregation', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.28.2', 'sectionName': 'Nanomaterial crystalline phase', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CrystallinePhase', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.28.3', 'sectionName': 'Nanomaterial crystallite and grain size', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CrystalliteGrainSize', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.28.4', 'sectionName': 'Nanomaterial aspect ratio / shape', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AspectRatioShape', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.28.5', 'sectionName': 'Nanomaterial specific surface area', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SpecificSurfaceArea', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.28.6', 'sectionName': 'Nanomaterial Zeta potential', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ZetaPotential', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.28.7', 'sectionName': 'Nanomaterial surface chemistry', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SurfaceChemistry', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.28.8', 'sectionName': 'Nanomaterial dustiness', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Dustiness', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.28.9', 'sectionName': 'Nanomaterial porosity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Porosity', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.28.10', 'sectionName': 'Nanomaterial pour density', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PourDensity', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.28.11', 'sectionName': 'Nanomaterial photocatalytic activity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhotocatalyticActivity', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.28.12', 'sectionName': 'Nanomaterial radical formation potential', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RadicalFormationPotential', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '4.28.13', 'sectionName': 'Nanomaterial catalytic activity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CatalyticActivity', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '5.1.1', 'sectionName': 'Phototransformation in air', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhototransformationInAir', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '5.1.2', 'sectionName': 'Hydrolysis', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Hydrolysis', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '5.1.3', 'sectionName': 'Phototransformation in water', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Phototransformation', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '5.1.4', 'sectionName': 'Phototransformation in soil', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhotoTransformationInSoil', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '5.2.1', 'sectionName': 'Biodegradation in water: screening tests', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInWaterScreeningTests', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '5.2.2', 'sectionName': 'Biodegradation in water and sediment: simulation tests', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInWaterAndSedimentSimulationTests', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '5.2.3', 'sectionName': 'Biodegradation in soil', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInSoil', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '5.2.4', 'sectionName': 'Mode of degradation in actual use', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ModeOfDegradationInActualUse', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '5.3.1', 'sectionName': 'Bioaccumulation: aquatic / sediment', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BioaccumulationAquaticSediment', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '5.3.2', 'sectionName': 'Bioaccumulation: terrestrial', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BioaccumulationTerrestrial', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '5.4.1', 'sectionName': 'Adsorption / desorption', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdsorptionDesorption', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '5.4.2', 'sectionName': 'Henry\'s Law constant', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'HenrysLawConstant', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '5.4.3', 'sectionName': 'Distribution modelling', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DistributionModelling', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '5.4.4', 'sectionName': 'Other distribution data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OtherDistributionData', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '5.5.1', 'sectionName': 'Monitoring data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MonitoringData', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '5.5.2', 'sectionName': 'Field studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'FieldStudies', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '5.6', 'sectionName': 'Additional information on environmental fate and behaviour', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalInformationOnEnvironmentalFateAndBehaviour', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '6.1.1', 'sectionName': 'Short-term toxicity to fish', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ShortTermToxicityToFish', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '6.1.2', 'sectionName': 'Long-term toxicity to fish', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'LongTermToxToFish', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '6.1.3', 'sectionName': 'Short-term toxicity to aquatic invertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ShortTermToxicityToAquaInv', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '6.1.4', 'sectionName': 'Long-term toxicity to aquatic invertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'LongTermToxicityToAquaInv', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '6.1.5', 'sectionName': 'Toxicity to aquatic algae and cyanobacteria', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToAquaticAlgae', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '6.1.6', 'sectionName': 'Toxicity to aquatic plants other than algae', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToAquaticPlant', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '6.1.7', 'sectionName': 'Toxicity to microorganisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToMicroorganisms', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '6.1.8', 'sectionName': 'Toxicity to other aquatic vertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToOtherAqua', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '6.2', 'sectionName': 'Sediment toxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SedimentToxicity', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '6.3.1', 'sectionName': 'Toxicity to soil macroorganisms except arthropods', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToSoilMacroorganismsExceptArthropods', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '6.3.2', 'sectionName': 'Toxicity to terrestrial arthropods', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToTerrestrialArthropods', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '6.3.3', 'sectionName': 'Toxicity to terrestrial plants', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToTerrestrialPlants', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '6.3.4', 'sectionName': 'Toxicity to soil microorganisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToSoilMicroorganisms', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '6.3.5', 'sectionName': 'Toxicity to birds', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToBirds', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '6.3.6', 'sectionName': 'Toxicity to other above-ground organisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToOtherAboveGroundOrganisms', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '6.4', 'sectionName': 'Biological effects monitoring', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiologicalEffectsMonitoring', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '6.5', 'sectionName': 'Biotransformation and kinetics', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiotransformationAndKinetics', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '6.6', 'sectionName': 'Additional ecotoxicological information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalEcotoxicologicalInformation', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.1.1', 'sectionName': 'Basic toxicokinetics', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BasicToxicokinetics', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.1.2', 'sectionName': 'Dermal absorption', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DermalAbsorption', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.2.1', 'sectionName': 'Acute toxicity: oral', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityOral', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.2.2', 'sectionName': 'Acute toxicity: inhalation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityInhalation', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.2.3', 'sectionName': 'Acute toxicity: dermal', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityDermal', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.2.4', 'sectionName': 'Acute toxicity: other routes', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityOtherRoutes', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.3.1', 'sectionName': 'Skin irritation / corrosion', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SkinIrritationCorrosion', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.3.2', 'sectionName': 'Eye irritation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EyeIrritation', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.4.1', 'sectionName': 'Skin sensitisation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SkinSensitisation', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.4.2', 'sectionName': 'Respiratory sensitisation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RespiratorySensitisation', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.5.1', 'sectionName': 'Repeated dose toxicity: oral', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityOral', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.5.2', 'sectionName': 'Repeated dose toxicity: inhalation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityInhalation', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.5.3', 'sectionName': 'Repeated dose toxicity: dermal', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityDermal', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.5.4', 'sectionName': 'Repeated dose toxicity: other routes', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityOther', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.6.1', 'sectionName': 'Genetic toxicity in vitro', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneticToxicityVitro', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.6.2', 'sectionName': 'Genetic toxicity in vivo', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneticToxicityVivo', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.7', 'sectionName': 'Carcinogenicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Carcinogenicity', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.8.1', 'sectionName': 'Toxicity to reproduction', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityReproduction', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.8.2', 'sectionName': 'Developmental toxicity / teratogenicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DevelopmentalToxicityTeratogenicity', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.8.3', 'sectionName': 'Toxicity to reproduction: other studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityReproductionOther', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.9.1', 'sectionName': 'Neurotoxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Neurotoxicity', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.9.2', 'sectionName': 'Immunotoxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Immunotoxicity', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.9.3', 'sectionName': 'Specific investigations: other studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SpecificInvestigations', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.10.1', 'sectionName': 'Health surveillance data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'HealthSurveillanceData', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.10.2', 'sectionName': 'Epidemiological data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EpidemiologicalData', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.10.3', 'sectionName': 'Direct observations: clinical cases, poisoning incidents and other', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DirectObservationsClinicalCases', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.10.4', 'sectionName': 'Sensitisation data (humans)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SensitisationData', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.10.5', 'sectionName': 'Exposure related observations in humans: other data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ExposureRelatedObservationsOther', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.11', 'sectionName': 'Toxic effects on livestock and pets', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicEffectsLivestock', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '7.12', 'sectionName': 'Additional toxicological information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalToxicologicalInformation', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '8', 'sectionName': 'Analytical methods', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AnalyticalMethods', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '9.1.1', 'sectionName': 'Metabolism in livestock', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MetabolismInLivestock', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '9.1.2', 'sectionName': 'Metabolism in crops', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MetabolismInCrops', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '9.1.3', 'sectionName': 'Metabolism in rotational crops', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MetabolismInRotationalCrops', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '9.2.1', 'sectionName': 'Residues in livestock', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ResiduesInLivestock', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '9.2.2', 'sectionName': 'Residues in rotational crops', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ResiduesInRotationalCrops', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '9.3', 'sectionName': 'Migration of residues into and their behaviour on food or feedingstuffs', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MigrationOfResidues', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '9.4', 'sectionName': 'Expected exposure and proposed acceptable residues', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ExpectedExposureAndProposedAcceptableResidues', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '9.5', 'sectionName': 'Additional information on residues in food and feedingstuffs', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalInfoOnResiduesInFood', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '10.1', 'sectionName': 'Effectiveness against target organisms and intented uses - general information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EffectivenessAgainstTargetOrganisms', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'},
	{'sectionNr': '10.2', 'sectionName': 'Efficacy data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EfficacyData', 'attachmentNamePath': 'AttachedJustification', 'remarks': 'ReasonPurpose'}
] />

<#assign compositionList = [
	{'sectionNr': '1.2', 'sectionName': 'Composition', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'SubstanceComposition', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'}
] />

<#assign substanceBackgroundMaterialList = [
	{'sectionNr': '3.9.1', 'sectionName': 'Emissions from preservative-treated wood', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EmissionsFromPreservativeTreatedWood', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.1', 'sectionName': 'Appearance / physical state / colour', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneralInformation', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.2', 'sectionName': 'Melting point / freezing point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Melting', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.3', 'sectionName': 'Boiling point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BoilingPoint', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.4', 'sectionName': 'Density', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Density', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.5', 'sectionName': 'Particle size distribution (Granulometry)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Granulometry', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.6', 'sectionName': 'Vapour pressure', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Vapour', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.7', 'sectionName': 'Partition coefficient', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Partition', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.8', 'sectionName': 'Water solubility', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'WaterSolubility', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.9', 'sectionName': 'Solubility in organic solvents / fat solubility', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SolubilityOrganic', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.10', 'sectionName': 'Surface tension', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SurfaceTension', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.11', 'sectionName': 'Flash point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'FlashPoint', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.12', 'sectionName': 'Auto flammability', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AutoFlammability', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.13', 'sectionName': 'Flammability', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Flammability', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.14', 'sectionName': 'Explosiveness', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Explosiveness', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.15', 'sectionName': 'Oxidising properties', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OxidisingProperties', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.16', 'sectionName': 'Oxidation reduction potential', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OxidationReduction', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.17', 'sectionName': 'Stability in organic solvents and identity of relevant degradation products', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StabilityOrganic', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.18', 'sectionName': 'Storage stability and reactivity towards container material', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StorageStability', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.19', 'sectionName': 'Stability: thermal, sunlight, metals', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StabilityThermal', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.20', 'sectionName': 'pH', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Ph', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.21', 'sectionName': 'Dissociation constant', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DissociationConstant', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.22', 'sectionName': 'Viscosity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Viscosity', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.23', 'sectionName': 'Self-reactive substances', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SelfReactiveSubstances', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.24', 'sectionName': 'Organic peroxides', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OrganicPeroxide', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},	
	{'sectionNr': '4.25', 'sectionName': 'Corrosive to metals', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CorrosiveToMetals', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.26', 'sectionName': 'Gases under pressure', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GasesUnderPressure', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.27', 'sectionName': 'Additional physico-chemical information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalPhysicoChemical', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.28.1', 'sectionName': 'Nanomaterial agglomeration / aggregation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AgglomerationAggregation', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.28.2', 'sectionName': 'Nanomaterial crystalline phase', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CrystallinePhase', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.28.3', 'sectionName': 'Nanomaterial crystallite and grain size', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CrystalliteGrainSize', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.28.4', 'sectionName': 'Nanomaterial aspect ratio / shape', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AspectRatioShape', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.28.5', 'sectionName': 'Nanomaterial specific surface area', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SpecificSurfaceArea', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.28.6', 'sectionName': 'Nanomaterial Zeta potential', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ZetaPotential', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.28.7', 'sectionName': 'Nanomaterial surface chemistry', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SurfaceChemistry', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.28.8', 'sectionName': 'Nanomaterial dustiness', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Dustiness', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.28.9', 'sectionName': 'Nanomaterial porosity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Porosity', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.28.10', 'sectionName': 'Nanomaterial pour density', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PourDensity', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.28.11', 'sectionName': 'Nanomaterial photocatalytic activity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhotocatalyticActivity', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.28.12', 'sectionName': 'Nanomaterial radical formation potential', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RadicalFormationPotential', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '4.28.13', 'sectionName': 'Nanomaterial catalytic activity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CatalyticActivity', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '5.1.1', 'sectionName': 'Phototransformation in air', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhototransformationInAir', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '5.1.2', 'sectionName': 'Hydrolysis', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Hydrolysis', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '5.1.3', 'sectionName': 'Phototransformation in water', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Phototransformation', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '5.1.4', 'sectionName': 'Phototransformation in soil', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhotoTransformationInSoil', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '5.2.1', 'sectionName': 'Biodegradation in water: screening tests', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInWaterScreeningTests', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '5.2.2', 'sectionName': 'Biodegradation in water and sediment: simulation tests', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInWaterAndSedimentSimulationTests', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '5.2.3', 'sectionName': 'Biodegradation in soil', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInSoil', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '5.2.4', 'sectionName': 'Mode of degradation in actual use', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ModeOfDegradationInActualUse', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '5.3.1', 'sectionName': 'Bioaccumulation: aquatic / sediment', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BioaccumulationAquaticSediment', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '5.3.2', 'sectionName': 'Bioaccumulation: terrestrial', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BioaccumulationTerrestrial', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '5.4.1', 'sectionName': 'Adsorption / desorption', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdsorptionDesorption', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '5.4.2', 'sectionName': 'Henry\'s Law constant', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'HenrysLawConstant', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '5.4.3', 'sectionName': 'Distribution modelling', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DistributionModelling', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '5.4.4', 'sectionName': 'Other distribution data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OtherDistributionData', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '5.5.1', 'sectionName': 'Monitoring data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MonitoringData', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '5.5.2', 'sectionName': 'Field studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'FieldStudies', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '5.6', 'sectionName': 'Additional information on environmental fate and behaviour', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalInformationOnEnvironmentalFateAndBehaviour', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '6.1.1', 'sectionName': 'Short-term toxicity to fish', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ShortTermToxicityToFish', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '6.1.2', 'sectionName': 'Long-term toxicity to fish', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'LongTermToxToFish', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '6.1.3', 'sectionName': 'Short-term toxicity to aquatic invertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ShortTermToxicityToAquaInv', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '6.1.4', 'sectionName': 'Long-term toxicity to aquatic invertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'LongTermToxicityToAquaInv', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '6.1.5', 'sectionName': 'Toxicity to aquatic algae and cyanobacteria', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToAquaticAlgae', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '6.1.6', 'sectionName': 'Toxicity to aquatic plants other than algae', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToAquaticPlant', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '6.1.7', 'sectionName': 'Toxicity to microorganisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToMicroorganisms', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '6.1.8', 'sectionName': 'Toxicity to other aquatic vertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToOtherAqua', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '6.2', 'sectionName': 'Sediment toxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SedimentToxicity', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '6.3.1', 'sectionName': 'Toxicity to soil macroorganisms except arthropods', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToSoilMacroorganismsExceptArthropods', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '6.3.2', 'sectionName': 'Toxicity to terrestrial arthropods', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToTerrestrialArthropods', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '6.3.3', 'sectionName': 'Toxicity to terrestrial plants', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToTerrestrialPlants', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '6.3.4', 'sectionName': 'Toxicity to soil microorganisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToSoilMicroorganisms', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '6.3.5', 'sectionName': 'Toxicity to birds', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToBirds', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '6.3.6', 'sectionName': 'Toxicity to other above-ground organisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToOtherAboveGroundOrganisms', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '6.4', 'sectionName': 'Biological effects monitoring', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiologicalEffectsMonitoring', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '6.5', 'sectionName': 'Biotransformation and kinetics', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiotransformationAndKinetics', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '6.6', 'sectionName': 'Additional ecotoxicological information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalEcotoxicologicalInformation', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.1.1', 'sectionName': 'Basic toxicokinetics', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BasicToxicokinetics', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.1.2', 'sectionName': 'Dermal absorption', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DermalAbsorption', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.2.1', 'sectionName': 'Acute toxicity: oral', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityOral', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.2.2', 'sectionName': 'Acute toxicity: inhalation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityInhalation', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.2.3', 'sectionName': 'Acute toxicity: dermal', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityDermal', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.2.4', 'sectionName': 'Acute toxicity: other routes', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityOtherRoutes', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.3.1', 'sectionName': 'Skin irritation / corrosion', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SkinIrritationCorrosion', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.3.2', 'sectionName': 'Eye irritation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EyeIrritation', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.4.1', 'sectionName': 'Skin sensitisation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SkinSensitisation', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.4.2', 'sectionName': 'Respiratory sensitisation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RespiratorySensitisation', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.5.1', 'sectionName': 'Repeated dose toxicity: oral', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityOral', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.5.2', 'sectionName': 'Repeated dose toxicity: inhalation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityInhalation', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.5.3', 'sectionName': 'Repeated dose toxicity: dermal', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityDermal', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.5.4', 'sectionName': 'Repeated dose toxicity: other routes', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityOther', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.6.1', 'sectionName': 'Genetic toxicity in vitro', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneticToxicityVitro', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.6.2', 'sectionName': 'Genetic toxicity in vivo', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneticToxicityVivo', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.7', 'sectionName': 'Carcinogenicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Carcinogenicity', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.8.1', 'sectionName': 'Toxicity to reproduction', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityReproduction', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.8.2', 'sectionName': 'Developmental toxicity / teratogenicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DevelopmentalToxicityTeratogenicity', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.8.3', 'sectionName': 'Toxicity to reproduction: other studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityReproductionOther', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.9.1', 'sectionName': 'Neurotoxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Neurotoxicity', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.9.2', 'sectionName': 'Immunotoxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Immunotoxicity', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.9.3', 'sectionName': 'Specific investigations: other studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SpecificInvestigations', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.10.1', 'sectionName': 'Health surveillance data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'HealthSurveillanceData', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.10.2', 'sectionName': 'Epidemiological data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EpidemiologicalData', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.10.3', 'sectionName': 'Direct observations: clinical cases, poisoning incidents and other', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DirectObservationsClinicalCases', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.10.4', 'sectionName': 'Sensitisation data (humans)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SensitisationData', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.10.5', 'sectionName': 'Exposure related observations in humans: other data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ExposureRelatedObservationsOther', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.11', 'sectionName': 'Toxic effects on livestock and pets', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicEffectsLivestock', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '7.12', 'sectionName': 'Additional toxicological information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalToxicologicalInformation', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '8', 'sectionName': 'Analytical methods', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AnalyticalMethods', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '9.1.1', 'sectionName': 'Metabolism in livestock', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MetabolismInLivestock', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '9.1.2', 'sectionName': 'Metabolism in crops', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MetabolismInCrops', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '9.1.3', 'sectionName': 'Metabolism in rotational crops', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MetabolismInRotationalCrops', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '9.2.1', 'sectionName': 'Residues in livestock', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ResiduesInLivestock', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '9.2.2', 'sectionName': 'Residues in rotational crops', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ResiduesInRotationalCrops', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '9.3', 'sectionName': 'Migration of residues into and their behaviour on food or feedingstuffs', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MigrationOfResidues', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '9.4', 'sectionName': 'Expected exposure and proposed acceptable residues', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ExpectedExposureAndProposedAcceptableResidues', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '9.5', 'sectionName': 'Additional information on residues in food and feedingstuffs', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalInfoOnResiduesInFood', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '10.1', 'sectionName': 'Effectiveness against target organisms and intented uses - general information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EffectivenessAgainstTargetOrganisms', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'},
	{'sectionNr': '10.2', 'sectionName': 'Efficacy data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EfficacyData', 'attachmentNamePath': 'AttachedDocument', 'remarks': 'Remarks'}
] />

<#-- Varible that contains the list of informaiton panel attachments that can appear in a Substance dataset or dossier -->
<#assign informationPanelSubstanceList = [
	{'sectionNr': '1.1', 'sectionName': 'Identification', 'docType': 'FIXED_RECORD', 'docSubType': 'SUBSTANCE'}
] />
	
<#-- Varible that contains the list of informaiton panel attachments that can appear in a Substance dataset or dossier -->
<#assign informationPanelList = [	
	{'sectionNr': '1', 'sectionName': 'Appearance / physical state / colour', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneralInformation'},
	{'sectionNr': '2', 'sectionName': 'Additional physico-chemical information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalPhysicoChemical'},
	{'sectionNr': '3', 'sectionName': 'Bioaccumulation: terrestrial', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BioaccumulationTerrestrial'},
	{'sectionNr': '4', 'sectionName': 'Short-term toxicity to fish', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ShortTermToxicityToFish'},
	{'sectionNr': '4', 'sectionName': 'Physical and chemical properties', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'PhysicalChemicalProperties'},
	{'sectionNr': '5', 'sectionName': 'Toxicity to soil microorganisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToSoilMicroorganisms'},
	{'sectionNr': '5', 'sectionName': 'Environmental fate and pathways', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'EnvironmentalFateAndPathways'},
	{'sectionNr': '6', 'sectionName': 'Acute toxicity: other routes', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityOtherRoutes'},
	{'sectionNr': '6', 'sectionName': 'Ecotoxicological information', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'EcotoxicologicalInformation'},
	{'sectionNr': '7', 'sectionName': 'Toxicity to reproduction', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityReproduction'},
	{'sectionNr': '7', 'sectionName': 'Toxicological information', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'DataTox'},
	{'sectionNr': '8', 'sectionName': 'Exposure related observations in humans: other data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ExposureRelatedObservationsOther'},
	{'sectionNr': '8', 'sectionName': 'Analytical methods', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AnalyticalMethods'},
	{'sectionNr': '9', 'sectionName': 'Magnitude of residues in processed commodities (including pollen and bee products)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ResiduesProcessedCommodities'},
	{'sectionNr': '9', 'sectionName': 'Residues in food and feedingstuffs', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ResiduesInFoodAndFeedingstuffs'},
	{'sectionNr': '10', 'sectionName': 'Surface tension', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SurfaceTension'},
	{'sectionNr': '10', 'sectionName': 'Effectiveness against target organisms', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'EffectivenessAgainstTargetOrganisms'},
	{'sectionNr': '11', 'sectionName': 'Guidance on safe use', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'GuidanceOnSafeUse'},
	{'sectionNr': '12', 'sectionName': 'Oxidising properties', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OxidisingProperties'},
	{'sectionNr': '12', 'sectionName': 'Literature search', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'LiteratureSearch'},
	{'sectionNr': '13', 'sectionName': 'Oxidation reduction potential', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OxidationReduction'},
	{'sectionNr': '13', 'sectionName': 'Stability in organic solvents and identity of relevant degradation products', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StabilityOrganic'},
	{'sectionNr': '13', 'sectionName': 'Assessment reports', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'AssessmentReports'},
	{'sectionNr': '14', 'sectionName': 'Storage stability and reactivity towards container material', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StorageStability'},
	{'sectionNr': '15', 'sectionName': 'Stability: thermal, sunlight, metals', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StabilityThermal'},
	{'sectionNr': '16', 'sectionName': 'Melting point / freezing point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Melting'},
	{'sectionNr': '17', 'sectionName': 'pH', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Ph'},
	{'sectionNr': '18', 'sectionName': 'Dissociation constant', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DissociationConstant'},
	{'sectionNr': '19', 'sectionName': 'Viscosity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Viscosity'},
	{'sectionNr': '20', 'sectionName': 'Self-reactive substances', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SelfReactiveSubstances'},
	{'sectionNr': '21', 'sectionName': 'Organic peroxide', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OrganicPeroxide'},
	{'sectionNr': '22', 'sectionName': 'Corrosive to metals', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CorrosiveToMetals'},
	{'sectionNr': '23', 'sectionName': 'Gases under pressure', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GasesUnderPressure'},
	{'sectionNr': '24', 'sectionName': 'Hydrolysis', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Hydrolysis'},
	{'sectionNr': '25', 'sectionName': 'Biodegradation in water and sediment: simulation tests', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInWaterAndSedimentSimulationTests'},
	{'sectionNr': '25', 'sectionName': 'Phototransformation in water', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Phototransformation'},
	{'sectionNr': '26', 'sectionName': 'Boiling point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BoilingPoint'},
	{'sectionNr': '26', 'sectionName': 'Phototransformation in soil', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhotoTransformationInSoil'},
	{'sectionNr': '27', 'sectionName': 'Biodegradation in soil', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInSoil'},
	{'sectionNr': '27', 'sectionName': 'Biodegradation in water: screening tests', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInWaterScreeningTests'},
	{'sectionNr': '28', 'sectionName': 'Mode of degradation in actual use', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ModeOfDegradationInActualUse'},
	{'sectionNr': '29', 'sectionName': 'Bioaccumulation: aquatic / sediment', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BioaccumulationAquaticSediment'},
	{'sectionNr': '30', 'sectionName': 'Adsorption / desorption', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdsorptionDesorption'},
	{'sectionNr': '31', 'sectionName': 'Henry\'s Law constant', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'HenrysLawConstant'},
	{'sectionNr': '32', 'sectionName': 'Distribution modelling', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DistributionModelling'},
	{'sectionNr': '33', 'sectionName': 'Other distribution data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OtherDistributionData'},
	{'sectionNr': '34', 'sectionName': 'Monitoring data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MonitoringData'},
	{'sectionNr': '35', 'sectionName': 'Field studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'FieldStudies'},
	{'sectionNr': '36', 'sectionName': 'Density', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Density'},
	{'sectionNr': '37', 'sectionName': 'Additional information on environmental fate and behaviour', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalInformationOnEnvironmentalFateAndBehaviour'},
	{'sectionNr': '38', 'sectionName': 'Phototransformation in air', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhototransformationInAir'},
	{'sectionNr': '39', 'sectionName': 'Dispersion stability of nanomaterials', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DispStabilityNanomaterials'},
	{'sectionNr': '40', 'sectionName': 'Long-term toxicity to fish', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'LongTermToxToFish'},
	{'sectionNr': '41', 'sectionName': 'Toxicity to aquatic algae and cyanobacteria', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToAquaticAlgae'},
	{'sectionNr': '42', 'sectionName': 'Toxicity to aquatic plants other than algae', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToAquaticPlant'},
	{'sectionNr': '43', 'sectionName': 'Toxicity to microorganisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToMicroorganisms'},
	{'sectionNr': '44', 'sectionName': 'Toxicity to other aquatic vertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToOtherAqua'},
	{'sectionNr': '45', 'sectionName': 'Endocrine disrupter testing in aquatic vertebrates – in vivo', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EndocrineDisrupterTestingInAqua'},
	{'sectionNr': '46', 'sectionName': 'Sediment toxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SedimentToxicity'},
	{'sectionNr': '47', 'sectionName': 'Particle size distribution (Granulometry)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Granulometry'},
	{'sectionNr': '48', 'sectionName': 'Toxicity to soil macroorganisms except arthropods', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToSoilMacroorganismsExceptArthropods'},
	{'sectionNr': '49', 'sectionName': 'Toxicity to terrestrial plants', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToTerrestrialPlants'},
	{'sectionNr': '51', 'sectionName': 'Biological effects monitoring', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiologicalEffectsMonitoring'},
	{'sectionNr': '52', 'sectionName': 'Biotransformation and kinetics', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiotransformationAndKinetics'},
	{'sectionNr': '53', 'sectionName': 'Additional ecotoxicological information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalEcotoxicologicalInformation'},
	{'sectionNr': '54', 'sectionName': 'Basic toxicokinetics', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BasicToxicokinetics'},
	{'sectionNr': '55', 'sectionName': 'Dermal absorption', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DermalAbsorption'},
	{'sectionNr': '56', 'sectionName': 'Vapour pressure', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Vapour'},
	{'sectionNr': '57', 'sectionName': 'Acute toxicity: oral', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityOral'},
	{'sectionNr': '58', 'sectionName': 'Acute toxicity: inhalation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityInhalation'},
	{'sectionNr': '59', 'sectionName': 'Acute toxicity: dermal', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityDermal'},
	{'sectionNr': '60', 'sectionName': 'Skin irritation / corrosion', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SkinIrritationCorrosion'},
	{'sectionNr': '61', 'sectionName': 'Eye irritation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EyeIrritation'},
	{'sectionNr': '62', 'sectionName': 'Skin sensitisation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SkinSensitisation'},
	{'sectionNr': '63', 'sectionName': 'Respiratory sensitisation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RespiratorySensitisation'},
	{'sectionNr': '64', 'sectionName': 'Phototoxicity in vitro', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhototoxicityVitro'},
	{'sectionNr': '65', 'sectionName': 'Repeated dose toxicity: oral', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityOral'},
	{'sectionNr': '67', 'sectionName': 'Partition coefficient', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Partition'},
	{'sectionNr': '68', 'sectionName': 'Genetic toxicity in vitro', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneticToxicityVitro'},
	{'sectionNr': '70', 'sectionName': 'Developmental toxicity / teratogenicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DevelopmentalToxicityTeratogenicity'},
	{'sectionNr': '71', 'sectionName': 'Toxicity to reproduction: other studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityReproductionOther'},
	{'sectionNr': '72', 'sectionName': 'Endocrine disrupter mammalian screening – in vivo', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EndocrineDisrupterMammalianScreening'},
	{'sectionNr': '73', 'sectionName': 'Neurotoxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Neurotoxicity'},
	{'sectionNr': '74', 'sectionName': 'Immunotoxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Immunotoxicity'},
	{'sectionNr': '75', 'sectionName': 'Specific investigations: other studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SpecificInvestigations'},
	{'sectionNr': '76', 'sectionName': 'Water solubility', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'WaterSolubility'},
	{'sectionNr': '77', 'sectionName': 'Epidemiological data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EpidemiologicalData'},
	{'sectionNr': '78', 'sectionName': 'Direct observations: clinical cases, poisoning incidents and other', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DirectObservationsClinicalCases'},
	{'sectionNr': '79', 'sectionName': 'Sensitisation data (humans)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SensitisationData'},
	{'sectionNr': '80', 'sectionName': 'Toxic effects on livestock and pets', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicEffectsLivestock'},
	{'sectionNr': '81', 'sectionName': 'Migration of residues into and their behaviour on food or feedingstuffs', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MigrationOfResidues'},
	{'sectionNr': '82', 'sectionName': 'Stability of residues in stored commodities', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StabilityOfResiduesInStoredCommod'},
	{'sectionNr': '83', 'sectionName': 'Metabolism of residues in livestock', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MetabolismInLivestock'},
	{'sectionNr': '84', 'sectionName': 'Metabolism of residues in crops and in rotational crops', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MetabolismInCrops'},
	{'sectionNr': '86', 'sectionName': 'Solubility in organic solvents / fat solubility', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SolubilityOrganic'},
	{'sectionNr': '87', 'sectionName': 'Emissions from preservative-treated wood', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EmissionsFromPreservativeTreatedWood'},
	{'sectionNr': '88', 'sectionName': 'Aged sorption EU_PPP', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AgedSorption'},
	{'sectionNr': '89', 'sectionName': 'Degree of dissolution and dilution stability', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DegreeOfDissolutionAndDilutionStability'},
	{'sectionNr': '90', 'sectionName': 'Physical and chemical compatibility with other products', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhysicalChemicalCompatibility'},
	{'sectionNr': '101', 'sectionName': 'Nanomaterial agglomeration / aggregation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AgglomerationAggregation'},
	{'sectionNr': '101', 'sectionName': 'Nanomaterial specific surface area', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SpecificSurfaceArea'},
	{'sectionNr': '102', 'sectionName': 'Nanomaterial crystalline phase', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CrystallinePhase'},
	{'sectionNr': '102', 'sectionName': 'Nanomaterial Zeta potential', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ZetaPotential'},
	{'sectionNr': '103', 'sectionName': 'Nanomaterial crystallite and grain size', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CrystalliteGrainSize'},
	{'sectionNr': '103', 'sectionName': 'Nanomaterial surface chemistry', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SurfaceChemistry'},
	{'sectionNr': '104', 'sectionName': 'Nanomaterial aspect ratio / shape', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AspectRatioShape'},
	{'sectionNr': '104', 'sectionName': 'Nanomaterial dustiness', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Dustiness'},
	{'sectionNr': '105', 'sectionName': 'Nanomaterial porosity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Porosity'},
	{'sectionNr': '106', 'sectionName': 'Flash point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'FlashPoint'},
	{'sectionNr': '107', 'sectionName': 'Nanomaterial pour density', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PourDensity'},
	{'sectionNr': '108', 'sectionName': 'Nanomaterial photocatalytic activity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhotocatalyticActivity'},
	{'sectionNr': '109', 'sectionName': 'Nanomaterial radical formation potential', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RadicalFormationPotential'},
	{'sectionNr': '110', 'sectionName': 'Auto flammability', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AutoFlammability'},
	{'sectionNr': '111', 'sectionName': 'Technical characteristics of the product', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'TechnicalCharacteristics'},
	{'sectionNr': '112', 'sectionName': 'Flammability', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Flammability'},
	{'sectionNr': '113', 'sectionName': 'Explosiveness', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Explosiveness'},
	{'sectionNr': '113', 'sectionName': 'Nanomaterial catalytic activity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CatalyticActivity'},
	{'sectionNr': '201', 'sectionName': 'Intermediate effects', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'IntermediateEffects'},
	{'sectionNr': '301', 'sectionName': 'Manufacture - OHT', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Manufacture_OHT'},
	{'sectionNr': '302', 'sectionName': 'Formulation or re-packing - OHT', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Formulation_OHT'},
	{'sectionNr': '303', 'sectionName': 'Uses at industrial sites - OHT', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'UseAtIndustrialSites_OHT'},
	{'sectionNr': '304', 'sectionName': 'Widespread uses by professional workers - OHT', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ProfessionalWorkers_OHT'},
	{'sectionNr': '305', 'sectionName': 'Consumer uses - OHT', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ConsumerUses_OHT'},
	{'sectionNr': '306', 'sectionName': 'Article service life - OHT', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ArticleServiceLife_OHT'},
	{'sectionNr': '401', 'sectionName': 'Long-term toxicity to aquatic invertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'LongTermToxicityToAquaInv'},
	{'sectionNr': '401', 'sectionName': 'Short-term toxicity to aquatic invertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ShortTermToxicityToAquaInv'},
	{'sectionNr': '1,10', 'sectionName': '(group of) constituent in the registered substance', 'docType': 'ASSESSMENT_ENTITY', 'docSubType': 'GroupOfConstituentInTheRegisteredSubstance'},
	{'sectionNr': '1,10', 'sectionName': 'Registered substance as such', 'docType': 'ASSESSMENT_ENTITY', 'docSubType': 'RegisteredSubstanceAsSuch'},
	{'sectionNr': '1,10', 'sectionName': 'Specific composition / form of the registered substance', 'docType': 'ASSESSMENT_ENTITY', 'docSubType': 'SpecificCompositionOfTheRegisteredSubstance'},
	{'sectionNr': '1,10', 'sectionName': 'Transformation of the registered substance', 'docType': 'ASSESSMENT_ENTITY', 'docSubType': 'TransformationProductOfTheRegisteredSubstance'},
	{'sectionNr': '1,10', 'sectionName': 'Assessment approach', 'docType': 'FIXED_RECORD', 'docSubType': 'AssessmentApproach'},
	{'sectionNr': '1,2', 'sectionName': 'Composition', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'SubstanceComposition'},
	{'sectionNr': '1,2', 'sectionName': 'Composition (mixture)', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'MixtureComposition'},
	{'sectionNr': '1,2', 'sectionName': 'Product summary composition', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'ProductSummaryComposition'},
	{'sectionNr': '1,3', 'sectionName': 'Identifiers', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Identifiers'},
	{'sectionNr': '1,4', 'sectionName': 'Analytical information', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'AnalyticalInformation'},
	{'sectionNr': '1,5', 'sectionName': 'Joint submission', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'JointSubmission'},
	{'sectionNr': '1,6', 'sectionName': 'Sponsors', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Sponsor'},
	{'sectionNr': '1,7', 'sectionName': 'Suppliers', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Suppliers'},
	{'sectionNr': '1,8', 'sectionName': 'Recipients', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Recipients'},
	{'sectionNr': '1,9', 'sectionName': 'Product and process orientated research and development', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ProductResearchDevelopment'},
	{'sectionNr': '11,1', 'sectionName': 'Measures to protect humans, animals and the environment', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ProtectionMeasures'},
	{'sectionNr': '2,1', 'sectionName': 'GHS', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Ghs'},
	{'sectionNr': '2,2', 'sectionName': 'DSD - DPD', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'DsdDpd'},
	{'sectionNr': '2,3', 'sectionName': 'PBT assessment - EU', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'PbtAssessment'},
	{'sectionNr': '2,3', 'sectionName': 'PBT assessment', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'PbtAssessment'},
	{'sectionNr': '2,4', 'sectionName': 'Packaging', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Packaging'},
	{'sectionNr': '3,2', 'sectionName': 'Estimated quantities', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'EstimatedQuantities'},
	{'sectionNr': '3,3', 'sectionName': 'Sites', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Sites'},
	{'sectionNr': '3,4', 'sectionName': 'Information on mixtures', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'InformationOfMixtures'},
	{'sectionNr': '3,5,0', 'sectionName': 'Use and exposure information relevant for all uses', 'docType': 'FIXED_RECORD', 'docSubType': 'NoIdentifiedUses'},
	{'sectionNr': '3,5,1', 'sectionName': 'Manufacture', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Manufacturer'},
	{'sectionNr': '3,5,2', 'sectionName': 'Formulation or re-packing', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Formulation'},
	{'sectionNr': '3,5,3', 'sectionName': 'Uses at industrial sites', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'UseAtIndustrialSites'},
	{'sectionNr': '3,5,4', 'sectionName': 'Widespread uses by professional workers', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ProfessionalWorkers'},
	{'sectionNr': '3,5,5', 'sectionName': 'Consumer uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ConsumerUses'},
	{'sectionNr': '3,5,6', 'sectionName': 'Article service life', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ArticleServiceLife'},
	{'sectionNr': '3,6,1', 'sectionName': 'Formulation or re-packing advised against', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'FormulationUsesAdvisedAgainst'},
	{'sectionNr': '3,6,2', 'sectionName': 'Uses at industrial sites advised against', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'UseAtIndustrialSitesAdvisedAgainst'},
	{'sectionNr': '3,6,3', 'sectionName': 'Widespread uses by professional workers advised against', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ProfessionalWorkersAdvisedAgainst'},
	{'sectionNr': '3,6,4', 'sectionName': 'Consumer uses advised against', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ConsumerUsesAdvisedAgainst'},
	{'sectionNr': '3,6,5', 'sectionName': 'Article service life advised against', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ArticleServiceLifeAdvisedAgainst'},
	{'sectionNr': '3,7', 'sectionName': 'Environmental assessment from aggregated sources', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'EnvironmentalAssessment'},
	{'sectionNr': '4,1', 'sectionName': 'Appearance / physical state / colour', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'GeneralInformation'},
	{'sectionNr': '4,1', 'sectionName': 'Surface tension', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'SurfaceTension'},
	{'sectionNr': '4,11', 'sectionName': 'Flash point', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'FlashPoint'},
	{'sectionNr': '4,12', 'sectionName': 'Auto flammability', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AutoFlammability'},
	{'sectionNr': '4,13', 'sectionName': 'Flammability', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Flammability'},
	{'sectionNr': '4,14', 'sectionName': 'Explosiveness', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Explosiveness'},
	{'sectionNr': '4,15', 'sectionName': 'Oxidising properties', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'OxidisingProperties'},
	{'sectionNr': '4,16', 'sectionName': 'Oxidation reduction potential', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'OxidReduction'},
	{'sectionNr': '4,17', 'sectionName': 'Stability in organic solvents and identity of relevant degradation products', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'StabilityOrganic'},
	{'sectionNr': '4,18', 'sectionName': 'Storage stability and reactivity towards container material', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'StorageStability'},
	{'sectionNr': '4,19', 'sectionName': 'Stability: thermal, sunlight, metals', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'StabilityThermal'},
	{'sectionNr': '4,2', 'sectionName': 'Melting point / freezing point', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Melting'},
	{'sectionNr': '4,2', 'sectionName': 'pH', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'pH'},
	{'sectionNr': '4,21', 'sectionName': 'Dissociation constant', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Dissociation'},
	{'sectionNr': '4,22', 'sectionName': 'Viscosity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Viscosity'},
	{'sectionNr': '4,23', 'sectionName': 'Self-reactive substances', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'SelfReactiveSubstances'},
	{'sectionNr': '4,24', 'sectionName': 'Organic peroxide', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'OrganicPeroxide'},
	{'sectionNr': '4,25', 'sectionName': 'Corrosive to metals', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'CorrosiveToMetals'},
	{'sectionNr': '4,26', 'sectionName': 'Gases under pressure', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'GasesUnderPressure'},
	{'sectionNr': '4,27', 'sectionName': 'Additional physico-chemical information', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AdditionalPhysicoChemical'},
	{'sectionNr': '4,28,1', 'sectionName': 'Nanomaterial agglomeration / aggregation', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AgglomerationAggregation'},
	{'sectionNr': '4,28,10', 'sectionName': 'Nanomaterial pour density', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'PourDensity'},
	{'sectionNr': '4,28,11', 'sectionName': 'Nanomaterial photocatalytic activity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'PhotocatalyticActivity'},
	{'sectionNr': '4,28,12', 'sectionName': 'Nanomaterial radical formation potential', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'RadicalFormationPotential'},
	{'sectionNr': '4,28,13', 'sectionName': 'Nanomaterial catalytic activity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'CatalyticActivity'},
	{'sectionNr': '4,28,2', 'sectionName': 'Nanomaterial crystalline phase', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'CrystallinePhase'},
	{'sectionNr': '4,28,3', 'sectionName': 'Nanomaterial crystallite and grain size', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'CrystalliteGrainSize'},
	{'sectionNr': '4,28,4', 'sectionName': 'Nanomaterial aspect ratio / shape', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AspectRatioShape'},
	{'sectionNr': '4,28,5', 'sectionName': 'Nanomaterial specific surface area', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'SpecificSurfaceArea'},
	{'sectionNr': '4,28,6', 'sectionName': 'Nanomaterial Zeta potential', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ZetaPotential'},
	{'sectionNr': '4,28,7', 'sectionName': 'Nanomaterial surface chemistry', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'SurfaceChemistry'},
	{'sectionNr': '4,28,8', 'sectionName': 'Nanomaterial dustiness', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Dustiness'},
	{'sectionNr': '4,28,9', 'sectionName': 'Nanomaterial porosity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Porosity'},
	{'sectionNr': '4,3', 'sectionName': 'Boiling point', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'BoilingPoint'},
	{'sectionNr': '4,4', 'sectionName': 'Density', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'PcDensity'},
	{'sectionNr': '4,5', 'sectionName': 'Particle size distribution (Granulometry)', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ParticleSize'},
	{'sectionNr': '4,6', 'sectionName': 'Vapour pressure', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Vapour'},
	{'sectionNr': '4,7', 'sectionName': 'Partition coefficient', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'PartitionCoefficient'},
	{'sectionNr': '4,8', 'sectionName': 'Water solubility', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'WaterSolubility'},
	{'sectionNr': '4,9', 'sectionName': 'Solubility in organic solvents / fat solubility', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'SolubilityOrganic'},
	{'sectionNr': '48-2', 'sectionName': 'Toxicity to terrestrial arthropods', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToTerrestrialArthropods'},
	{'sectionNr': '5,1', 'sectionName': 'Stability', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Stability'},
	{'sectionNr': '5,1,1', 'sectionName': 'Phototransformation in air', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'PhototransformationInAir'},
	{'sectionNr': '5,1,2', 'sectionName': 'Hydrolysis', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Hydrolysis'},
	{'sectionNr': '5,1,3', 'sectionName': 'Phototransformation in water', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'PhototransformationInWater'},
	{'sectionNr': '5,1,4', 'sectionName': 'Phototransformation in soil', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'PhototransformationInSoil'},
	{'sectionNr': '5,2', 'sectionName': 'Biodegradation', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Biodegradation'},
	{'sectionNr': '5,2,1', 'sectionName': 'Biodegradation in water: screening tests', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'BiodegradationInWaterScreeningTests'},
	{'sectionNr': '5,2,2', 'sectionName': 'Biodegradation in water and sediment: simulation tests', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'BiodegradationInWaterAndSedimentSimulationTests'},
	{'sectionNr': '5,2,3', 'sectionName': 'Biodegradation in soil', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'BiodegradationInSoil'},
	{'sectionNr': '5,2,4', 'sectionName': 'Mode of degradation in actual use', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ModeOfDegradationInActualUse'},
	{'sectionNr': '5,3', 'sectionName': 'Bioaccumulation', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Bioaccumulation'},
	{'sectionNr': '5,3,1', 'sectionName': 'Bioaccumulation: aquatic / sediment', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'BioaccumulationAquaticSediment'},
	{'sectionNr': '5,3,2', 'sectionName': 'Bioaccumulation: terrestrial', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'BioaccumulationTerrestrial'},
	{'sectionNr': '5,4', 'sectionName': 'Transport and distribution', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'TransportAndDistribution'},
	{'sectionNr': '5,4,1', 'sectionName': 'Adsorption / desorption', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AdsorptionDesorption'},
	{'sectionNr': '5,4,2', 'sectionName': 'Henry\'s Law constant', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'HenrysLawConstant'},
	{'sectionNr': '5,4,3', 'sectionName': 'Distribution modelling', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'DistributionModelling'},
	{'sectionNr': '5,4,4', 'sectionName': 'Other distribution data', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'OtherDistributionData'},
	{'sectionNr': '5,5', 'sectionName': 'Environmental data', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'EnvironmentalData'},
	{'sectionNr': '5,5,1', 'sectionName': 'Monitoring data', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'MonitoringData'},
	{'sectionNr': '5,5,2', 'sectionName': 'Field studies', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'FieldStudies'},
	{'sectionNr': '5,6', 'sectionName': 'Additional information on environmental fate and behaviour', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AdditionalInformationOnEnvironmentalFateAndBehaviour'},
	{'sectionNr': '5,7', 'sectionName': 'Dispersion stability of nanomaterials', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'DispStabilityNanomaterials'},
	{'sectionNr': '50-1', 'sectionName': 'Toxicity to birds', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToBirds'},
	{'sectionNr': '50-2', 'sectionName': 'Toxicity to other above-ground organisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToOtherAboveGroundOrganisms'},
	{'sectionNr': '6,1', 'sectionName': 'Aquatic toxicity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AquaticToxicity'},
	{'sectionNr': '6,1,1', 'sectionName': 'Short-term toxicity to fish', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ShortTermToxicityToFish'},
	{'sectionNr': '6,1,2', 'sectionName': 'Long-term toxicity to fish', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'LongTermToxicityToFish'},
	{'sectionNr': '6,1,3', 'sectionName': 'Short-term toxicity to aquatic invertebrates', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ShortTermToxicityToAquaticInvertebrates'},
	{'sectionNr': '6,1,4', 'sectionName': 'Long-term toxicity to aquatic invertebrates', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'LongTermToxicityToAquaticInvertebrates'},
	{'sectionNr': '6,1,5', 'sectionName': 'Toxicity to aquatic algae and cyanobacteria', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToAquaticAlgae'},
	{'sectionNr': '6,1,6', 'sectionName': 'Toxicity to aquatic plants other than algae', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityPlants'},
	{'sectionNr': '6,1,7', 'sectionName': 'Toxicity to microorganisms', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityMicroorganisms'},
	{'sectionNr': '6,1,9', 'sectionName': 'Toxicity to other aquatic organisms', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityOtherAquaOrganisms'},
	{'sectionNr': '6,2', 'sectionName': 'Sediment toxicity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'SedimentToxicity'},
	{'sectionNr': '6,3', 'sectionName': 'Terrestrial toxicity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'TerrestrialToxicity'},
	{'sectionNr': '6,3,1', 'sectionName': 'Toxicity to soil macroorganisms except arthropods', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToSoilMacroorganismsExceptArthropods'},
	{'sectionNr': '6,3,2', 'sectionName': 'Toxicity to terrestrial arthropods', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToTerrestrialArthropods'},
	{'sectionNr': '6,3,3', 'sectionName': 'Toxicity to terrestrial plants', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToTerrestrialPlants'},
	{'sectionNr': '6,3,4', 'sectionName': 'Toxicity to soil microorganisms', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToSoilMicroorganisms'},
	{'sectionNr': '6,3,5', 'sectionName': 'Toxicity to birds', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToBirds'},
	{'sectionNr': '6,3,6', 'sectionName': 'Toxicity to other above-ground organisms', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToOtherAboveGroundOrganisms'},
	{'sectionNr': '6,4', 'sectionName': 'Biological effects monitoring', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'BiologicalEffectsMonitoring'},
	{'sectionNr': '6,5', 'sectionName': 'Biotransformation and kinetics', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'BiotransformationAndKinetics'},
	{'sectionNr': '6,6', 'sectionName': 'Additional ecotoxicological information', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AdditionalEcotoxicologicalInformation'},
	{'sectionNr': '66-1', 'sectionName': 'Repeated dose toxicity: inhalation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityInhalation'},
	{'sectionNr': '66-2', 'sectionName': 'Repeated dose toxicity: dermal', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityDermal'},
	{'sectionNr': '66-3', 'sectionName': 'Repeated dose toxicity: other routes', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityOther'},
	{'sectionNr': '69-1', 'sectionName': 'Genetic toxicity in vivo', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneticToxicityVivo'},
	{'sectionNr': '69-2', 'sectionName': 'Carcinogenicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Carcinogenicity'},
	{'sectionNr': '7,1', 'sectionName': 'Exposure related observations in humans', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ExposureRelatedObservationsHumans'},
	{'sectionNr': '7,1', 'sectionName': 'Toxicokinetics, metabolism and distribution', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Toxicokinetics'},
	{'sectionNr': '7,11', 'sectionName': 'Toxic effects on livestock and pets', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicEffectsLivestockPets'},
	{'sectionNr': '7,12', 'sectionName': 'Additional toxicological information', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AdditionalToxicologicalInformation'},
	{'sectionNr': '7,2', 'sectionName': 'Acute Toxicity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AcuteToxicity'},
	{'sectionNr': '7,2,1', 'sectionName': 'Phototoxicity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Phototoxicity'},
	{'sectionNr': '7,3', 'sectionName': 'Irritation / corrosion', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'IrritationCorrosion'},
	{'sectionNr': '7,4', 'sectionName': 'Sensitisation', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Sensitisation'},
	{'sectionNr': '7,5', 'sectionName': 'Repeated dose toxicity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'RepeatedDoseToxicity'},
	{'sectionNr': '7,6', 'sectionName': 'Genetic toxicity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'GeneticToxicity'},
	{'sectionNr': '7,7', 'sectionName': 'Carcinogenicity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Carcinogenicity'},
	{'sectionNr': '7,8', 'sectionName': 'Toxicity to reproduction', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToReproduction'},
	{'sectionNr': '7,9,1', 'sectionName': 'Neurotoxicity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Neurotoxicity'},
	{'sectionNr': '7,9,2', 'sectionName': 'Immunotoxicity', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Immunotoxicity'},
	{'sectionNr': '7,9,4', 'sectionName': 'Specific investigations: other studies', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'SpecificInvestigationsOtherStudies'},
	{'sectionNr': '75-3', 'sectionName': 'Health surveillance data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'HealthSurveillanceData'},
	{'sectionNr': '85-1', 'sectionName': 'Residues in livestock', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ResiduesInLivestock'},
	{'sectionNr': '85-10', 'sectionName': 'Residues in crops (field trials) and in rotational crops (limited field studies)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ResiduesInRotationalCrops'},
	{'sectionNr': '85-2', 'sectionName': 'Expected exposure and proposed acceptable residues', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ExpectedExposureAndProposedAcceptableResidues'},
	{'sectionNr': '85-3', 'sectionName': 'Additional information on residue chemistry', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalInfoOnResiduesInFood'},
	{'sectionNr': '85-4', 'sectionName': 'Nature of residues in processed commodities', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'NatureResiduesInProcessedCommod'},
	{'sectionNr': '85-5', 'sectionName': 'Magnitude of residues in processed commodities', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MagnitudeResidInProcessedComm'},
	{'sectionNr': '85-6', 'sectionName': 'Additional toxicological information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalToxicologicalInformation'},
	{'sectionNr': '85-7', 'sectionName': 'Analytical methods', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AnalyticalMethods'},
	{'sectionNr': '85-8', 'sectionName': 'Effectiveness against target organisms and intended uses - general information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EffectivenessAgainstTargetOrganisms'},
	{'sectionNr': '85-9', 'sectionName': 'Efficacy data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EfficacyData'},
	{'sectionNr': '9,1', 'sectionName': 'Metabolism in livestock', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'MetabolismInLivestock'},
	{'sectionNr': '9,2', 'sectionName': 'Residues in livestock and crops', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ResiduesInLivestockAndCrop'},
	{'sectionNr': '9,3', 'sectionName': 'Migration of residues into and their behaviour on food or feedingstuffs', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'MigrationOfResiduesIntoAndTheirBehaviourOnFoodOrFeedingstuffs'},
	{'sectionNr': '9,4', 'sectionName': 'Expected exposure and proposed acceptable residues', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ExpectedExposureAndProposedAcceptableResidues'},
	{'sectionNr': '9,5', 'sectionName': 'Additional information on residue chemistry', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'AdditionalInformationOnResiduesInFoodAndFeedingstuffs'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Transport via air', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'TransportViaAir'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Bioaccumulation: aquatic / sediment EU_PPP', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'BioaccumulationAquaticSediment_EU_PPP'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Biodegradation in soil (EU PPP)', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'BiodegradationInSoil_EU_PPP'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Biodegradation in water and sediment: simulation tests (EU PPP)', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'BiodegradationInWaterAndSedimentSimulationTests_EU_PPP'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Definition of the residue for food of plant and animal origin', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ResidueFood'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Dermal absorption', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'DermalAbsorption'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Effects on biological methods for sewage treatment', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'EffectsBioMethodSewageTreatment'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Efficacy', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Efficacy'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Long-term toxicity to aquatic invertebrates EU_PPP', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'LongTermToxicityToAquaticInvertebrates_EU_PPP'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Long-term toxicity to fish EU_PPP', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'LongTermToxicityToFish_EU_PPP'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Magnitude of residues in plants', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'MagnitudeResiduesPlants'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Metabolism in plants', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'MetabolismPlants'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Nature and magnitude of residues in processed commodities', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'NatureMagnitudeResiduesProcessedCommodities'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Residues in livestock, feeding studies', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ResiduesLivestock'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Route of degradation in soil (EU PPP)', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'RouteDegSoil_EU_PPP'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Route of degradation in water and sediment (EU PPP)', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'RouteDegWaterSed_EU_PPP'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Sediment toxicity EU_PPP', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'SedimentToxicity_EU_PPP'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Short-term toxicity to aquatic invertebrates EU_PPP', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ShortTermToxicityAquaInvert_EU_PPP'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Short-term toxicity to fish EU_PPP', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'Short-termToxicityToFish_EU_PPP'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Stability of residues in stored commodities', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'StabilityResiduesCommodities'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Supplementary studies', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'SupplementaryStudies'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Toxicity to aquatic algae and cyanobacteria EU_PPP', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToAquaticAlgae_EU_PPP'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Toxicity to birds EU_PPP', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityBirds_EU_PPP'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Toxicity to other above-ground organisms (wild mammals) EU_PPP', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToOtherAboveGroundOrganisms_EU_PPP'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Toxicity to plants EU_PPP', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityPlants_EU_PPP'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Toxicity to soil macroorganisms except arthropods EU_PPP', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicitySoilMacroorganisms_EU_PPP'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Toxicity to terrestrial arthropods EU_PPP', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityTerrestrialArthropods_EU_PPP'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Toxicity to terrestrial plants EU_PPP', 'docType': 'ENDPOINT_SUMMARY', 'docSubType': 'ToxicityToTerrestrialPlants_EU_PPP'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Annex III criteria', 'docType': 'FIXED_RECORD', 'docSubType': 'AnnexIIICriteria'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Downstream user report', 'docType': 'FIXED_RECORD', 'docSubType': 'DownstreamUserReport'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Opt-out information for REACH registration', 'docType': 'FIXED_RECORD', 'docSubType': 'Optout'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Application for authorisation of uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'AuthorisationOfUses'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Assessment from other authorities', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'AssessmentOtherAuthorities'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Biological properties of the microorganism', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'BioPropertiesMicro'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Chemical Safety Report (CSR)', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ChemicalSafetyReport'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Commercial Evaluation Authorisation', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'CommercialEvaluationAuthorisation'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Directions for use', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'DirectionsForUse'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Environmental risk assessment', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'EnvironmentalRiskAssessment'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Good Agricultural Practices (GAP)', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'GAP'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Hazardous substance controls', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'HazardousSubstanceControls'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'HSNO Classification', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'HSNOClassification'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'HSW requirements', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'HSWRequirements'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Human health risk assessment', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'HumanHealthRiskAssessment'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Inquiry', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Inquiry'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Intended exclusive economic zone uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'IntendedEEZUses'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Intended general uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'IntendedGeneralUses'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Intended pesticide uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'IntendedPesticideUses'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Intended uses and exposure', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'BioIntendedUsesExposure'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Intended veterinary medicine uses', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'IntendedVetMedUses'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Manufacturer EU_PPP', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Manufacturer_EU_PPP'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'PBT Assessment - AU', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'PBTAssessment_AU'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Pre-Introduction Report', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'Pre-IntroductionReport'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Product information', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'ProductInfo'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Regulatory history', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'RegulatoryHistory'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'SDS information (mixtures)', 'docType': 'FLEXIBLE_RECORD', 'docSubType': 'SDSInfoMixtures'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Aquatic toxicity - RAC reporting', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'AquaticToxicityRacReporting'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Assessment of Endocrine Disrupting Properties of pesticides according to the ECHA/EFSA guidance', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'EndocrineDisruptingPropertiesAssessmentPest'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Definition of the residue (fate)', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'DefinitionResidueFate'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Ecotoxicological risk assessment of pesticides', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'EcotoxRiskAssessmentPesticides'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Estimation of concentrations from other routes of exposure', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'EstConcOtherRoutes'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Estimation of concentrations in ground water', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'EstConcGroundwater'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Estimation of concentrations in soil', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'EstConcSoil'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Estimation of concentrations in surface water and sediment', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'EstConcWaterSed'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Expected exposure', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'ExpectedExposure'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Likely tonnage to be placed on the market', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'LikelyTonnage'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Maximum Residue Limit proposal', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'MRLProposal'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Metabolites', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'Metabolites'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Non dietary exposure', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'NonDietaryExpo'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Relevant metabolites in ground water', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'RelevantMetabolitesGroundWater'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Summary and evaluation', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'BioSummaryEvaluation'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Summary and evaluation EU PPP', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'SummaryEvaluation_EU_PPP'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Toxicological profile for humans and animals', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'ToxicologicalProfile'},
	{'sectionNr': '(Regulatory specific numbering)', 'sectionName': 'Toxicological reference values', 'docType': 'FLEXIBLE_SUMMARY', 'docSubType': 'ToxRefValues'}
] />


<#-- Varibles that define mapping of section numbers -->
<#assign sortToCodeMap = {
	"sectionNr" : "3.9.1",
	"sectionNr" : "6.3.5",
	"sectionNr" : "7.5.4"
} />



